//  Persistence of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 4 lights, 11 materials and 2645 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.2 For Windows Copyright (c) 1993-2000 Lutz + Kretzschmar
//

//  Date : 04/20/2001    (20.04.2001)
//

/*
  The text between these two comments is in MorayPOV.INC and is
  automatically included in all POV files that Moray exports.
*/

default {
  texture {
    pigment { rgb <1,0,0> }
  }
}

/* // Scene Comment

This scene was created with Moray V3.2 For Windows.
Comment merged from turret-1.mdl:
This scene was created with Moray For Windows.

*/ // End Scene Comment

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera StdCam
  location  <    -13.256,     -29.465,       1.763>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.46859,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         83.82478    // Vertical      62.869
  look_at   <    -15.187,      -0.391,       1.855>
}

//    Other cameras are commented out.
/*
camera {  //  Camera StdCam1
  location  <     16.488,      -0.562,       3.850>
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.47565,         0.0,         0.0> // Right Vector is adjusted to compensate for spherical (Moray) vs. planar (POV-Ray) aspect ratio
  angle         85.47782    // Vertical      64.108
  look_at   <     -0.083,       0.007,      -2.536>
}

*/

//
// *******  L I G H T S *******
//

light_source {   // Light1
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  translate  <0.0, -20.0, 20.0>
}

light_source {   // Arealight Arealight002
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  area_light <2.000, 0.000, 0.000>, <0.000, 2.000, 0.000>, 3, 3
  adaptive 1
  jitter
  scale 24.258928
  rotate -45.0*y
  translate  <-14.976694, 0.130922, 4.980421>
}


light_source {   // Arealight Arealight001
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  area_light <2.000, 0.000, 0.000>, <0.000, 2.000, 0.000>, 3, 3
  adaptive 1
  jitter
  rotate <89.40921, -180.0, -180.0>
  translate  <-0.227834, -8.031618, -8.336175>
}


light_source {   // Light2
  <0.0, 0.0, 0.0>
  color rgb <1.000, 1.000, 1.000>
  scale -5.064444
  translate  <-2.92431, -8.773358, -11.291932>
}


//  Moray V3.2 For Windows Copyright (c) 1993-2000 Lutz + Kretzschmar
//

//
// ********  MATERIALS  *******
//

#include "guarded.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

box { // Cube1316
  <-1, -1, -1>, <1, 1, 1>
  material {
    Tropics_Cloud_Sky
  }
  scale <200.0, 300.0, 1.0>
  translate  <87.640145, -0.345432, 129.449178>
}


#declare Brick1306 = intersection {
  superellipsoid { // SuperQ1306
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1315
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <50.351998, 8.112727, 14.569996>
}
#declare Brick1305 = intersection {
  superellipsoid { // SuperQ1305
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1314
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <42.351998, 8.112727, 14.569996>
}
#declare Brick1304 = intersection {
  superellipsoid { // SuperQ1304
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1313
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <34.351998, 8.112727, 14.569996>
}
#declare Brick1303 = intersection {
  superellipsoid { // SuperQ1303
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1312
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <26.351998, 8.112727, 14.569996>
}
#declare Brick1302 = intersection {
  superellipsoid { // SuperQ1302
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1311
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <18.351998, 8.112727, 14.569996>
}
#declare Brick1301 = intersection {
  superellipsoid { // SuperQ1301
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1310
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <10.351998, 8.112727, 14.569996>
}
#declare Brick1300 = intersection {
  superellipsoid { // SuperQ1300
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1309
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.351998, 8.112727, 14.569996>
}
#declare Brick1299 = intersection {
  superellipsoid { // SuperQ1299
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1308
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-5.648002, 8.112727, 14.569996>
}
union { // Group025
  object { Brick1306 }
  object { Brick1305 }
  object { Brick1304 }
  object { Brick1303 }
  object { Brick1302 }
  object { Brick1301 }
  object { Brick1300 }
  object { Brick1299 }
  translate  <-0.638048, -8.095217, -0.266592>
}


intersection { // Brick0146
  superellipsoid { // SuperQ146
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1307
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-13.648002, 8.112727, 14.569996>
}


#declare Brick1171 = intersection {
  superellipsoid { // SuperQ1171
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1171
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.365184, -17.742146, 0.0>
}
#declare Brick1172 = intersection {
  superellipsoid { // SuperQ1172
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1172
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.230254, -17.654275, 0.0>
}
#declare Brick1173 = intersection {
  superellipsoid { // SuperQ1173
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1173
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.089998, -17.524251, 0.0>
}
#declare Brick1174 = intersection {
  superellipsoid { // SuperQ1174
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1174
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.942365, -17.352384, 0.0>
}
#declare Brick1175 = intersection {
  superellipsoid { // SuperQ1175
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1175
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.785318, -17.139084, 0.0>
}
#declare Brick1176 = intersection {
  superellipsoid { // SuperQ1176
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1176
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.616846, -16.884861, 0.0>
}
#declare Brick1177 = intersection {
  superellipsoid { // SuperQ1177
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1177
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.434961, -16.590321, 0.0>
}
#declare Brick1178 = intersection {
  superellipsoid { // SuperQ1178
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1178
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.237712, -16.256168, 0.0>
}
#declare Brick1179 = intersection {
  superellipsoid { // SuperQ1179
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1179
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.023181, -15.8832, 0.0>
}
#declare Brick1180 = intersection {
  superellipsoid { // SuperQ1180
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1180
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.789494, -15.472307, 0.0>
}
#declare Brick1181 = intersection {
  superellipsoid { // SuperQ1181
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1181
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.534819, -15.02447, 0.0>
}
#declare Brick1182 = intersection {
  superellipsoid { // SuperQ1182
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1182
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.257377, -14.540759, 0.0>
}
#declare Brick1183 = intersection {
  superellipsoid { // SuperQ1183
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1183
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.955444, -14.022329, 0.0>
}
#declare Brick1184 = intersection {
  superellipsoid { // SuperQ1184
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1184
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.627352, -13.470418, 0.0>
}
#declare Brick1185 = intersection {
  superellipsoid { // SuperQ1185
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1185
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.271498, -12.886342, 0.0>
}
#declare Brick1186 = intersection {
  superellipsoid { // SuperQ1186
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1186
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.886342, -12.271498, 0.0>
}
#declare Brick1187 = intersection {
  superellipsoid { // SuperQ1187
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1187
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.470418, -11.627352, 0.0>
}
#declare Brick1188 = intersection {
  superellipsoid { // SuperQ1188
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1188
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.022329, -10.955444, 0.0>
}
#declare Brick1189 = intersection {
  superellipsoid { // SuperQ1189
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1189
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.540759, -10.257377, 0.0>
}
#declare Brick1190 = intersection {
  superellipsoid { // SuperQ1190
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1190
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.02447, -9.534819, 0.0>
}
#declare Brick1191 = intersection {
  superellipsoid { // SuperQ1191
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1191
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.472307, -8.789494, 0.0>
}
#declare Brick1192 = intersection {
  superellipsoid { // SuperQ1192
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1192
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.8832, -8.023181, 0.0>
}
#declare Brick1193 = intersection {
  superellipsoid { // SuperQ1193
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1193
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.256168, -7.237712, 0.0>
}
#declare Brick1194 = intersection {
  superellipsoid { // SuperQ1194
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1194
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.590321, -6.434961, 0.0>
}
#declare Brick1195 = intersection {
  superellipsoid { // SuperQ1195
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1195
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.884861, -5.616846, 0.0>
}
#declare Brick1196 = intersection {
  superellipsoid { // SuperQ1196
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1196
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.139084, -4.785318, 0.0>
}
#declare Brick1197 = intersection {
  superellipsoid { // SuperQ1197
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1197
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.352384, -3.942365, 0.0>
}
#declare Brick1198 = intersection {
  superellipsoid { // SuperQ1198
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1198
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.524251, -3.089998, 0.0>
}
#declare Brick1199 = intersection {
  superellipsoid { // SuperQ1199
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1199
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.654275, -2.230254, 0.0>
}
#declare Brick1200 = intersection {
  superellipsoid { // SuperQ1200
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1200
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.742146, -1.365184, 0.0>
}
#declare Brick1201 = intersection {
  superellipsoid { // SuperQ1201
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1201
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.787653, -0.496854, 0.0>
}
#declare Brick1202 = intersection {
  superellipsoid { // SuperQ1202
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1202
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.790688, 0.372662, 0.0>
}
#declare Brick1203 = intersection {
  superellipsoid { // SuperQ1203
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1203
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.751244, 1.241288, 0.0>
}
#declare Brick1204 = intersection {
  superellipsoid { // SuperQ1204
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1204
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.669415, 2.10695, 0.0>
}
#declare Brick1205 = intersection {
  superellipsoid { // SuperQ1205
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1205
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.545396, 2.967582, 0.0>
}
#declare Brick1206 = intersection {
  superellipsoid { // SuperQ1206
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1206
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.379484, 3.821127, 0.0>
}
#declare Brick1207 = intersection {
  superellipsoid { // SuperQ1207
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1207
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.172074, 4.665549, 0.0>
}
#declare Brick1208 = intersection {
  superellipsoid { // SuperQ1208
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1208
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.923662, 5.498831, 0.0>
}
#declare Brick1209 = intersection {
  superellipsoid { // SuperQ1209
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1209
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.634841, 6.318983, 0.0>
}
#declare Brick1210 = intersection {
  superellipsoid { // SuperQ1210
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1210
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.3063, 7.124047, 0.0>
}
#declare Brick1211 = intersection {
  superellipsoid { // SuperQ1211
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1211
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.938825, 7.912101, 0.0>
}
#declare Brick1212 = intersection {
  superellipsoid { // SuperQ1212
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1212
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.533291, 8.681263, 0.0>
}
#declare Brick1213 = intersection {
  superellipsoid { // SuperQ1213
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1213
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.090669, 9.429697, 0.0>
}
#declare Brick1214 = intersection {
  superellipsoid { // SuperQ1214
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1214
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.612014, 10.155615, 0.0>
}
#declare Brick1215 = intersection {
  superellipsoid { // SuperQ1215
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1215
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.09847, 10.857284, 0.0>
}
#declare Brick1216 = intersection {
  superellipsoid { // SuperQ1216
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1216
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.551263, 11.533029, 0.0>
}
#declare Brick1217 = intersection {
  superellipsoid { // SuperQ1217
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1217
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.971699, 12.181236, 0.0>
}
#declare Brick1218 = intersection {
  superellipsoid { // SuperQ1218
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1218
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.361162, 12.800358, 0.0>
}
#declare Brick1219 = intersection {
  superellipsoid { // SuperQ1219
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1219
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.72111, 13.388916, 0.0>
}
#declare Brick1220 = intersection {
  superellipsoid { // SuperQ1220
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1220
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.053071, 13.945505, 0.0>
}
#declare Brick1221 = intersection {
  superellipsoid { // SuperQ1221
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1221
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.35864, 14.468796, 0.0>
}
#declare Brick1222 = intersection {
  superellipsoid { // SuperQ1222
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1222
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.639476, 14.957539, 0.0>
}
#declare Brick1223 = intersection {
  superellipsoid { // SuperQ1223
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1223
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.897296, 15.410568, 0.0>
}
#declare Brick1224 = intersection {
  superellipsoid { // SuperQ1224
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1224
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.133871, 15.826801, 0.0>
}
#declare Brick1225 = intersection {
  superellipsoid { // SuperQ1225
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1225
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.351024, 16.205243, 0.0>
}
#declare Brick1226 = intersection {
  superellipsoid { // SuperQ1226
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1226
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.550626, 16.544992, 0.0>
}
#declare Brick1227 = intersection {
  superellipsoid { // SuperQ1227
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1227
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.734586, 16.845237, 0.0>
}
#declare Brick1228 = intersection {
  superellipsoid { // SuperQ1228
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1228
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.904854, 17.105259, 0.0>
}
#declare Brick1229 = intersection {
  superellipsoid { // SuperQ1229
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1229
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.06341, 17.324439, 0.0>
}
#declare Brick1230 = intersection {
  superellipsoid { // SuperQ1230
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1230
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.212264, 17.502252, 0.0>
}
#declare Brick1231 = intersection {
  superellipsoid { // SuperQ1231
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1231
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.353448, 17.638275, 0.0>
}
#declare Brick1232 = intersection {
  superellipsoid { // SuperQ1232
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1232
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.489013, 17.732183, 0.0>
}
#declare Brick1233 = intersection {
  superellipsoid { // SuperQ1233
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1233
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <0.621022, 17.783751, 0.0>
}
#declare Brick1234 = intersection {
  superellipsoid { // SuperQ1234
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1234
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.248451, 17.792857, 0.0>
}
#declare Brick1235 = intersection {
  superellipsoid { // SuperQ1235
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1235
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.117332, 17.759478, 0.0>
}
#declare Brick1236 = intersection {
  superellipsoid { // SuperQ1236
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1236
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.983544, 17.683694, 0.0>
}
#declare Brick1237 = intersection {
  superellipsoid { // SuperQ1237
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1237
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.84502, 17.565686, 0.0>
}
#declare Brick1238 = intersection {
  superellipsoid { // SuperQ1238
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1238
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.699704, 17.405737, 0.0>
}
#declare Brick1239 = intersection {
  superellipsoid { // SuperQ1239
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1239
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.545553, 17.204227, 0.0>
}
#declare Brick1240 = intersection {
  superellipsoid { // SuperQ1240
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1240
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.380549, 16.961638, 0.0>
}
#declare Brick1241 = intersection {
  superellipsoid { // SuperQ1241
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1241
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.202697, 16.67855, 0.0>
}
#declare Brick1242 = intersection {
  superellipsoid { // SuperQ1242
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1242
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.010035, 16.355638, 0.0>
}
#declare Brick1243 = intersection {
  superellipsoid { // SuperQ1243
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1243
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.800635, 15.993673, 0.0>
}
#declare Brick1244 = intersection {
  superellipsoid { // SuperQ1244
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1244
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.57261, 15.593519, 0.0>
}
#declare Brick1245 = intersection {
  superellipsoid { // SuperQ1245
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1245
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.324115, 15.156133, 0.0>
}
#declare Brick1246 = intersection {
  superellipsoid { // SuperQ1246
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1246
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.053357, 14.682557, 0.0>
}
#declare Brick1247 = intersection {
  superellipsoid { // SuperQ1247
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1247
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.758594, 14.173924, 0.0>
}
#declare Brick1248 = intersection {
  superellipsoid { // SuperQ1248
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1248
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.438143, 13.631448, 0.0>
}
#declare Brick1249 = intersection {
  superellipsoid { // SuperQ1249
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1249
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.09038, 13.056423, 0.0>
}
#declare Brick1250 = intersection {
  superellipsoid { // SuperQ1250
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1250
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.713749, 12.450223, 0.0>
}
#declare Brick1251 = intersection {
  superellipsoid { // SuperQ1251
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1251
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.306761, 11.814295, 0.0>
}
#declare Brick1252 = intersection {
  superellipsoid { // SuperQ1252
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1252
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.868, 11.150159, 0.0>
}
#declare Brick1253 = intersection {
  superellipsoid { // SuperQ1253
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1253
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.396127, 10.459398, 0.0>
}
#declare Brick1254 = intersection {
  superellipsoid { // SuperQ1254
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1254
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.889879, 9.743664, 0.0>
}
#declare Brick1255 = intersection {
  superellipsoid { // SuperQ1255
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1255
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.348078, 9.004664, 0.0>
}
#declare Brick1256 = intersection {
  superellipsoid { // SuperQ1256
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1256
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.76963, 8.244164, 0.0>
}
#declare Brick1257 = intersection {
  superellipsoid { // SuperQ1257
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1257
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.153529, 7.463978, 0.0>
}
#declare Brick1258 = intersection {
  superellipsoid { // SuperQ1258
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1258
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.498858, 6.665971, 0.0>
}
#declare Brick1259 = intersection {
  superellipsoid { // SuperQ1259
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1259
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.804791, 5.852048, 0.0>
}
#declare Brick1260 = intersection {
  superellipsoid { // SuperQ1260
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1260
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.0706, 5.024151, 0.0>
}
#declare Brick1261 = intersection {
  superellipsoid { // SuperQ1261
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1261
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.295649, 4.184258, 0.0>
}
#declare Brick1262 = intersection {
  superellipsoid { // SuperQ1262
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1262
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.4794, 3.334374, 0.0>
}
#declare Brick1263 = intersection {
  superellipsoid { // SuperQ1263
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1263
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.621415, 2.476528, 0.0>
}
#declare Brick1264 = intersection {
  superellipsoid { // SuperQ1264
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1264
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.721356, 1.61277, 0.0>
}
#declare Brick1265 = intersection {
  superellipsoid { // SuperQ1265
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1265
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.778982, 0.74516, 0.0>
}
#declare Brick1266 = intersection {
  superellipsoid { // SuperQ1266
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1266
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.794157, -0.124229, 0.0>
}
#declare Brick1267 = intersection {
  superellipsoid { // SuperQ1267
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1267
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.766845, -0.993321, 0.0>
}
#declare Brick1268 = intersection {
  superellipsoid { // SuperQ1268
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1268
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.69711, -1.860041, 0.0>
}
#declare Brick1269 = intersection {
  superellipsoid { // SuperQ1269
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1269
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.58512, -2.72232, 0.0>
}
#declare Brick1270 = intersection {
  superellipsoid { // SuperQ1270
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1270
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.431141, -3.578099, 0.0>
}
#declare Brick1271 = intersection {
  superellipsoid { // SuperQ1271
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1271
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.235541, -4.425335, 0.0>
}
#declare Brick1272 = intersection {
  superellipsoid { // SuperQ1272
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1272
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.998788, -5.262004, 0.0>
}
#declare Brick1273 = intersection {
  superellipsoid { // SuperQ1273
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1273
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.721446, -6.086109, 0.0>
}
#declare Brick1274 = intersection {
  superellipsoid { // SuperQ1274
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1274
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.404178, -6.895681, 0.0>
}
#declare Brick1275 = intersection {
  superellipsoid { // SuperQ1275
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1275
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.047741, -7.688789, 0.0>
}
#declare Brick1276 = intersection {
  superellipsoid { // SuperQ1276
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1276
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.652987, -8.463538, 0.0>
}
#declare Brick1277 = intersection {
  superellipsoid { // SuperQ1277
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1277
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.220857, -9.218079, 0.0>
}
#declare Brick1278 = intersection {
  superellipsoid { // SuperQ1278
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1278
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.752385, -9.950609, 0.0>
}
#declare Brick1279 = intersection {
  superellipsoid { // SuperQ1279
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1279
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.248687, -10.65938, 0.0>
}
#declare Brick1280 = intersection {
  superellipsoid { // SuperQ1280
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1280
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.710968, -11.342699, 0.0>
}
#declare Brick1281 = intersection {
  superellipsoid { // SuperQ1281
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1281
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.140511, -11.998935, 0.0>
}
#declare Brick1282 = intersection {
  superellipsoid { // SuperQ1282
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1282
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.538678, -12.626521, 0.0>
}
#declare Brick1283 = intersection {
  superellipsoid { // SuperQ1283
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1283
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.906906, -13.223958, 0.0>
}
#declare Brick1284 = intersection {
  superellipsoid { // SuperQ1284
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1284
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.246703, -13.78982, 0.0>
}
#declare Brick1285 = intersection {
  superellipsoid { // SuperQ1285
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1285
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.559646, -14.322756, 0.0>
}
#declare Brick1286 = intersection {
  superellipsoid { // SuperQ1286
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1286
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.847376, -14.821493, 0.0>
}
#declare Brick1287 = intersection {
  superellipsoid { // SuperQ1287
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1287
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.111593, -15.28484, 0.0>
}
#declare Brick1288 = intersection {
  superellipsoid { // SuperQ1288
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1288
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.354055, -15.711691, 0.0>
}
#declare Brick1289 = intersection {
  superellipsoid { // SuperQ1289
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1289
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.576568, -16.101027, 0.0>
}
#declare Brick1290 = intersection {
  superellipsoid { // SuperQ1290
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1290
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.780992, -16.451919, 0.0>
}
#declare Brick1291 = intersection {
  superellipsoid { // SuperQ1291
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1291
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.969224, -16.763527, 0.0>
}
#declare Brick1292 = intersection {
  superellipsoid { // SuperQ1292
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1292
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.143203, -17.035109, 0.0>
}
#declare Brick1293 = intersection {
  superellipsoid { // SuperQ1293
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1293
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.304901, -17.266016, 0.0>
}
#declare Brick1294 = intersection {
  superellipsoid { // SuperQ1294
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1294
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.456321, -17.455696, 0.0>
}
#declare Brick1295 = intersection {
  superellipsoid { // SuperQ1295
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1295
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.599488, -17.603697, 0.0>
}
#declare Brick1296 = intersection {
  superellipsoid { // SuperQ1296
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1296
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.736448, -17.709665, 0.0>
}
#declare Brick1297 = intersection {
  superellipsoid { // SuperQ1297
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1297
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.869262, -17.773347, 0.0>
}
#declare Brick1298 = intersection {
  superellipsoid { // SuperQ1298
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1298
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  -17.794591*y
}
union { // ring0009
  object { Brick1171 }
  object { Brick1172 }
  object { Brick1173 }
  object { Brick1174 }
  object { Brick1175 }
  object { Brick1176 }
  object { Brick1177 }
  object { Brick1178 }
  object { Brick1179 }
  object { Brick1180 }
  object { Brick1181 }
  object { Brick1182 }
  object { Brick1183 }
  object { Brick1184 }
  object { Brick1185 }
  object { Brick1186 }
  object { Brick1187 }
  object { Brick1188 }
  object { Brick1189 }
  object { Brick1190 }
  object { Brick1191 }
  object { Brick1192 }
  object { Brick1193 }
  object { Brick1194 }
  object { Brick1195 }
  object { Brick1196 }
  object { Brick1197 }
  object { Brick1198 }
  object { Brick1199 }
  object { Brick1200 }
  object { Brick1201 }
  object { Brick1202 }
  object { Brick1203 }
  object { Brick1204 }
  object { Brick1205 }
  object { Brick1206 }
  object { Brick1207 }
  object { Brick1208 }
  object { Brick1209 }
  object { Brick1210 }
  object { Brick1211 }
  object { Brick1212 }
  object { Brick1213 }
  object { Brick1214 }
  object { Brick1215 }
  object { Brick1216 }
  object { Brick1217 }
  object { Brick1218 }
  object { Brick1219 }
  object { Brick1220 }
  object { Brick1221 }
  object { Brick1222 }
  object { Brick1223 }
  object { Brick1224 }
  object { Brick1225 }
  object { Brick1226 }
  object { Brick1227 }
  object { Brick1228 }
  object { Brick1229 }
  object { Brick1230 }
  object { Brick1231 }
  object { Brick1232 }
  object { Brick1233 }
  object { Brick1234 }
  object { Brick1235 }
  object { Brick1236 }
  object { Brick1237 }
  object { Brick1238 }
  object { Brick1239 }
  object { Brick1240 }
  object { Brick1241 }
  object { Brick1242 }
  object { Brick1243 }
  object { Brick1244 }
  object { Brick1245 }
  object { Brick1246 }
  object { Brick1247 }
  object { Brick1248 }
  object { Brick1249 }
  object { Brick1250 }
  object { Brick1251 }
  object { Brick1252 }
  object { Brick1253 }
  object { Brick1254 }
  object { Brick1255 }
  object { Brick1256 }
  object { Brick1257 }
  object { Brick1258 }
  object { Brick1259 }
  object { Brick1260 }
  object { Brick1261 }
  object { Brick1262 }
  object { Brick1263 }
  object { Brick1264 }
  object { Brick1265 }
  object { Brick1266 }
  object { Brick1267 }
  object { Brick1268 }
  object { Brick1269 }
  object { Brick1270 }
  object { Brick1271 }
  object { Brick1272 }
  object { Brick1273 }
  object { Brick1274 }
  object { Brick1275 }
  object { Brick1276 }
  object { Brick1277 }
  object { Brick1278 }
  object { Brick1279 }
  object { Brick1280 }
  object { Brick1281 }
  object { Brick1282 }
  object { Brick1283 }
  object { Brick1284 }
  object { Brick1285 }
  object { Brick1286 }
  object { Brick1287 }
  object { Brick1288 }
  object { Brick1289 }
  object { Brick1290 }
  object { Brick1291 }
  object { Brick1292 }
  object { Brick1293 }
  object { Brick1294 }
  object { Brick1295 }
  object { Brick1296 }
  object { Brick1297 }
  object { Brick1298 }
  translate  <-34.922286, 0.552226, 15.789411>
}


#declare Brick1043 = intersection {
  superellipsoid { // SuperQ1043
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1043
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.365184, -17.742146, 0.0>
}
#declare Brick1044 = intersection {
  superellipsoid { // SuperQ1044
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1044
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.230254, -17.654275, 0.0>
}
#declare Brick1045 = intersection {
  superellipsoid { // SuperQ1045
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1045
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.089998, -17.524251, 0.0>
}
#declare Brick1046 = intersection {
  superellipsoid { // SuperQ1046
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1046
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.942365, -17.352384, 0.0>
}
#declare Brick1047 = intersection {
  superellipsoid { // SuperQ1047
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1047
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.785318, -17.139084, 0.0>
}
#declare Brick1048 = intersection {
  superellipsoid { // SuperQ1048
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1048
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.616846, -16.884861, 0.0>
}
#declare Brick1049 = intersection {
  superellipsoid { // SuperQ1049
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1049
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.434961, -16.590321, 0.0>
}
#declare Brick1050 = intersection {
  superellipsoid { // SuperQ1050
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1050
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.237712, -16.256168, 0.0>
}
#declare Brick1051 = intersection {
  superellipsoid { // SuperQ1051
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1051
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.023181, -15.8832, 0.0>
}
#declare Brick1052 = intersection {
  superellipsoid { // SuperQ1052
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1052
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.789494, -15.472307, 0.0>
}
#declare Brick1053 = intersection {
  superellipsoid { // SuperQ1053
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1053
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.534819, -15.02447, 0.0>
}
#declare Brick1054 = intersection {
  superellipsoid { // SuperQ1054
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1054
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.257377, -14.540759, 0.0>
}
#declare Brick1055 = intersection {
  superellipsoid { // SuperQ1055
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1055
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.955444, -14.022329, 0.0>
}
#declare Brick1056 = intersection {
  superellipsoid { // SuperQ1056
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1056
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.627352, -13.470418, 0.0>
}
#declare Brick1057 = intersection {
  superellipsoid { // SuperQ1057
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1057
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.271498, -12.886342, 0.0>
}
#declare Brick1058 = intersection {
  superellipsoid { // SuperQ1058
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1058
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.886342, -12.271498, 0.0>
}
#declare Brick1059 = intersection {
  superellipsoid { // SuperQ1059
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1059
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.470418, -11.627352, 0.0>
}
#declare Brick1060 = intersection {
  superellipsoid { // SuperQ1060
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1060
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.022329, -10.955444, 0.0>
}
#declare Brick1061 = intersection {
  superellipsoid { // SuperQ1061
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1061
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.540759, -10.257377, 0.0>
}
#declare Brick1062 = intersection {
  superellipsoid { // SuperQ1062
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1062
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.02447, -9.534819, 0.0>
}
#declare Brick1063 = intersection {
  superellipsoid { // SuperQ1063
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1063
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.472307, -8.789494, 0.0>
}
#declare Brick1064 = intersection {
  superellipsoid { // SuperQ1064
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1064
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.8832, -8.023181, 0.0>
}
#declare Brick1065 = intersection {
  superellipsoid { // SuperQ1065
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1065
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.256168, -7.237712, 0.0>
}
#declare Brick1066 = intersection {
  superellipsoid { // SuperQ1066
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1066
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.590321, -6.434961, 0.0>
}
#declare Brick1067 = intersection {
  superellipsoid { // SuperQ1067
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1067
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.884861, -5.616846, 0.0>
}
#declare Brick1068 = intersection {
  superellipsoid { // SuperQ1068
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1068
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.139084, -4.785318, 0.0>
}
#declare Brick1069 = intersection {
  superellipsoid { // SuperQ1069
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1069
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.352384, -3.942365, 0.0>
}
#declare Brick1070 = intersection {
  superellipsoid { // SuperQ1070
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1070
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.524251, -3.089998, 0.0>
}
#declare Brick1071 = intersection {
  superellipsoid { // SuperQ1071
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1071
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.654275, -2.230254, 0.0>
}
#declare Brick1072 = intersection {
  superellipsoid { // SuperQ1072
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1072
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.742146, -1.365184, 0.0>
}
#declare Brick1073 = intersection {
  superellipsoid { // SuperQ1073
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1073
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.787653, -0.496854, 0.0>
}
#declare Brick1074 = intersection {
  superellipsoid { // SuperQ1074
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1074
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.790688, 0.372662, 0.0>
}
#declare Brick1075 = intersection {
  superellipsoid { // SuperQ1075
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1075
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.751244, 1.241288, 0.0>
}
#declare Brick1076 = intersection {
  superellipsoid { // SuperQ1076
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1076
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.669415, 2.10695, 0.0>
}
#declare Brick1077 = intersection {
  superellipsoid { // SuperQ1077
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1077
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.545396, 2.967582, 0.0>
}
#declare Brick1078 = intersection {
  superellipsoid { // SuperQ1078
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1078
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.379484, 3.821127, 0.0>
}
#declare Brick1079 = intersection {
  superellipsoid { // SuperQ1079
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1079
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.172074, 4.665549, 0.0>
}
#declare Brick1080 = intersection {
  superellipsoid { // SuperQ1080
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1080
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.923662, 5.498831, 0.0>
}
#declare Brick1081 = intersection {
  superellipsoid { // SuperQ1081
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1081
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.634841, 6.318983, 0.0>
}
#declare Brick1082 = intersection {
  superellipsoid { // SuperQ1082
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1082
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.3063, 7.124047, 0.0>
}
#declare Brick1083 = intersection {
  superellipsoid { // SuperQ1083
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1083
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.938825, 7.912101, 0.0>
}
#declare Brick1084 = intersection {
  superellipsoid { // SuperQ1084
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1084
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.533291, 8.681263, 0.0>
}
#declare Brick1085 = intersection {
  superellipsoid { // SuperQ1085
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1085
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.090669, 9.429697, 0.0>
}
#declare Brick1086 = intersection {
  superellipsoid { // SuperQ1086
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1086
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.612014, 10.155615, 0.0>
}
#declare Brick1087 = intersection {
  superellipsoid { // SuperQ1087
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1087
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.09847, 10.857284, 0.0>
}
#declare Brick1088 = intersection {
  superellipsoid { // SuperQ1088
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1088
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.551263, 11.533029, 0.0>
}
#declare Brick1089 = intersection {
  superellipsoid { // SuperQ1089
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1089
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.971699, 12.181236, 0.0>
}
#declare Brick1090 = intersection {
  superellipsoid { // SuperQ1090
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1090
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.361162, 12.800358, 0.0>
}
#declare Brick1091 = intersection {
  superellipsoid { // SuperQ1091
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1091
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.72111, 13.388916, 0.0>
}
#declare Brick1092 = intersection {
  superellipsoid { // SuperQ1092
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1092
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.053071, 13.945505, 0.0>
}
#declare Brick1093 = intersection {
  superellipsoid { // SuperQ1093
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1093
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.35864, 14.468796, 0.0>
}
#declare Brick1094 = intersection {
  superellipsoid { // SuperQ1094
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1094
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.639476, 14.957539, 0.0>
}
#declare Brick1095 = intersection {
  superellipsoid { // SuperQ1095
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1095
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.897296, 15.410568, 0.0>
}
#declare Brick1096 = intersection {
  superellipsoid { // SuperQ1096
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1096
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.133871, 15.826801, 0.0>
}
#declare Brick1097 = intersection {
  superellipsoid { // SuperQ1097
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1097
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.351024, 16.205243, 0.0>
}
#declare Brick1098 = intersection {
  superellipsoid { // SuperQ1098
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1098
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.550626, 16.544992, 0.0>
}
#declare Brick1099 = intersection {
  superellipsoid { // SuperQ1099
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1099
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.734586, 16.845237, 0.0>
}
#declare Brick1100 = intersection {
  superellipsoid { // SuperQ1100
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1100
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.904854, 17.105259, 0.0>
}
#declare Brick1101 = intersection {
  superellipsoid { // SuperQ1101
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1101
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.06341, 17.324439, 0.0>
}
#declare Brick1102 = intersection {
  superellipsoid { // SuperQ1102
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1102
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.212264, 17.502252, 0.0>
}
#declare Brick1103 = intersection {
  superellipsoid { // SuperQ1103
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1103
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.353448, 17.638275, 0.0>
}
#declare Brick1104 = intersection {
  superellipsoid { // SuperQ1104
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1104
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.489013, 17.732183, 0.0>
}
#declare Brick1105 = intersection {
  superellipsoid { // SuperQ1105
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1105
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <0.621022, 17.783751, 0.0>
}
#declare Brick1106 = intersection {
  superellipsoid { // SuperQ1106
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1106
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.248451, 17.792857, 0.0>
}
#declare Brick1107 = intersection {
  superellipsoid { // SuperQ1107
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1107
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.117332, 17.759478, 0.0>
}
#declare Brick1108 = intersection {
  superellipsoid { // SuperQ1108
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1108
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.983544, 17.683694, 0.0>
}
#declare Brick1109 = intersection {
  superellipsoid { // SuperQ1109
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1109
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.84502, 17.565686, 0.0>
}
#declare Brick1110 = intersection {
  superellipsoid { // SuperQ1110
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1110
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.699704, 17.405737, 0.0>
}
#declare Brick1111 = intersection {
  superellipsoid { // SuperQ1111
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1111
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.545553, 17.204227, 0.0>
}
#declare Brick1112 = intersection {
  superellipsoid { // SuperQ1112
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1112
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.380549, 16.961638, 0.0>
}
#declare Brick1113 = intersection {
  superellipsoid { // SuperQ1113
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1113
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.202697, 16.67855, 0.0>
}
#declare Brick1114 = intersection {
  superellipsoid { // SuperQ1114
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1114
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.010035, 16.355638, 0.0>
}
#declare Brick1115 = intersection {
  superellipsoid { // SuperQ1115
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1115
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.800635, 15.993673, 0.0>
}
#declare Brick1116 = intersection {
  superellipsoid { // SuperQ1116
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1116
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.57261, 15.593519, 0.0>
}
#declare Brick1117 = intersection {
  superellipsoid { // SuperQ1117
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1117
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.324115, 15.156133, 0.0>
}
#declare Brick1118 = intersection {
  superellipsoid { // SuperQ1118
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1118
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.053357, 14.682557, 0.0>
}
#declare Brick1119 = intersection {
  superellipsoid { // SuperQ1119
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1119
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.758594, 14.173924, 0.0>
}
#declare Brick1120 = intersection {
  superellipsoid { // SuperQ1120
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1120
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.438143, 13.631448, 0.0>
}
#declare Brick1121 = intersection {
  superellipsoid { // SuperQ1121
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1121
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.09038, 13.056423, 0.0>
}
#declare Brick1122 = intersection {
  superellipsoid { // SuperQ1122
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1122
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.713749, 12.450223, 0.0>
}
#declare Brick1123 = intersection {
  superellipsoid { // SuperQ1123
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1123
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.306761, 11.814295, 0.0>
}
#declare Brick1124 = intersection {
  superellipsoid { // SuperQ1124
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1124
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.868, 11.150159, 0.0>
}
#declare Brick1125 = intersection {
  superellipsoid { // SuperQ1125
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1125
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.396127, 10.459398, 0.0>
}
#declare Brick1126 = intersection {
  superellipsoid { // SuperQ1126
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1126
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.889879, 9.743664, 0.0>
}
#declare Brick1127 = intersection {
  superellipsoid { // SuperQ1127
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1127
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.348078, 9.004664, 0.0>
}
#declare Brick1128 = intersection {
  superellipsoid { // SuperQ1128
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1128
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.76963, 8.244164, 0.0>
}
#declare Brick1129 = intersection {
  superellipsoid { // SuperQ1129
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1129
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.153529, 7.463978, 0.0>
}
#declare Brick1130 = intersection {
  superellipsoid { // SuperQ1130
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1130
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.498858, 6.665971, 0.0>
}
#declare Brick1131 = intersection {
  superellipsoid { // SuperQ1131
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1131
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.804791, 5.852048, 0.0>
}
#declare Brick1132 = intersection {
  superellipsoid { // SuperQ1132
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1132
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.0706, 5.024151, 0.0>
}
#declare Brick1133 = intersection {
  superellipsoid { // SuperQ1133
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1133
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.295649, 4.184258, 0.0>
}
#declare Brick1134 = intersection {
  superellipsoid { // SuperQ1134
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1134
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.4794, 3.334374, 0.0>
}
#declare Brick1135 = intersection {
  superellipsoid { // SuperQ1135
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1135
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.621415, 2.476528, 0.0>
}
#declare Brick1136 = intersection {
  superellipsoid { // SuperQ1136
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1136
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.721356, 1.61277, 0.0>
}
#declare Brick1137 = intersection {
  superellipsoid { // SuperQ1137
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1137
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.778982, 0.74516, 0.0>
}
#declare Brick1138 = intersection {
  superellipsoid { // SuperQ1138
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1138
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.794157, -0.124229, 0.0>
}
#declare Brick1139 = intersection {
  superellipsoid { // SuperQ1139
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1139
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.766845, -0.993321, 0.0>
}
#declare Brick1140 = intersection {
  superellipsoid { // SuperQ1140
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1140
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.69711, -1.860041, 0.0>
}
#declare Brick1141 = intersection {
  superellipsoid { // SuperQ1141
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1141
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.58512, -2.72232, 0.0>
}
#declare Brick1142 = intersection {
  superellipsoid { // SuperQ1142
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1142
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.431141, -3.578099, 0.0>
}
#declare Brick1143 = intersection {
  superellipsoid { // SuperQ1143
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1143
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.235541, -4.425335, 0.0>
}
#declare Brick1144 = intersection {
  superellipsoid { // SuperQ1144
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1144
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.998788, -5.262004, 0.0>
}
#declare Brick1145 = intersection {
  superellipsoid { // SuperQ1145
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1145
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.721446, -6.086109, 0.0>
}
#declare Brick1146 = intersection {
  superellipsoid { // SuperQ1146
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1146
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.404178, -6.895681, 0.0>
}
#declare Brick1147 = intersection {
  superellipsoid { // SuperQ1147
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1147
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.047741, -7.688789, 0.0>
}
#declare Brick1148 = intersection {
  superellipsoid { // SuperQ1148
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1148
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.652987, -8.463538, 0.0>
}
#declare Brick1149 = intersection {
  superellipsoid { // SuperQ1149
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1149
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.220857, -9.218079, 0.0>
}
#declare Brick1150 = intersection {
  superellipsoid { // SuperQ1150
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1150
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.752385, -9.950609, 0.0>
}
#declare Brick1151 = intersection {
  superellipsoid { // SuperQ1151
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1151
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.248687, -10.65938, 0.0>
}
#declare Brick1152 = intersection {
  superellipsoid { // SuperQ1152
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1152
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.710968, -11.342699, 0.0>
}
#declare Brick1153 = intersection {
  superellipsoid { // SuperQ1153
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1153
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.140511, -11.998935, 0.0>
}
#declare Brick1154 = intersection {
  superellipsoid { // SuperQ1154
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1154
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.538678, -12.626521, 0.0>
}
#declare Brick1155 = intersection {
  superellipsoid { // SuperQ1155
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1155
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.906906, -13.223958, 0.0>
}
#declare Brick1156 = intersection {
  superellipsoid { // SuperQ1156
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1156
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.246703, -13.78982, 0.0>
}
#declare Brick1157 = intersection {
  superellipsoid { // SuperQ1157
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1157
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.559646, -14.322756, 0.0>
}
#declare Brick1158 = intersection {
  superellipsoid { // SuperQ1158
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1158
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.847376, -14.821493, 0.0>
}
#declare Brick1159 = intersection {
  superellipsoid { // SuperQ1159
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1159
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.111593, -15.28484, 0.0>
}
#declare Brick1160 = intersection {
  superellipsoid { // SuperQ1160
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1160
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.354055, -15.711691, 0.0>
}
#declare Brick1161 = intersection {
  superellipsoid { // SuperQ1161
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1161
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.576568, -16.101027, 0.0>
}
#declare Brick1162 = intersection {
  superellipsoid { // SuperQ1162
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1162
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.780992, -16.451919, 0.0>
}
#declare Brick1163 = intersection {
  superellipsoid { // SuperQ1163
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1163
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.969224, -16.763527, 0.0>
}
#declare Brick1164 = intersection {
  superellipsoid { // SuperQ1164
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1164
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.143203, -17.035109, 0.0>
}
#declare Brick1165 = intersection {
  superellipsoid { // SuperQ1165
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1165
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.304901, -17.266016, 0.0>
}
#declare Brick1166 = intersection {
  superellipsoid { // SuperQ1166
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1166
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.456321, -17.455696, 0.0>
}
#declare Brick1167 = intersection {
  superellipsoid { // SuperQ1167
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1167
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.599488, -17.603697, 0.0>
}
#declare Brick1168 = intersection {
  superellipsoid { // SuperQ1168
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1168
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.736448, -17.709665, 0.0>
}
#declare Brick1169 = intersection {
  superellipsoid { // SuperQ1169
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1169
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.869262, -17.773347, 0.0>
}
#declare Brick1170 = intersection {
  superellipsoid { // SuperQ1170
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1170
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  -17.794591*y
}
union { // ring0008
  object { Brick1043 }
  object { Brick1044 }
  object { Brick1045 }
  object { Brick1046 }
  object { Brick1047 }
  object { Brick1048 }
  object { Brick1049 }
  object { Brick1050 }
  object { Brick1051 }
  object { Brick1052 }
  object { Brick1053 }
  object { Brick1054 }
  object { Brick1055 }
  object { Brick1056 }
  object { Brick1057 }
  object { Brick1058 }
  object { Brick1059 }
  object { Brick1060 }
  object { Brick1061 }
  object { Brick1062 }
  object { Brick1063 }
  object { Brick1064 }
  object { Brick1065 }
  object { Brick1066 }
  object { Brick1067 }
  object { Brick1068 }
  object { Brick1069 }
  object { Brick1070 }
  object { Brick1071 }
  object { Brick1072 }
  object { Brick1073 }
  object { Brick1074 }
  object { Brick1075 }
  object { Brick1076 }
  object { Brick1077 }
  object { Brick1078 }
  object { Brick1079 }
  object { Brick1080 }
  object { Brick1081 }
  object { Brick1082 }
  object { Brick1083 }
  object { Brick1084 }
  object { Brick1085 }
  object { Brick1086 }
  object { Brick1087 }
  object { Brick1088 }
  object { Brick1089 }
  object { Brick1090 }
  object { Brick1091 }
  object { Brick1092 }
  object { Brick1093 }
  object { Brick1094 }
  object { Brick1095 }
  object { Brick1096 }
  object { Brick1097 }
  object { Brick1098 }
  object { Brick1099 }
  object { Brick1100 }
  object { Brick1101 }
  object { Brick1102 }
  object { Brick1103 }
  object { Brick1104 }
  object { Brick1105 }
  object { Brick1106 }
  object { Brick1107 }
  object { Brick1108 }
  object { Brick1109 }
  object { Brick1110 }
  object { Brick1111 }
  object { Brick1112 }
  object { Brick1113 }
  object { Brick1114 }
  object { Brick1115 }
  object { Brick1116 }
  object { Brick1117 }
  object { Brick1118 }
  object { Brick1119 }
  object { Brick1120 }
  object { Brick1121 }
  object { Brick1122 }
  object { Brick1123 }
  object { Brick1124 }
  object { Brick1125 }
  object { Brick1126 }
  object { Brick1127 }
  object { Brick1128 }
  object { Brick1129 }
  object { Brick1130 }
  object { Brick1131 }
  object { Brick1132 }
  object { Brick1133 }
  object { Brick1134 }
  object { Brick1135 }
  object { Brick1136 }
  object { Brick1137 }
  object { Brick1138 }
  object { Brick1139 }
  object { Brick1140 }
  object { Brick1141 }
  object { Brick1142 }
  object { Brick1143 }
  object { Brick1144 }
  object { Brick1145 }
  object { Brick1146 }
  object { Brick1147 }
  object { Brick1148 }
  object { Brick1149 }
  object { Brick1150 }
  object { Brick1151 }
  object { Brick1152 }
  object { Brick1153 }
  object { Brick1154 }
  object { Brick1155 }
  object { Brick1156 }
  object { Brick1157 }
  object { Brick1158 }
  object { Brick1159 }
  object { Brick1160 }
  object { Brick1161 }
  object { Brick1162 }
  object { Brick1163 }
  object { Brick1164 }
  object { Brick1165 }
  object { Brick1166 }
  object { Brick1167 }
  object { Brick1168 }
  object { Brick1169 }
  object { Brick1170 }
  translate  <-34.922286, 0.552226, 13.789411>
}


#declare Brick0915 = intersection {
  superellipsoid { // SuperQ915
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube915
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.365184, -17.742146, 0.0>
}
#declare Brick0916 = intersection {
  superellipsoid { // SuperQ916
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube916
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.230254, -17.654275, 0.0>
}
#declare Brick0917 = intersection {
  superellipsoid { // SuperQ917
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube917
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.089998, -17.524251, 0.0>
}
#declare Brick0918 = intersection {
  superellipsoid { // SuperQ918
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube918
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.942365, -17.352384, 0.0>
}
#declare Brick0919 = intersection {
  superellipsoid { // SuperQ919
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube919
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.785318, -17.139084, 0.0>
}
#declare Brick0920 = intersection {
  superellipsoid { // SuperQ920
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube920
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.616846, -16.884861, 0.0>
}
#declare Brick0921 = intersection {
  superellipsoid { // SuperQ921
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube921
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.434961, -16.590321, 0.0>
}
#declare Brick0922 = intersection {
  superellipsoid { // SuperQ922
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube922
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.237712, -16.256168, 0.0>
}
#declare Brick0923 = intersection {
  superellipsoid { // SuperQ923
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube923
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.023181, -15.8832, 0.0>
}
#declare Brick0924 = intersection {
  superellipsoid { // SuperQ924
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube924
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.789494, -15.472307, 0.0>
}
#declare Brick0925 = intersection {
  superellipsoid { // SuperQ925
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube925
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.534819, -15.02447, 0.0>
}
#declare Brick0926 = intersection {
  superellipsoid { // SuperQ926
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube926
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.257377, -14.540759, 0.0>
}
#declare Brick0927 = intersection {
  superellipsoid { // SuperQ927
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube927
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.955444, -14.022329, 0.0>
}
#declare Brick0928 = intersection {
  superellipsoid { // SuperQ928
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube928
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.627352, -13.470418, 0.0>
}
#declare Brick0929 = intersection {
  superellipsoid { // SuperQ929
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube929
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.271498, -12.886342, 0.0>
}
#declare Brick0930 = intersection {
  superellipsoid { // SuperQ930
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube930
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.886342, -12.271498, 0.0>
}
#declare Brick0931 = intersection {
  superellipsoid { // SuperQ931
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube931
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.470418, -11.627352, 0.0>
}
#declare Brick0932 = intersection {
  superellipsoid { // SuperQ932
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube932
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.022329, -10.955444, 0.0>
}
#declare Brick0933 = intersection {
  superellipsoid { // SuperQ933
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube933
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.540759, -10.257377, 0.0>
}
#declare Brick0934 = intersection {
  superellipsoid { // SuperQ934
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube934
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.02447, -9.534819, 0.0>
}
#declare Brick0935 = intersection {
  superellipsoid { // SuperQ935
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube935
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.472307, -8.789494, 0.0>
}
#declare Brick0936 = intersection {
  superellipsoid { // SuperQ936
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube936
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.8832, -8.023181, 0.0>
}
#declare Brick0937 = intersection {
  superellipsoid { // SuperQ937
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube937
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.256168, -7.237712, 0.0>
}
#declare Brick0938 = intersection {
  superellipsoid { // SuperQ938
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube938
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.590321, -6.434961, 0.0>
}
#declare Brick0939 = intersection {
  superellipsoid { // SuperQ939
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube939
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.884861, -5.616846, 0.0>
}
#declare Brick0940 = intersection {
  superellipsoid { // SuperQ940
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube940
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.139084, -4.785318, 0.0>
}
#declare Brick0941 = intersection {
  superellipsoid { // SuperQ941
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube941
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.352384, -3.942365, 0.0>
}
#declare Brick0942 = intersection {
  superellipsoid { // SuperQ942
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube942
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.524251, -3.089998, 0.0>
}
#declare Brick0943 = intersection {
  superellipsoid { // SuperQ943
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube943
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.654275, -2.230254, 0.0>
}
#declare Brick0944 = intersection {
  superellipsoid { // SuperQ944
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube944
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.742146, -1.365184, 0.0>
}
#declare Brick0945 = intersection {
  superellipsoid { // SuperQ945
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube945
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.787653, -0.496854, 0.0>
}
#declare Brick0946 = intersection {
  superellipsoid { // SuperQ946
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube946
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.790688, 0.372662, 0.0>
}
#declare Brick0947 = intersection {
  superellipsoid { // SuperQ947
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube947
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.751244, 1.241288, 0.0>
}
#declare Brick0948 = intersection {
  superellipsoid { // SuperQ948
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube948
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.669415, 2.10695, 0.0>
}
#declare Brick0949 = intersection {
  superellipsoid { // SuperQ949
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube949
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.545396, 2.967582, 0.0>
}
#declare Brick0950 = intersection {
  superellipsoid { // SuperQ950
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube950
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.379484, 3.821127, 0.0>
}
#declare Brick0951 = intersection {
  superellipsoid { // SuperQ951
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube951
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.172074, 4.665549, 0.0>
}
#declare Brick0952 = intersection {
  superellipsoid { // SuperQ952
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube952
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.923662, 5.498831, 0.0>
}
#declare Brick0953 = intersection {
  superellipsoid { // SuperQ953
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube953
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.634841, 6.318983, 0.0>
}
#declare Brick0954 = intersection {
  superellipsoid { // SuperQ954
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube954
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.3063, 7.124047, 0.0>
}
#declare Brick0955 = intersection {
  superellipsoid { // SuperQ955
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube955
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.938825, 7.912101, 0.0>
}
#declare Brick0956 = intersection {
  superellipsoid { // SuperQ956
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube956
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.533291, 8.681263, 0.0>
}
#declare Brick0957 = intersection {
  superellipsoid { // SuperQ957
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube957
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.090669, 9.429697, 0.0>
}
#declare Brick0958 = intersection {
  superellipsoid { // SuperQ958
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube958
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.612014, 10.155615, 0.0>
}
#declare Brick0959 = intersection {
  superellipsoid { // SuperQ959
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube959
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.09847, 10.857284, 0.0>
}
#declare Brick0960 = intersection {
  superellipsoid { // SuperQ960
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube960
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.551263, 11.533029, 0.0>
}
#declare Brick0961 = intersection {
  superellipsoid { // SuperQ961
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube961
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.971699, 12.181236, 0.0>
}
#declare Brick0962 = intersection {
  superellipsoid { // SuperQ962
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube962
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.361162, 12.800358, 0.0>
}
#declare Brick0963 = intersection {
  superellipsoid { // SuperQ963
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube963
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.72111, 13.388916, 0.0>
}
#declare Brick0964 = intersection {
  superellipsoid { // SuperQ964
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube964
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.053071, 13.945505, 0.0>
}
#declare Brick0965 = intersection {
  superellipsoid { // SuperQ965
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube965
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.35864, 14.468796, 0.0>
}
#declare Brick0966 = intersection {
  superellipsoid { // SuperQ966
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube966
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.639476, 14.957539, 0.0>
}
#declare Brick0967 = intersection {
  superellipsoid { // SuperQ967
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube967
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.897296, 15.410568, 0.0>
}
#declare Brick0968 = intersection {
  superellipsoid { // SuperQ968
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube968
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.133871, 15.826801, 0.0>
}
#declare Brick0969 = intersection {
  superellipsoid { // SuperQ969
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube969
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.351024, 16.205243, 0.0>
}
#declare Brick0970 = intersection {
  superellipsoid { // SuperQ970
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube970
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.550626, 16.544992, 0.0>
}
#declare Brick0971 = intersection {
  superellipsoid { // SuperQ971
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube971
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.734586, 16.845237, 0.0>
}
#declare Brick0972 = intersection {
  superellipsoid { // SuperQ972
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube972
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.904854, 17.105259, 0.0>
}
#declare Brick0973 = intersection {
  superellipsoid { // SuperQ973
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube973
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.06341, 17.324439, 0.0>
}
#declare Brick0974 = intersection {
  superellipsoid { // SuperQ974
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube974
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.212264, 17.502252, 0.0>
}
#declare Brick0975 = intersection {
  superellipsoid { // SuperQ975
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube975
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.353448, 17.638275, 0.0>
}
#declare Brick0976 = intersection {
  superellipsoid { // SuperQ976
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube976
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.489013, 17.732183, 0.0>
}
#declare Brick0977 = intersection {
  superellipsoid { // SuperQ977
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube977
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <0.621022, 17.783751, 0.0>
}
#declare Brick0978 = intersection {
  superellipsoid { // SuperQ978
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube978
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.248451, 17.792857, 0.0>
}
#declare Brick0979 = intersection {
  superellipsoid { // SuperQ979
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube979
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.117332, 17.759478, 0.0>
}
#declare Brick0980 = intersection {
  superellipsoid { // SuperQ980
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube980
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.983544, 17.683694, 0.0>
}
#declare Brick0981 = intersection {
  superellipsoid { // SuperQ981
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube981
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.84502, 17.565686, 0.0>
}
#declare Brick0982 = intersection {
  superellipsoid { // SuperQ982
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube982
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.699704, 17.405737, 0.0>
}
#declare Brick0983 = intersection {
  superellipsoid { // SuperQ983
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube983
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.545553, 17.204227, 0.0>
}
#declare Brick0984 = intersection {
  superellipsoid { // SuperQ984
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube984
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.380549, 16.961638, 0.0>
}
#declare Brick0985 = intersection {
  superellipsoid { // SuperQ985
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube985
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.202697, 16.67855, 0.0>
}
#declare Brick0986 = intersection {
  superellipsoid { // SuperQ986
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube986
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.010035, 16.355638, 0.0>
}
#declare Brick0987 = intersection {
  superellipsoid { // SuperQ987
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube987
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.800635, 15.993673, 0.0>
}
#declare Brick0988 = intersection {
  superellipsoid { // SuperQ988
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube988
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.57261, 15.593519, 0.0>
}
#declare Brick0989 = intersection {
  superellipsoid { // SuperQ989
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube989
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.324115, 15.156133, 0.0>
}
#declare Brick0990 = intersection {
  superellipsoid { // SuperQ990
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube990
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.053357, 14.682557, 0.0>
}
#declare Brick0991 = intersection {
  superellipsoid { // SuperQ991
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube991
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.758594, 14.173924, 0.0>
}
#declare Brick0992 = intersection {
  superellipsoid { // SuperQ992
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube992
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.438143, 13.631448, 0.0>
}
#declare Brick0993 = intersection {
  superellipsoid { // SuperQ993
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube993
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.09038, 13.056423, 0.0>
}
#declare Brick0994 = intersection {
  superellipsoid { // SuperQ994
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube994
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.713749, 12.450223, 0.0>
}
#declare Brick0995 = intersection {
  superellipsoid { // SuperQ995
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube995
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.306761, 11.814295, 0.0>
}
#declare Brick0996 = intersection {
  superellipsoid { // SuperQ996
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube996
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.868, 11.150159, 0.0>
}
#declare Brick0997 = intersection {
  superellipsoid { // SuperQ997
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube997
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.396127, 10.459398, 0.0>
}
#declare Brick0998 = intersection {
  superellipsoid { // SuperQ998
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube998
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.889879, 9.743664, 0.0>
}
#declare Brick0999 = intersection {
  superellipsoid { // SuperQ999
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube999
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.348078, 9.004664, 0.0>
}
#declare Brick1000 = intersection {
  superellipsoid { // SuperQ1000
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1000
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.76963, 8.244164, 0.0>
}
#declare Brick1001 = intersection {
  superellipsoid { // SuperQ1001
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1001
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.153529, 7.463978, 0.0>
}
#declare Brick1002 = intersection {
  superellipsoid { // SuperQ1002
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1002
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.498858, 6.665971, 0.0>
}
#declare Brick1003 = intersection {
  superellipsoid { // SuperQ1003
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1003
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.804791, 5.852048, 0.0>
}
#declare Brick1004 = intersection {
  superellipsoid { // SuperQ1004
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1004
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.0706, 5.024151, 0.0>
}
#declare Brick1005 = intersection {
  superellipsoid { // SuperQ1005
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1005
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.295649, 4.184258, 0.0>
}
#declare Brick1006 = intersection {
  superellipsoid { // SuperQ1006
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1006
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.4794, 3.334374, 0.0>
}
#declare Brick1007 = intersection {
  superellipsoid { // SuperQ1007
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1007
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.621415, 2.476528, 0.0>
}
#declare Brick1008 = intersection {
  superellipsoid { // SuperQ1008
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1008
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.721356, 1.61277, 0.0>
}
#declare Brick1009 = intersection {
  superellipsoid { // SuperQ1009
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1009
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.778982, 0.74516, 0.0>
}
#declare Brick1010 = intersection {
  superellipsoid { // SuperQ1010
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1010
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.794157, -0.124229, 0.0>
}
#declare Brick1011 = intersection {
  superellipsoid { // SuperQ1011
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1011
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.766845, -0.993321, 0.0>
}
#declare Brick1012 = intersection {
  superellipsoid { // SuperQ1012
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1012
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.69711, -1.860041, 0.0>
}
#declare Brick1013 = intersection {
  superellipsoid { // SuperQ1013
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1013
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.58512, -2.72232, 0.0>
}
#declare Brick1014 = intersection {
  superellipsoid { // SuperQ1014
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1014
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.431141, -3.578099, 0.0>
}
#declare Brick1015 = intersection {
  superellipsoid { // SuperQ1015
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1015
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.235541, -4.425335, 0.0>
}
#declare Brick1016 = intersection {
  superellipsoid { // SuperQ1016
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1016
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.998788, -5.262004, 0.0>
}
#declare Brick1017 = intersection {
  superellipsoid { // SuperQ1017
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1017
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.721446, -6.086109, 0.0>
}
#declare Brick1018 = intersection {
  superellipsoid { // SuperQ1018
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1018
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.404178, -6.895681, 0.0>
}
#declare Brick1019 = intersection {
  superellipsoid { // SuperQ1019
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1019
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.047741, -7.688789, 0.0>
}
#declare Brick1020 = intersection {
  superellipsoid { // SuperQ1020
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1020
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.652987, -8.463538, 0.0>
}
#declare Brick1021 = intersection {
  superellipsoid { // SuperQ1021
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1021
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.220857, -9.218079, 0.0>
}
#declare Brick1022 = intersection {
  superellipsoid { // SuperQ1022
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1022
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.752385, -9.950609, 0.0>
}
#declare Brick1023 = intersection {
  superellipsoid { // SuperQ1023
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1023
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.248687, -10.65938, 0.0>
}
#declare Brick1024 = intersection {
  superellipsoid { // SuperQ1024
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1024
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.710968, -11.342699, 0.0>
}
#declare Brick1025 = intersection {
  superellipsoid { // SuperQ1025
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1025
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.140511, -11.998935, 0.0>
}
#declare Brick1026 = intersection {
  superellipsoid { // SuperQ1026
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1026
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.538678, -12.626521, 0.0>
}
#declare Brick1027 = intersection {
  superellipsoid { // SuperQ1027
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1027
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.906906, -13.223958, 0.0>
}
#declare Brick1028 = intersection {
  superellipsoid { // SuperQ1028
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1028
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.246703, -13.78982, 0.0>
}
#declare Brick1029 = intersection {
  superellipsoid { // SuperQ1029
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1029
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.559646, -14.322756, 0.0>
}
#declare Brick1030 = intersection {
  superellipsoid { // SuperQ1030
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1030
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.847376, -14.821493, 0.0>
}
#declare Brick1031 = intersection {
  superellipsoid { // SuperQ1031
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1031
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.111593, -15.28484, 0.0>
}
#declare Brick1032 = intersection {
  superellipsoid { // SuperQ1032
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1032
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.354055, -15.711691, 0.0>
}
#declare Brick1033 = intersection {
  superellipsoid { // SuperQ1033
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1033
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.576568, -16.101027, 0.0>
}
#declare Brick1034 = intersection {
  superellipsoid { // SuperQ1034
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1034
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.780992, -16.451919, 0.0>
}
#declare Brick1035 = intersection {
  superellipsoid { // SuperQ1035
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1035
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.969224, -16.763527, 0.0>
}
#declare Brick1036 = intersection {
  superellipsoid { // SuperQ1036
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1036
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.143203, -17.035109, 0.0>
}
#declare Brick1037 = intersection {
  superellipsoid { // SuperQ1037
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1037
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.304901, -17.266016, 0.0>
}
#declare Brick1038 = intersection {
  superellipsoid { // SuperQ1038
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1038
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.456321, -17.455696, 0.0>
}
#declare Brick1039 = intersection {
  superellipsoid { // SuperQ1039
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1039
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.599488, -17.603697, 0.0>
}
#declare Brick1040 = intersection {
  superellipsoid { // SuperQ1040
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1040
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.736448, -17.709665, 0.0>
}
#declare Brick1041 = intersection {
  superellipsoid { // SuperQ1041
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1041
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.869262, -17.773347, 0.0>
}
#declare Brick1042 = intersection {
  superellipsoid { // SuperQ1042
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube1042
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  -17.794591*y
}
union { // ring0007
  object { Brick0915 }
  object { Brick0916 }
  object { Brick0917 }
  object { Brick0918 }
  object { Brick0919 }
  object { Brick0920 }
  object { Brick0921 }
  object { Brick0922 }
  object { Brick0923 }
  object { Brick0924 }
  object { Brick0925 }
  object { Brick0926 }
  object { Brick0927 }
  object { Brick0928 }
  object { Brick0929 }
  object { Brick0930 }
  object { Brick0931 }
  object { Brick0932 }
  object { Brick0933 }
  object { Brick0934 }
  object { Brick0935 }
  object { Brick0936 }
  object { Brick0937 }
  object { Brick0938 }
  object { Brick0939 }
  object { Brick0940 }
  object { Brick0941 }
  object { Brick0942 }
  object { Brick0943 }
  object { Brick0944 }
  object { Brick0945 }
  object { Brick0946 }
  object { Brick0947 }
  object { Brick0948 }
  object { Brick0949 }
  object { Brick0950 }
  object { Brick0951 }
  object { Brick0952 }
  object { Brick0953 }
  object { Brick0954 }
  object { Brick0955 }
  object { Brick0956 }
  object { Brick0957 }
  object { Brick0958 }
  object { Brick0959 }
  object { Brick0960 }
  object { Brick0961 }
  object { Brick0962 }
  object { Brick0963 }
  object { Brick0964 }
  object { Brick0965 }
  object { Brick0966 }
  object { Brick0967 }
  object { Brick0968 }
  object { Brick0969 }
  object { Brick0970 }
  object { Brick0971 }
  object { Brick0972 }
  object { Brick0973 }
  object { Brick0974 }
  object { Brick0975 }
  object { Brick0976 }
  object { Brick0977 }
  object { Brick0978 }
  object { Brick0979 }
  object { Brick0980 }
  object { Brick0981 }
  object { Brick0982 }
  object { Brick0983 }
  object { Brick0984 }
  object { Brick0985 }
  object { Brick0986 }
  object { Brick0987 }
  object { Brick0988 }
  object { Brick0989 }
  object { Brick0990 }
  object { Brick0991 }
  object { Brick0992 }
  object { Brick0993 }
  object { Brick0994 }
  object { Brick0995 }
  object { Brick0996 }
  object { Brick0997 }
  object { Brick0998 }
  object { Brick0999 }
  object { Brick1000 }
  object { Brick1001 }
  object { Brick1002 }
  object { Brick1003 }
  object { Brick1004 }
  object { Brick1005 }
  object { Brick1006 }
  object { Brick1007 }
  object { Brick1008 }
  object { Brick1009 }
  object { Brick1010 }
  object { Brick1011 }
  object { Brick1012 }
  object { Brick1013 }
  object { Brick1014 }
  object { Brick1015 }
  object { Brick1016 }
  object { Brick1017 }
  object { Brick1018 }
  object { Brick1019 }
  object { Brick1020 }
  object { Brick1021 }
  object { Brick1022 }
  object { Brick1023 }
  object { Brick1024 }
  object { Brick1025 }
  object { Brick1026 }
  object { Brick1027 }
  object { Brick1028 }
  object { Brick1029 }
  object { Brick1030 }
  object { Brick1031 }
  object { Brick1032 }
  object { Brick1033 }
  object { Brick1034 }
  object { Brick1035 }
  object { Brick1036 }
  object { Brick1037 }
  object { Brick1038 }
  object { Brick1039 }
  object { Brick1040 }
  object { Brick1041 }
  object { Brick1042 }
  translate  <-34.922286, 0.552226, 11.789411>
}


#declare Brick0787 = intersection {
  superellipsoid { // SuperQ787
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube787
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.365184, -17.742146, 0.0>
}
#declare Brick0788 = intersection {
  superellipsoid { // SuperQ788
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube788
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.230254, -17.654275, 0.0>
}
#declare Brick0789 = intersection {
  superellipsoid { // SuperQ789
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube789
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.089998, -17.524251, 0.0>
}
#declare Brick0790 = intersection {
  superellipsoid { // SuperQ790
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube790
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.942365, -17.352384, 0.0>
}
#declare Brick0791 = intersection {
  superellipsoid { // SuperQ791
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube791
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.785318, -17.139084, 0.0>
}
#declare Brick0792 = intersection {
  superellipsoid { // SuperQ792
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube792
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.616846, -16.884861, 0.0>
}
#declare Brick0793 = intersection {
  superellipsoid { // SuperQ793
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube793
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.434961, -16.590321, 0.0>
}
#declare Brick0794 = intersection {
  superellipsoid { // SuperQ794
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube794
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.237712, -16.256168, 0.0>
}
#declare Brick0795 = intersection {
  superellipsoid { // SuperQ795
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube795
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.023181, -15.8832, 0.0>
}
#declare Brick0796 = intersection {
  superellipsoid { // SuperQ796
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube796
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.789494, -15.472307, 0.0>
}
#declare Brick0797 = intersection {
  superellipsoid { // SuperQ797
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube797
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.534819, -15.02447, 0.0>
}
#declare Brick0798 = intersection {
  superellipsoid { // SuperQ798
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube798
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.257377, -14.540759, 0.0>
}
#declare Brick0799 = intersection {
  superellipsoid { // SuperQ799
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube799
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.955444, -14.022329, 0.0>
}
#declare Brick0800 = intersection {
  superellipsoid { // SuperQ800
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube800
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.627352, -13.470418, 0.0>
}
#declare Brick0801 = intersection {
  superellipsoid { // SuperQ801
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube801
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.271498, -12.886342, 0.0>
}
#declare Brick0802 = intersection {
  superellipsoid { // SuperQ802
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube802
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.886342, -12.271498, 0.0>
}
#declare Brick0803 = intersection {
  superellipsoid { // SuperQ803
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube803
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.470418, -11.627352, 0.0>
}
#declare Brick0804 = intersection {
  superellipsoid { // SuperQ804
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube804
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.022329, -10.955444, 0.0>
}
#declare Brick0805 = intersection {
  superellipsoid { // SuperQ805
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube805
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.540759, -10.257377, 0.0>
}
#declare Brick0806 = intersection {
  superellipsoid { // SuperQ806
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube806
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.02447, -9.534819, 0.0>
}
#declare Brick0807 = intersection {
  superellipsoid { // SuperQ807
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube807
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.472307, -8.789494, 0.0>
}
#declare Brick0808 = intersection {
  superellipsoid { // SuperQ808
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube808
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.8832, -8.023181, 0.0>
}
#declare Brick0809 = intersection {
  superellipsoid { // SuperQ809
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube809
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.256168, -7.237712, 0.0>
}
#declare Brick0810 = intersection {
  superellipsoid { // SuperQ810
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube810
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.590321, -6.434961, 0.0>
}
#declare Brick0811 = intersection {
  superellipsoid { // SuperQ811
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube811
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.884861, -5.616846, 0.0>
}
#declare Brick0812 = intersection {
  superellipsoid { // SuperQ812
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube812
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.139084, -4.785318, 0.0>
}
#declare Brick0813 = intersection {
  superellipsoid { // SuperQ813
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube813
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.352384, -3.942365, 0.0>
}
#declare Brick0814 = intersection {
  superellipsoid { // SuperQ814
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube814
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.524251, -3.089998, 0.0>
}
#declare Brick0815 = intersection {
  superellipsoid { // SuperQ815
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube815
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.654275, -2.230254, 0.0>
}
#declare Brick0816 = intersection {
  superellipsoid { // SuperQ816
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube816
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.742146, -1.365184, 0.0>
}
#declare Brick0817 = intersection {
  superellipsoid { // SuperQ817
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube817
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.787653, -0.496854, 0.0>
}
#declare Brick0818 = intersection {
  superellipsoid { // SuperQ818
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube818
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.790688, 0.372662, 0.0>
}
#declare Brick0819 = intersection {
  superellipsoid { // SuperQ819
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube819
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.751244, 1.241288, 0.0>
}
#declare Brick0820 = intersection {
  superellipsoid { // SuperQ820
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube820
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.669415, 2.10695, 0.0>
}
#declare Brick0821 = intersection {
  superellipsoid { // SuperQ821
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube821
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.545396, 2.967582, 0.0>
}
#declare Brick0822 = intersection {
  superellipsoid { // SuperQ822
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube822
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.379484, 3.821127, 0.0>
}
#declare Brick0823 = intersection {
  superellipsoid { // SuperQ823
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube823
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.172074, 4.665549, 0.0>
}
#declare Brick0824 = intersection {
  superellipsoid { // SuperQ824
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube824
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.923662, 5.498831, 0.0>
}
#declare Brick0825 = intersection {
  superellipsoid { // SuperQ825
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube825
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.634841, 6.318983, 0.0>
}
#declare Brick0826 = intersection {
  superellipsoid { // SuperQ826
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube826
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.3063, 7.124047, 0.0>
}
#declare Brick0827 = intersection {
  superellipsoid { // SuperQ827
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube827
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.938825, 7.912101, 0.0>
}
#declare Brick0828 = intersection {
  superellipsoid { // SuperQ828
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube828
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.533291, 8.681263, 0.0>
}
#declare Brick0829 = intersection {
  superellipsoid { // SuperQ829
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube829
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.090669, 9.429697, 0.0>
}
#declare Brick0830 = intersection {
  superellipsoid { // SuperQ830
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube830
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.612014, 10.155615, 0.0>
}
#declare Brick0831 = intersection {
  superellipsoid { // SuperQ831
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube831
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.09847, 10.857284, 0.0>
}
#declare Brick0832 = intersection {
  superellipsoid { // SuperQ832
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube832
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.551263, 11.533029, 0.0>
}
#declare Brick0833 = intersection {
  superellipsoid { // SuperQ833
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube833
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.971699, 12.181236, 0.0>
}
#declare Brick0834 = intersection {
  superellipsoid { // SuperQ834
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube834
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.361162, 12.800358, 0.0>
}
#declare Brick0835 = intersection {
  superellipsoid { // SuperQ835
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube835
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.72111, 13.388916, 0.0>
}
#declare Brick0836 = intersection {
  superellipsoid { // SuperQ836
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube836
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.053071, 13.945505, 0.0>
}
#declare Brick0837 = intersection {
  superellipsoid { // SuperQ837
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube837
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.35864, 14.468796, 0.0>
}
#declare Brick0838 = intersection {
  superellipsoid { // SuperQ838
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube838
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.639476, 14.957539, 0.0>
}
#declare Brick0839 = intersection {
  superellipsoid { // SuperQ839
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube839
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.897296, 15.410568, 0.0>
}
#declare Brick0840 = intersection {
  superellipsoid { // SuperQ840
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube840
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.133871, 15.826801, 0.0>
}
#declare Brick0841 = intersection {
  superellipsoid { // SuperQ841
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube841
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.351024, 16.205243, 0.0>
}
#declare Brick0842 = intersection {
  superellipsoid { // SuperQ842
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube842
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.550626, 16.544992, 0.0>
}
#declare Brick0843 = intersection {
  superellipsoid { // SuperQ843
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube843
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.734586, 16.845237, 0.0>
}
#declare Brick0844 = intersection {
  superellipsoid { // SuperQ844
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube844
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.904854, 17.105259, 0.0>
}
#declare Brick0845 = intersection {
  superellipsoid { // SuperQ845
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube845
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.06341, 17.324439, 0.0>
}
#declare Brick0846 = intersection {
  superellipsoid { // SuperQ846
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube846
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.212264, 17.502252, 0.0>
}
#declare Brick0847 = intersection {
  superellipsoid { // SuperQ847
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube847
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.353448, 17.638275, 0.0>
}
#declare Brick0848 = intersection {
  superellipsoid { // SuperQ848
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube848
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.489013, 17.732183, 0.0>
}
#declare Brick0849 = intersection {
  superellipsoid { // SuperQ849
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube849
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <0.621022, 17.783751, 0.0>
}
#declare Brick0850 = intersection {
  superellipsoid { // SuperQ850
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube850
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.248451, 17.792857, 0.0>
}
#declare Brick0851 = intersection {
  superellipsoid { // SuperQ851
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube851
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.117332, 17.759478, 0.0>
}
#declare Brick0852 = intersection {
  superellipsoid { // SuperQ852
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube852
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.983544, 17.683694, 0.0>
}
#declare Brick0853 = intersection {
  superellipsoid { // SuperQ853
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube853
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.84502, 17.565686, 0.0>
}
#declare Brick0854 = intersection {
  superellipsoid { // SuperQ854
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube854
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.699704, 17.405737, 0.0>
}
#declare Brick0855 = intersection {
  superellipsoid { // SuperQ855
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube855
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.545553, 17.204227, 0.0>
}
#declare Brick0856 = intersection {
  superellipsoid { // SuperQ856
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube856
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.380549, 16.961638, 0.0>
}
#declare Brick0857 = intersection {
  superellipsoid { // SuperQ857
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube857
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.202697, 16.67855, 0.0>
}
#declare Brick0858 = intersection {
  superellipsoid { // SuperQ858
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube858
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.010035, 16.355638, 0.0>
}
#declare Brick0859 = intersection {
  superellipsoid { // SuperQ859
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube859
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.800635, 15.993673, 0.0>
}
#declare Brick0860 = intersection {
  superellipsoid { // SuperQ860
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube860
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.57261, 15.593519, 0.0>
}
#declare Brick0861 = intersection {
  superellipsoid { // SuperQ861
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube861
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.324115, 15.156133, 0.0>
}
#declare Brick0862 = intersection {
  superellipsoid { // SuperQ862
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube862
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.053357, 14.682557, 0.0>
}
#declare Brick0863 = intersection {
  superellipsoid { // SuperQ863
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube863
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.758594, 14.173924, 0.0>
}
#declare Brick0864 = intersection {
  superellipsoid { // SuperQ864
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube864
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.438143, 13.631448, 0.0>
}
#declare Brick0865 = intersection {
  superellipsoid { // SuperQ865
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube865
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.09038, 13.056423, 0.0>
}
#declare Brick0866 = intersection {
  superellipsoid { // SuperQ866
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube866
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.713749, 12.450223, 0.0>
}
#declare Brick0867 = intersection {
  superellipsoid { // SuperQ867
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube867
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.306761, 11.814295, 0.0>
}
#declare Brick0868 = intersection {
  superellipsoid { // SuperQ868
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube868
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.868, 11.150159, 0.0>
}
#declare Brick0869 = intersection {
  superellipsoid { // SuperQ869
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube869
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.396127, 10.459398, 0.0>
}
#declare Brick0870 = intersection {
  superellipsoid { // SuperQ870
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube870
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.889879, 9.743664, 0.0>
}
#declare Brick0871 = intersection {
  superellipsoid { // SuperQ871
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube871
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.348078, 9.004664, 0.0>
}
#declare Brick0872 = intersection {
  superellipsoid { // SuperQ872
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube872
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.76963, 8.244164, 0.0>
}
#declare Brick0873 = intersection {
  superellipsoid { // SuperQ873
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube873
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.153529, 7.463978, 0.0>
}
#declare Brick0874 = intersection {
  superellipsoid { // SuperQ874
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube874
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.498858, 6.665971, 0.0>
}
#declare Brick0875 = intersection {
  superellipsoid { // SuperQ875
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube875
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.804791, 5.852048, 0.0>
}
#declare Brick0876 = intersection {
  superellipsoid { // SuperQ876
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube876
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.0706, 5.024151, 0.0>
}
#declare Brick0877 = intersection {
  superellipsoid { // SuperQ877
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube877
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.295649, 4.184258, 0.0>
}
#declare Brick0878 = intersection {
  superellipsoid { // SuperQ878
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube878
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.4794, 3.334374, 0.0>
}
#declare Brick0879 = intersection {
  superellipsoid { // SuperQ879
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube879
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.621415, 2.476528, 0.0>
}
#declare Brick0880 = intersection {
  superellipsoid { // SuperQ880
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube880
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.721356, 1.61277, 0.0>
}
#declare Brick0881 = intersection {
  superellipsoid { // SuperQ881
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube881
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.778982, 0.74516, 0.0>
}
#declare Brick0882 = intersection {
  superellipsoid { // SuperQ882
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube882
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.794157, -0.124229, 0.0>
}
#declare Brick0883 = intersection {
  superellipsoid { // SuperQ883
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube883
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.766845, -0.993321, 0.0>
}
#declare Brick0884 = intersection {
  superellipsoid { // SuperQ884
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube884
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.69711, -1.860041, 0.0>
}
#declare Brick0885 = intersection {
  superellipsoid { // SuperQ885
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube885
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.58512, -2.72232, 0.0>
}
#declare Brick0886 = intersection {
  superellipsoid { // SuperQ886
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube886
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.431141, -3.578099, 0.0>
}
#declare Brick0887 = intersection {
  superellipsoid { // SuperQ887
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube887
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.235541, -4.425335, 0.0>
}
#declare Brick0888 = intersection {
  superellipsoid { // SuperQ888
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube888
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.998788, -5.262004, 0.0>
}
#declare Brick0889 = intersection {
  superellipsoid { // SuperQ889
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube889
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.721446, -6.086109, 0.0>
}
#declare Brick0890 = intersection {
  superellipsoid { // SuperQ890
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube890
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.404178, -6.895681, 0.0>
}
#declare Brick0891 = intersection {
  superellipsoid { // SuperQ891
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube891
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.047741, -7.688789, 0.0>
}
#declare Brick0892 = intersection {
  superellipsoid { // SuperQ892
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube892
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.652987, -8.463538, 0.0>
}
#declare Brick0893 = intersection {
  superellipsoid { // SuperQ893
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube893
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.220857, -9.218079, 0.0>
}
#declare Brick0894 = intersection {
  superellipsoid { // SuperQ894
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube894
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.752385, -9.950609, 0.0>
}
#declare Brick0895 = intersection {
  superellipsoid { // SuperQ895
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube895
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.248687, -10.65938, 0.0>
}
#declare Brick0896 = intersection {
  superellipsoid { // SuperQ896
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube896
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.710968, -11.342699, 0.0>
}
#declare Brick0897 = intersection {
  superellipsoid { // SuperQ897
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube897
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.140511, -11.998935, 0.0>
}
#declare Brick0898 = intersection {
  superellipsoid { // SuperQ898
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube898
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.538678, -12.626521, 0.0>
}
#declare Brick0899 = intersection {
  superellipsoid { // SuperQ899
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube899
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.906906, -13.223958, 0.0>
}
#declare Brick0900 = intersection {
  superellipsoid { // SuperQ900
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube900
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.246703, -13.78982, 0.0>
}
#declare Brick0901 = intersection {
  superellipsoid { // SuperQ901
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube901
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.559646, -14.322756, 0.0>
}
#declare Brick0902 = intersection {
  superellipsoid { // SuperQ902
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube902
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.847376, -14.821493, 0.0>
}
#declare Brick0903 = intersection {
  superellipsoid { // SuperQ903
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube903
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.111593, -15.28484, 0.0>
}
#declare Brick0904 = intersection {
  superellipsoid { // SuperQ904
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube904
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.354055, -15.711691, 0.0>
}
#declare Brick0905 = intersection {
  superellipsoid { // SuperQ905
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube905
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.576568, -16.101027, 0.0>
}
#declare Brick0906 = intersection {
  superellipsoid { // SuperQ906
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube906
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.780992, -16.451919, 0.0>
}
#declare Brick0907 = intersection {
  superellipsoid { // SuperQ907
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube907
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.969224, -16.763527, 0.0>
}
#declare Brick0908 = intersection {
  superellipsoid { // SuperQ908
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube908
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.143203, -17.035109, 0.0>
}
#declare Brick0909 = intersection {
  superellipsoid { // SuperQ909
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube909
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.304901, -17.266016, 0.0>
}
#declare Brick0910 = intersection {
  superellipsoid { // SuperQ910
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube910
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.456321, -17.455696, 0.0>
}
#declare Brick0911 = intersection {
  superellipsoid { // SuperQ911
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube911
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.599488, -17.603697, 0.0>
}
#declare Brick0912 = intersection {
  superellipsoid { // SuperQ912
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube912
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.736448, -17.709665, 0.0>
}
#declare Brick0913 = intersection {
  superellipsoid { // SuperQ913
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube913
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.869262, -17.773347, 0.0>
}
#declare Brick0914 = intersection {
  superellipsoid { // SuperQ914
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube914
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  -17.794591*y
}
union { // ring0006
  object { Brick0787 }
  object { Brick0788 }
  object { Brick0789 }
  object { Brick0790 }
  object { Brick0791 }
  object { Brick0792 }
  object { Brick0793 }
  object { Brick0794 }
  object { Brick0795 }
  object { Brick0796 }
  object { Brick0797 }
  object { Brick0798 }
  object { Brick0799 }
  object { Brick0800 }
  object { Brick0801 }
  object { Brick0802 }
  object { Brick0803 }
  object { Brick0804 }
  object { Brick0805 }
  object { Brick0806 }
  object { Brick0807 }
  object { Brick0808 }
  object { Brick0809 }
  object { Brick0810 }
  object { Brick0811 }
  object { Brick0812 }
  object { Brick0813 }
  object { Brick0814 }
  object { Brick0815 }
  object { Brick0816 }
  object { Brick0817 }
  object { Brick0818 }
  object { Brick0819 }
  object { Brick0820 }
  object { Brick0821 }
  object { Brick0822 }
  object { Brick0823 }
  object { Brick0824 }
  object { Brick0825 }
  object { Brick0826 }
  object { Brick0827 }
  object { Brick0828 }
  object { Brick0829 }
  object { Brick0830 }
  object { Brick0831 }
  object { Brick0832 }
  object { Brick0833 }
  object { Brick0834 }
  object { Brick0835 }
  object { Brick0836 }
  object { Brick0837 }
  object { Brick0838 }
  object { Brick0839 }
  object { Brick0840 }
  object { Brick0841 }
  object { Brick0842 }
  object { Brick0843 }
  object { Brick0844 }
  object { Brick0845 }
  object { Brick0846 }
  object { Brick0847 }
  object { Brick0848 }
  object { Brick0849 }
  object { Brick0850 }
  object { Brick0851 }
  object { Brick0852 }
  object { Brick0853 }
  object { Brick0854 }
  object { Brick0855 }
  object { Brick0856 }
  object { Brick0857 }
  object { Brick0858 }
  object { Brick0859 }
  object { Brick0860 }
  object { Brick0861 }
  object { Brick0862 }
  object { Brick0863 }
  object { Brick0864 }
  object { Brick0865 }
  object { Brick0866 }
  object { Brick0867 }
  object { Brick0868 }
  object { Brick0869 }
  object { Brick0870 }
  object { Brick0871 }
  object { Brick0872 }
  object { Brick0873 }
  object { Brick0874 }
  object { Brick0875 }
  object { Brick0876 }
  object { Brick0877 }
  object { Brick0878 }
  object { Brick0879 }
  object { Brick0880 }
  object { Brick0881 }
  object { Brick0882 }
  object { Brick0883 }
  object { Brick0884 }
  object { Brick0885 }
  object { Brick0886 }
  object { Brick0887 }
  object { Brick0888 }
  object { Brick0889 }
  object { Brick0890 }
  object { Brick0891 }
  object { Brick0892 }
  object { Brick0893 }
  object { Brick0894 }
  object { Brick0895 }
  object { Brick0896 }
  object { Brick0897 }
  object { Brick0898 }
  object { Brick0899 }
  object { Brick0900 }
  object { Brick0901 }
  object { Brick0902 }
  object { Brick0903 }
  object { Brick0904 }
  object { Brick0905 }
  object { Brick0906 }
  object { Brick0907 }
  object { Brick0908 }
  object { Brick0909 }
  object { Brick0910 }
  object { Brick0911 }
  object { Brick0912 }
  object { Brick0913 }
  object { Brick0914 }
  translate  <-34.922286, 0.552226, 9.789411>
}


#declare Brick0659 = intersection {
  superellipsoid { // SuperQ659
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube659
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.365184, -17.742146, 0.0>
}
#declare Brick0660 = intersection {
  superellipsoid { // SuperQ660
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube660
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.230254, -17.654275, 0.0>
}
#declare Brick0661 = intersection {
  superellipsoid { // SuperQ661
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube661
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.089998, -17.524251, 0.0>
}
#declare Brick0662 = intersection {
  superellipsoid { // SuperQ662
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube662
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.942365, -17.352384, 0.0>
}
#declare Brick0663 = intersection {
  superellipsoid { // SuperQ663
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube663
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.785318, -17.139084, 0.0>
}
#declare Brick0664 = intersection {
  superellipsoid { // SuperQ664
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube664
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.616846, -16.884861, 0.0>
}
#declare Brick0665 = intersection {
  superellipsoid { // SuperQ665
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube665
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.434961, -16.590321, 0.0>
}
#declare Brick0666 = intersection {
  superellipsoid { // SuperQ666
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube666
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.237712, -16.256168, 0.0>
}
#declare Brick0667 = intersection {
  superellipsoid { // SuperQ667
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube667
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.023181, -15.8832, 0.0>
}
#declare Brick0668 = intersection {
  superellipsoid { // SuperQ668
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube668
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.789494, -15.472307, 0.0>
}
#declare Brick0669 = intersection {
  superellipsoid { // SuperQ669
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube669
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.534819, -15.02447, 0.0>
}
#declare Brick0670 = intersection {
  superellipsoid { // SuperQ670
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube670
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.257377, -14.540759, 0.0>
}
#declare Brick0671 = intersection {
  superellipsoid { // SuperQ671
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube671
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.955444, -14.022329, 0.0>
}
#declare Brick0672 = intersection {
  superellipsoid { // SuperQ672
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube672
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.627352, -13.470418, 0.0>
}
#declare Brick0673 = intersection {
  superellipsoid { // SuperQ673
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube673
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.271498, -12.886342, 0.0>
}
#declare Brick0674 = intersection {
  superellipsoid { // SuperQ674
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube674
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.886342, -12.271498, 0.0>
}
#declare Brick0675 = intersection {
  superellipsoid { // SuperQ675
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube675
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.470418, -11.627352, 0.0>
}
#declare Brick0676 = intersection {
  superellipsoid { // SuperQ676
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube676
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.022329, -10.955444, 0.0>
}
#declare Brick0677 = intersection {
  superellipsoid { // SuperQ677
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube677
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.540759, -10.257377, 0.0>
}
#declare Brick0678 = intersection {
  superellipsoid { // SuperQ678
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube678
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.02447, -9.534819, 0.0>
}
#declare Brick0679 = intersection {
  superellipsoid { // SuperQ679
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube679
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.472307, -8.789494, 0.0>
}
#declare Brick0680 = intersection {
  superellipsoid { // SuperQ680
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube680
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.8832, -8.023181, 0.0>
}
#declare Brick0681 = intersection {
  superellipsoid { // SuperQ681
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube681
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.256168, -7.237712, 0.0>
}
#declare Brick0682 = intersection {
  superellipsoid { // SuperQ682
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube682
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.590321, -6.434961, 0.0>
}
#declare Brick0683 = intersection {
  superellipsoid { // SuperQ683
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube683
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.884861, -5.616846, 0.0>
}
#declare Brick0684 = intersection {
  superellipsoid { // SuperQ684
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube684
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.139084, -4.785318, 0.0>
}
#declare Brick0685 = intersection {
  superellipsoid { // SuperQ685
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube685
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.352384, -3.942365, 0.0>
}
#declare Brick0686 = intersection {
  superellipsoid { // SuperQ686
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube686
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.524251, -3.089998, 0.0>
}
#declare Brick0687 = intersection {
  superellipsoid { // SuperQ687
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube687
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.654275, -2.230254, 0.0>
}
#declare Brick0688 = intersection {
  superellipsoid { // SuperQ688
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube688
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.742146, -1.365184, 0.0>
}
#declare Brick0689 = intersection {
  superellipsoid { // SuperQ689
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube689
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.787653, -0.496854, 0.0>
}
#declare Brick0690 = intersection {
  superellipsoid { // SuperQ690
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube690
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.790688, 0.372662, 0.0>
}
#declare Brick0691 = intersection {
  superellipsoid { // SuperQ691
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube691
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.751244, 1.241288, 0.0>
}
#declare Brick0692 = intersection {
  superellipsoid { // SuperQ692
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube692
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.669415, 2.10695, 0.0>
}
#declare Brick0693 = intersection {
  superellipsoid { // SuperQ693
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube693
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.545396, 2.967582, 0.0>
}
#declare Brick0694 = intersection {
  superellipsoid { // SuperQ694
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube694
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.379484, 3.821127, 0.0>
}
#declare Brick0695 = intersection {
  superellipsoid { // SuperQ695
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube695
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.172074, 4.665549, 0.0>
}
#declare Brick0696 = intersection {
  superellipsoid { // SuperQ696
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube696
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.923662, 5.498831, 0.0>
}
#declare Brick0697 = intersection {
  superellipsoid { // SuperQ697
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube697
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.634841, 6.318983, 0.0>
}
#declare Brick0698 = intersection {
  superellipsoid { // SuperQ698
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube698
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.3063, 7.124047, 0.0>
}
#declare Brick0699 = intersection {
  superellipsoid { // SuperQ699
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube699
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.938825, 7.912101, 0.0>
}
#declare Brick0700 = intersection {
  superellipsoid { // SuperQ700
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube700
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.533291, 8.681263, 0.0>
}
#declare Brick0701 = intersection {
  superellipsoid { // SuperQ701
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube701
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.090669, 9.429697, 0.0>
}
#declare Brick0702 = intersection {
  superellipsoid { // SuperQ702
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube702
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.612014, 10.155615, 0.0>
}
#declare Brick0703 = intersection {
  superellipsoid { // SuperQ703
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube703
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.09847, 10.857284, 0.0>
}
#declare Brick0704 = intersection {
  superellipsoid { // SuperQ704
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube704
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.551263, 11.533029, 0.0>
}
#declare Brick0705 = intersection {
  superellipsoid { // SuperQ705
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube705
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.971699, 12.181236, 0.0>
}
#declare Brick0706 = intersection {
  superellipsoid { // SuperQ706
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube706
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.361162, 12.800358, 0.0>
}
#declare Brick0707 = intersection {
  superellipsoid { // SuperQ707
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube707
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.72111, 13.388916, 0.0>
}
#declare Brick0708 = intersection {
  superellipsoid { // SuperQ708
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube708
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.053071, 13.945505, 0.0>
}
#declare Brick0709 = intersection {
  superellipsoid { // SuperQ709
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube709
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.35864, 14.468796, 0.0>
}
#declare Brick0710 = intersection {
  superellipsoid { // SuperQ710
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube710
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.639476, 14.957539, 0.0>
}
#declare Brick0711 = intersection {
  superellipsoid { // SuperQ711
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube711
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.897296, 15.410568, 0.0>
}
#declare Brick0712 = intersection {
  superellipsoid { // SuperQ712
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube712
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.133871, 15.826801, 0.0>
}
#declare Brick0713 = intersection {
  superellipsoid { // SuperQ713
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube713
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.351024, 16.205243, 0.0>
}
#declare Brick0714 = intersection {
  superellipsoid { // SuperQ714
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube714
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.550626, 16.544992, 0.0>
}
#declare Brick0715 = intersection {
  superellipsoid { // SuperQ715
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube715
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.734586, 16.845237, 0.0>
}
#declare Brick0716 = intersection {
  superellipsoid { // SuperQ716
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube716
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.904854, 17.105259, 0.0>
}
#declare Brick0717 = intersection {
  superellipsoid { // SuperQ717
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube717
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.06341, 17.324439, 0.0>
}
#declare Brick0718 = intersection {
  superellipsoid { // SuperQ718
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube718
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.212264, 17.502252, 0.0>
}
#declare Brick0719 = intersection {
  superellipsoid { // SuperQ719
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube719
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.353448, 17.638275, 0.0>
}
#declare Brick0720 = intersection {
  superellipsoid { // SuperQ720
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube720
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.489013, 17.732183, 0.0>
}
#declare Brick0721 = intersection {
  superellipsoid { // SuperQ721
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube721
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <0.621022, 17.783751, 0.0>
}
#declare Brick0722 = intersection {
  superellipsoid { // SuperQ722
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube722
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.248451, 17.792857, 0.0>
}
#declare Brick0723 = intersection {
  superellipsoid { // SuperQ723
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube723
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.117332, 17.759478, 0.0>
}
#declare Brick0724 = intersection {
  superellipsoid { // SuperQ724
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube724
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.983544, 17.683694, 0.0>
}
#declare Brick0725 = intersection {
  superellipsoid { // SuperQ725
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube725
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.84502, 17.565686, 0.0>
}
#declare Brick0726 = intersection {
  superellipsoid { // SuperQ726
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube726
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.699704, 17.405737, 0.0>
}
#declare Brick0727 = intersection {
  superellipsoid { // SuperQ727
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube727
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.545553, 17.204227, 0.0>
}
#declare Brick0728 = intersection {
  superellipsoid { // SuperQ728
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube728
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.380549, 16.961638, 0.0>
}
#declare Brick0729 = intersection {
  superellipsoid { // SuperQ729
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube729
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.202697, 16.67855, 0.0>
}
#declare Brick0730 = intersection {
  superellipsoid { // SuperQ730
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube730
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.010035, 16.355638, 0.0>
}
#declare Brick0731 = intersection {
  superellipsoid { // SuperQ731
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube731
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.800635, 15.993673, 0.0>
}
#declare Brick0732 = intersection {
  superellipsoid { // SuperQ732
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube732
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.57261, 15.593519, 0.0>
}
#declare Brick0733 = intersection {
  superellipsoid { // SuperQ733
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube733
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.324115, 15.156133, 0.0>
}
#declare Brick0734 = intersection {
  superellipsoid { // SuperQ734
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube734
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.053357, 14.682557, 0.0>
}
#declare Brick0735 = intersection {
  superellipsoid { // SuperQ735
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube735
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.758594, 14.173924, 0.0>
}
#declare Brick0736 = intersection {
  superellipsoid { // SuperQ736
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube736
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.438143, 13.631448, 0.0>
}
#declare Brick0737 = intersection {
  superellipsoid { // SuperQ737
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube737
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.09038, 13.056423, 0.0>
}
#declare Brick0738 = intersection {
  superellipsoid { // SuperQ738
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube738
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.713749, 12.450223, 0.0>
}
#declare Brick0739 = intersection {
  superellipsoid { // SuperQ739
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube739
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.306761, 11.814295, 0.0>
}
#declare Brick0740 = intersection {
  superellipsoid { // SuperQ740
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube740
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.868, 11.150159, 0.0>
}
#declare Brick0741 = intersection {
  superellipsoid { // SuperQ741
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube741
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.396127, 10.459398, 0.0>
}
#declare Brick0742 = intersection {
  superellipsoid { // SuperQ742
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube742
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.889879, 9.743664, 0.0>
}
#declare Brick0743 = intersection {
  superellipsoid { // SuperQ743
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube743
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.348078, 9.004664, 0.0>
}
#declare Brick0744 = intersection {
  superellipsoid { // SuperQ744
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube744
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.76963, 8.244164, 0.0>
}
#declare Brick0745 = intersection {
  superellipsoid { // SuperQ745
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube745
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.153529, 7.463978, 0.0>
}
#declare Brick0746 = intersection {
  superellipsoid { // SuperQ746
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube746
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.498858, 6.665971, 0.0>
}
#declare Brick0747 = intersection {
  superellipsoid { // SuperQ747
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube747
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.804791, 5.852048, 0.0>
}
#declare Brick0748 = intersection {
  superellipsoid { // SuperQ748
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube748
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.0706, 5.024151, 0.0>
}
#declare Brick0749 = intersection {
  superellipsoid { // SuperQ749
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube749
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.295649, 4.184258, 0.0>
}
#declare Brick0750 = intersection {
  superellipsoid { // SuperQ750
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube750
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.4794, 3.334374, 0.0>
}
#declare Brick0751 = intersection {
  superellipsoid { // SuperQ751
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube751
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.621415, 2.476528, 0.0>
}
#declare Brick0752 = intersection {
  superellipsoid { // SuperQ752
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube752
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.721356, 1.61277, 0.0>
}
#declare Brick0753 = intersection {
  superellipsoid { // SuperQ753
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube753
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.778982, 0.74516, 0.0>
}
#declare Brick0754 = intersection {
  superellipsoid { // SuperQ754
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube754
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.794157, -0.124229, 0.0>
}
#declare Brick0755 = intersection {
  superellipsoid { // SuperQ755
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube755
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.766845, -0.993321, 0.0>
}
#declare Brick0756 = intersection {
  superellipsoid { // SuperQ756
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube756
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.69711, -1.860041, 0.0>
}
#declare Brick0757 = intersection {
  superellipsoid { // SuperQ757
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube757
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.58512, -2.72232, 0.0>
}
#declare Brick0758 = intersection {
  superellipsoid { // SuperQ758
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube758
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.431141, -3.578099, 0.0>
}
#declare Brick0759 = intersection {
  superellipsoid { // SuperQ759
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube759
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.235541, -4.425335, 0.0>
}
#declare Brick0760 = intersection {
  superellipsoid { // SuperQ760
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube760
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.998788, -5.262004, 0.0>
}
#declare Brick0761 = intersection {
  superellipsoid { // SuperQ761
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube761
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.721446, -6.086109, 0.0>
}
#declare Brick0762 = intersection {
  superellipsoid { // SuperQ762
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube762
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.404178, -6.895681, 0.0>
}
#declare Brick0763 = intersection {
  superellipsoid { // SuperQ763
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube763
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.047741, -7.688789, 0.0>
}
#declare Brick0764 = intersection {
  superellipsoid { // SuperQ764
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube764
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.652987, -8.463538, 0.0>
}
#declare Brick0765 = intersection {
  superellipsoid { // SuperQ765
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube765
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.220857, -9.218079, 0.0>
}
#declare Brick0766 = intersection {
  superellipsoid { // SuperQ766
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube766
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.752385, -9.950609, 0.0>
}
#declare Brick0767 = intersection {
  superellipsoid { // SuperQ767
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube767
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.248687, -10.65938, 0.0>
}
#declare Brick0768 = intersection {
  superellipsoid { // SuperQ768
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube768
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.710968, -11.342699, 0.0>
}
#declare Brick0769 = intersection {
  superellipsoid { // SuperQ769
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube769
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.140511, -11.998935, 0.0>
}
#declare Brick0770 = intersection {
  superellipsoid { // SuperQ770
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube770
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.538678, -12.626521, 0.0>
}
#declare Brick0771 = intersection {
  superellipsoid { // SuperQ771
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube771
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.906906, -13.223958, 0.0>
}
#declare Brick0772 = intersection {
  superellipsoid { // SuperQ772
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube772
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.246703, -13.78982, 0.0>
}
#declare Brick0773 = intersection {
  superellipsoid { // SuperQ773
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube773
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.559646, -14.322756, 0.0>
}
#declare Brick0774 = intersection {
  superellipsoid { // SuperQ774
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube774
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.847376, -14.821493, 0.0>
}
#declare Brick0775 = intersection {
  superellipsoid { // SuperQ775
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube775
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.111593, -15.28484, 0.0>
}
#declare Brick0776 = intersection {
  superellipsoid { // SuperQ776
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube776
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.354055, -15.711691, 0.0>
}
#declare Brick0777 = intersection {
  superellipsoid { // SuperQ777
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube777
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.576568, -16.101027, 0.0>
}
#declare Brick0778 = intersection {
  superellipsoid { // SuperQ778
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube778
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.780992, -16.451919, 0.0>
}
#declare Brick0779 = intersection {
  superellipsoid { // SuperQ779
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube779
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.969224, -16.763527, 0.0>
}
#declare Brick0780 = intersection {
  superellipsoid { // SuperQ780
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube780
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.143203, -17.035109, 0.0>
}
#declare Brick0781 = intersection {
  superellipsoid { // SuperQ781
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube781
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.304901, -17.266016, 0.0>
}
#declare Brick0782 = intersection {
  superellipsoid { // SuperQ782
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube782
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.456321, -17.455696, 0.0>
}
#declare Brick0783 = intersection {
  superellipsoid { // SuperQ783
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube783
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.599488, -17.603697, 0.0>
}
#declare Brick0784 = intersection {
  superellipsoid { // SuperQ784
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube784
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.736448, -17.709665, 0.0>
}
#declare Brick0785 = intersection {
  superellipsoid { // SuperQ785
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube785
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.869262, -17.773347, 0.0>
}
#declare Brick0786 = intersection {
  superellipsoid { // SuperQ786
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube786
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  -17.794591*y
}
union { // ring0005
  object { Brick0659 }
  object { Brick0660 }
  object { Brick0661 }
  object { Brick0662 }
  object { Brick0663 }
  object { Brick0664 }
  object { Brick0665 }
  object { Brick0666 }
  object { Brick0667 }
  object { Brick0668 }
  object { Brick0669 }
  object { Brick0670 }
  object { Brick0671 }
  object { Brick0672 }
  object { Brick0673 }
  object { Brick0674 }
  object { Brick0675 }
  object { Brick0676 }
  object { Brick0677 }
  object { Brick0678 }
  object { Brick0679 }
  object { Brick0680 }
  object { Brick0681 }
  object { Brick0682 }
  object { Brick0683 }
  object { Brick0684 }
  object { Brick0685 }
  object { Brick0686 }
  object { Brick0687 }
  object { Brick0688 }
  object { Brick0689 }
  object { Brick0690 }
  object { Brick0691 }
  object { Brick0692 }
  object { Brick0693 }
  object { Brick0694 }
  object { Brick0695 }
  object { Brick0696 }
  object { Brick0697 }
  object { Brick0698 }
  object { Brick0699 }
  object { Brick0700 }
  object { Brick0701 }
  object { Brick0702 }
  object { Brick0703 }
  object { Brick0704 }
  object { Brick0705 }
  object { Brick0706 }
  object { Brick0707 }
  object { Brick0708 }
  object { Brick0709 }
  object { Brick0710 }
  object { Brick0711 }
  object { Brick0712 }
  object { Brick0713 }
  object { Brick0714 }
  object { Brick0715 }
  object { Brick0716 }
  object { Brick0717 }
  object { Brick0718 }
  object { Brick0719 }
  object { Brick0720 }
  object { Brick0721 }
  object { Brick0722 }
  object { Brick0723 }
  object { Brick0724 }
  object { Brick0725 }
  object { Brick0726 }
  object { Brick0727 }
  object { Brick0728 }
  object { Brick0729 }
  object { Brick0730 }
  object { Brick0731 }
  object { Brick0732 }
  object { Brick0733 }
  object { Brick0734 }
  object { Brick0735 }
  object { Brick0736 }
  object { Brick0737 }
  object { Brick0738 }
  object { Brick0739 }
  object { Brick0740 }
  object { Brick0741 }
  object { Brick0742 }
  object { Brick0743 }
  object { Brick0744 }
  object { Brick0745 }
  object { Brick0746 }
  object { Brick0747 }
  object { Brick0748 }
  object { Brick0749 }
  object { Brick0750 }
  object { Brick0751 }
  object { Brick0752 }
  object { Brick0753 }
  object { Brick0754 }
  object { Brick0755 }
  object { Brick0756 }
  object { Brick0757 }
  object { Brick0758 }
  object { Brick0759 }
  object { Brick0760 }
  object { Brick0761 }
  object { Brick0762 }
  object { Brick0763 }
  object { Brick0764 }
  object { Brick0765 }
  object { Brick0766 }
  object { Brick0767 }
  object { Brick0768 }
  object { Brick0769 }
  object { Brick0770 }
  object { Brick0771 }
  object { Brick0772 }
  object { Brick0773 }
  object { Brick0774 }
  object { Brick0775 }
  object { Brick0776 }
  object { Brick0777 }
  object { Brick0778 }
  object { Brick0779 }
  object { Brick0780 }
  object { Brick0781 }
  object { Brick0782 }
  object { Brick0783 }
  object { Brick0784 }
  object { Brick0785 }
  object { Brick0786 }
  translate  <-34.922286, 0.552226, 7.789411>
}


#declare Brick0531 = intersection {
  superellipsoid { // SuperQ531
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube531
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.365184, -17.742146, 0.0>
}
#declare Brick0532 = intersection {
  superellipsoid { // SuperQ532
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube532
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.230254, -17.654275, 0.0>
}
#declare Brick0533 = intersection {
  superellipsoid { // SuperQ533
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube533
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.089998, -17.524251, 0.0>
}
#declare Brick0534 = intersection {
  superellipsoid { // SuperQ534
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube534
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.942365, -17.352384, 0.0>
}
#declare Brick0535 = intersection {
  superellipsoid { // SuperQ535
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube535
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.785318, -17.139084, 0.0>
}
#declare Brick0536 = intersection {
  superellipsoid { // SuperQ536
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube536
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.616846, -16.884861, 0.0>
}
#declare Brick0537 = intersection {
  superellipsoid { // SuperQ537
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube537
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.434961, -16.590321, 0.0>
}
#declare Brick0538 = intersection {
  superellipsoid { // SuperQ538
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube538
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.237712, -16.256168, 0.0>
}
#declare Brick0539 = intersection {
  superellipsoid { // SuperQ539
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube539
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.023181, -15.8832, 0.0>
}
#declare Brick0540 = intersection {
  superellipsoid { // SuperQ540
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube540
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.789494, -15.472307, 0.0>
}
#declare Brick0541 = intersection {
  superellipsoid { // SuperQ541
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube541
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.534819, -15.02447, 0.0>
}
#declare Brick0542 = intersection {
  superellipsoid { // SuperQ542
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube542
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.257377, -14.540759, 0.0>
}
#declare Brick0543 = intersection {
  superellipsoid { // SuperQ543
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube543
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.955444, -14.022329, 0.0>
}
#declare Brick0544 = intersection {
  superellipsoid { // SuperQ544
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube544
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.627352, -13.470418, 0.0>
}
#declare Brick0545 = intersection {
  superellipsoid { // SuperQ545
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube545
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.271498, -12.886342, 0.0>
}
#declare Brick0546 = intersection {
  superellipsoid { // SuperQ546
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube546
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.886342, -12.271498, 0.0>
}
#declare Brick0547 = intersection {
  superellipsoid { // SuperQ547
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube547
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.470418, -11.627352, 0.0>
}
#declare Brick0548 = intersection {
  superellipsoid { // SuperQ548
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube548
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.022329, -10.955444, 0.0>
}
#declare Brick0549 = intersection {
  superellipsoid { // SuperQ549
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube549
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.540759, -10.257377, 0.0>
}
#declare Brick0550 = intersection {
  superellipsoid { // SuperQ550
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube550
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.02447, -9.534819, 0.0>
}
#declare Brick0551 = intersection {
  superellipsoid { // SuperQ551
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube551
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.472307, -8.789494, 0.0>
}
#declare Brick0552 = intersection {
  superellipsoid { // SuperQ552
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube552
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.8832, -8.023181, 0.0>
}
#declare Brick0553 = intersection {
  superellipsoid { // SuperQ553
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube553
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.256168, -7.237712, 0.0>
}
#declare Brick0554 = intersection {
  superellipsoid { // SuperQ554
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube554
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.590321, -6.434961, 0.0>
}
#declare Brick0555 = intersection {
  superellipsoid { // SuperQ555
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube555
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.884861, -5.616846, 0.0>
}
#declare Brick0556 = intersection {
  superellipsoid { // SuperQ556
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube556
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.139084, -4.785318, 0.0>
}
#declare Brick0557 = intersection {
  superellipsoid { // SuperQ557
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube557
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.352384, -3.942365, 0.0>
}
#declare Brick0558 = intersection {
  superellipsoid { // SuperQ558
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube558
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.524251, -3.089998, 0.0>
}
#declare Brick0559 = intersection {
  superellipsoid { // SuperQ559
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube559
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.654275, -2.230254, 0.0>
}
#declare Brick0560 = intersection {
  superellipsoid { // SuperQ560
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube560
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.742146, -1.365184, 0.0>
}
#declare Brick0561 = intersection {
  superellipsoid { // SuperQ561
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube561
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.787653, -0.496854, 0.0>
}
#declare Brick0562 = intersection {
  superellipsoid { // SuperQ562
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube562
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.790688, 0.372662, 0.0>
}
#declare Brick0563 = intersection {
  superellipsoid { // SuperQ563
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube563
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.751244, 1.241288, 0.0>
}
#declare Brick0564 = intersection {
  superellipsoid { // SuperQ564
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube564
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.669415, 2.10695, 0.0>
}
#declare Brick0565 = intersection {
  superellipsoid { // SuperQ565
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube565
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.545396, 2.967582, 0.0>
}
#declare Brick0566 = intersection {
  superellipsoid { // SuperQ566
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube566
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.379484, 3.821127, 0.0>
}
#declare Brick0567 = intersection {
  superellipsoid { // SuperQ567
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube567
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.172074, 4.665549, 0.0>
}
#declare Brick0568 = intersection {
  superellipsoid { // SuperQ568
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube568
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.923662, 5.498831, 0.0>
}
#declare Brick0569 = intersection {
  superellipsoid { // SuperQ569
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube569
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.634841, 6.318983, 0.0>
}
#declare Brick0570 = intersection {
  superellipsoid { // SuperQ570
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube570
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.3063, 7.124047, 0.0>
}
#declare Brick0571 = intersection {
  superellipsoid { // SuperQ571
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube571
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.938825, 7.912101, 0.0>
}
#declare Brick0572 = intersection {
  superellipsoid { // SuperQ572
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube572
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.533291, 8.681263, 0.0>
}
#declare Brick0573 = intersection {
  superellipsoid { // SuperQ573
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube573
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.090669, 9.429697, 0.0>
}
#declare Brick0574 = intersection {
  superellipsoid { // SuperQ574
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube574
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.612014, 10.155615, 0.0>
}
#declare Brick0575 = intersection {
  superellipsoid { // SuperQ575
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube575
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.09847, 10.857284, 0.0>
}
#declare Brick0576 = intersection {
  superellipsoid { // SuperQ576
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube576
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.551263, 11.533029, 0.0>
}
#declare Brick0577 = intersection {
  superellipsoid { // SuperQ577
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube577
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.971699, 12.181236, 0.0>
}
#declare Brick0578 = intersection {
  superellipsoid { // SuperQ578
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube578
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.361162, 12.800358, 0.0>
}
#declare Brick0579 = intersection {
  superellipsoid { // SuperQ579
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube579
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.72111, 13.388916, 0.0>
}
#declare Brick0580 = intersection {
  superellipsoid { // SuperQ580
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube580
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.053071, 13.945505, 0.0>
}
#declare Brick0581 = intersection {
  superellipsoid { // SuperQ581
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube581
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.35864, 14.468796, 0.0>
}
#declare Brick0582 = intersection {
  superellipsoid { // SuperQ582
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube582
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.639476, 14.957539, 0.0>
}
#declare Brick0583 = intersection {
  superellipsoid { // SuperQ583
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube583
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.897296, 15.410568, 0.0>
}
#declare Brick0584 = intersection {
  superellipsoid { // SuperQ584
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube584
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.133871, 15.826801, 0.0>
}
#declare Brick0585 = intersection {
  superellipsoid { // SuperQ585
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube585
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.351024, 16.205243, 0.0>
}
#declare Brick0586 = intersection {
  superellipsoid { // SuperQ586
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube586
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.550626, 16.544992, 0.0>
}
#declare Brick0587 = intersection {
  superellipsoid { // SuperQ587
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube587
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.734586, 16.845237, 0.0>
}
#declare Brick0588 = intersection {
  superellipsoid { // SuperQ588
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube588
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.904854, 17.105259, 0.0>
}
#declare Brick0589 = intersection {
  superellipsoid { // SuperQ589
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube589
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.06341, 17.324439, 0.0>
}
#declare Brick0590 = intersection {
  superellipsoid { // SuperQ590
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube590
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.212264, 17.502252, 0.0>
}
#declare Brick0591 = intersection {
  superellipsoid { // SuperQ591
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube591
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.353448, 17.638275, 0.0>
}
#declare Brick0592 = intersection {
  superellipsoid { // SuperQ592
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube592
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.489013, 17.732183, 0.0>
}
#declare Brick0593 = intersection {
  superellipsoid { // SuperQ593
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube593
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <0.621022, 17.783751, 0.0>
}
#declare Brick0594 = intersection {
  superellipsoid { // SuperQ594
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube594
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.248451, 17.792857, 0.0>
}
#declare Brick0595 = intersection {
  superellipsoid { // SuperQ595
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube595
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.117332, 17.759478, 0.0>
}
#declare Brick0596 = intersection {
  superellipsoid { // SuperQ596
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube596
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.983544, 17.683694, 0.0>
}
#declare Brick0597 = intersection {
  superellipsoid { // SuperQ597
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube597
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.84502, 17.565686, 0.0>
}
#declare Brick0598 = intersection {
  superellipsoid { // SuperQ598
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube598
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.699704, 17.405737, 0.0>
}
#declare Brick0599 = intersection {
  superellipsoid { // SuperQ599
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube599
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.545553, 17.204227, 0.0>
}
#declare Brick0600 = intersection {
  superellipsoid { // SuperQ600
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube600
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.380549, 16.961638, 0.0>
}
#declare Brick0601 = intersection {
  superellipsoid { // SuperQ601
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube601
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.202697, 16.67855, 0.0>
}
#declare Brick0602 = intersection {
  superellipsoid { // SuperQ602
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube602
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.010035, 16.355638, 0.0>
}
#declare Brick0603 = intersection {
  superellipsoid { // SuperQ603
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube603
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.800635, 15.993673, 0.0>
}
#declare Brick0604 = intersection {
  superellipsoid { // SuperQ604
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube604
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.57261, 15.593519, 0.0>
}
#declare Brick0605 = intersection {
  superellipsoid { // SuperQ605
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube605
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.324115, 15.156133, 0.0>
}
#declare Brick0606 = intersection {
  superellipsoid { // SuperQ606
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube606
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.053357, 14.682557, 0.0>
}
#declare Brick0607 = intersection {
  superellipsoid { // SuperQ607
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube607
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.758594, 14.173924, 0.0>
}
#declare Brick0608 = intersection {
  superellipsoid { // SuperQ608
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube608
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.438143, 13.631448, 0.0>
}
#declare Brick0609 = intersection {
  superellipsoid { // SuperQ609
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube609
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.09038, 13.056423, 0.0>
}
#declare Brick0610 = intersection {
  superellipsoid { // SuperQ610
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube610
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.713749, 12.450223, 0.0>
}
#declare Brick0611 = intersection {
  superellipsoid { // SuperQ611
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube611
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.306761, 11.814295, 0.0>
}
#declare Brick0612 = intersection {
  superellipsoid { // SuperQ612
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube612
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.868, 11.150159, 0.0>
}
#declare Brick0613 = intersection {
  superellipsoid { // SuperQ613
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube613
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.396127, 10.459398, 0.0>
}
#declare Brick0614 = intersection {
  superellipsoid { // SuperQ614
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube614
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.889879, 9.743664, 0.0>
}
#declare Brick0615 = intersection {
  superellipsoid { // SuperQ615
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube615
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.348078, 9.004664, 0.0>
}
#declare Brick0616 = intersection {
  superellipsoid { // SuperQ616
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube616
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.76963, 8.244164, 0.0>
}
#declare Brick0617 = intersection {
  superellipsoid { // SuperQ617
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube617
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.153529, 7.463978, 0.0>
}
#declare Brick0618 = intersection {
  superellipsoid { // SuperQ618
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube618
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.498858, 6.665971, 0.0>
}
#declare Brick0619 = intersection {
  superellipsoid { // SuperQ619
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube619
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.804791, 5.852048, 0.0>
}
#declare Brick0620 = intersection {
  superellipsoid { // SuperQ620
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube620
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.0706, 5.024151, 0.0>
}
#declare Brick0621 = intersection {
  superellipsoid { // SuperQ621
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube621
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.295649, 4.184258, 0.0>
}
#declare Brick0622 = intersection {
  superellipsoid { // SuperQ622
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube622
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.4794, 3.334374, 0.0>
}
#declare Brick0623 = intersection {
  superellipsoid { // SuperQ623
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube623
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.621415, 2.476528, 0.0>
}
#declare Brick0624 = intersection {
  superellipsoid { // SuperQ624
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube624
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.721356, 1.61277, 0.0>
}
#declare Brick0625 = intersection {
  superellipsoid { // SuperQ625
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube625
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.778982, 0.74516, 0.0>
}
#declare Brick0626 = intersection {
  superellipsoid { // SuperQ626
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube626
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.794157, -0.124229, 0.0>
}
#declare Brick0627 = intersection {
  superellipsoid { // SuperQ627
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube627
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.766845, -0.993321, 0.0>
}
#declare Brick0628 = intersection {
  superellipsoid { // SuperQ628
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube628
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.69711, -1.860041, 0.0>
}
#declare Brick0629 = intersection {
  superellipsoid { // SuperQ629
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube629
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.58512, -2.72232, 0.0>
}
#declare Brick0630 = intersection {
  superellipsoid { // SuperQ630
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube630
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.431141, -3.578099, 0.0>
}
#declare Brick0631 = intersection {
  superellipsoid { // SuperQ631
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube631
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.235541, -4.425335, 0.0>
}
#declare Brick0632 = intersection {
  superellipsoid { // SuperQ632
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube632
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.998788, -5.262004, 0.0>
}
#declare Brick0633 = intersection {
  superellipsoid { // SuperQ633
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube633
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.721446, -6.086109, 0.0>
}
#declare Brick0634 = intersection {
  superellipsoid { // SuperQ634
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube634
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.404178, -6.895681, 0.0>
}
#declare Brick0635 = intersection {
  superellipsoid { // SuperQ635
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube635
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.047741, -7.688789, 0.0>
}
#declare Brick0636 = intersection {
  superellipsoid { // SuperQ636
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube636
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.652987, -8.463538, 0.0>
}
#declare Brick0637 = intersection {
  superellipsoid { // SuperQ637
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube637
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.220857, -9.218079, 0.0>
}
#declare Brick0638 = intersection {
  superellipsoid { // SuperQ638
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube638
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.752385, -9.950609, 0.0>
}
#declare Brick0639 = intersection {
  superellipsoid { // SuperQ639
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube639
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.248687, -10.65938, 0.0>
}
#declare Brick0640 = intersection {
  superellipsoid { // SuperQ640
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube640
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.710968, -11.342699, 0.0>
}
#declare Brick0641 = intersection {
  superellipsoid { // SuperQ641
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube641
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.140511, -11.998935, 0.0>
}
#declare Brick0642 = intersection {
  superellipsoid { // SuperQ642
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube642
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.538678, -12.626521, 0.0>
}
#declare Brick0643 = intersection {
  superellipsoid { // SuperQ643
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube643
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.906906, -13.223958, 0.0>
}
#declare Brick0644 = intersection {
  superellipsoid { // SuperQ644
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube644
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.246703, -13.78982, 0.0>
}
#declare Brick0645 = intersection {
  superellipsoid { // SuperQ645
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube645
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.559646, -14.322756, 0.0>
}
#declare Brick0646 = intersection {
  superellipsoid { // SuperQ646
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube646
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.847376, -14.821493, 0.0>
}
#declare Brick0647 = intersection {
  superellipsoid { // SuperQ647
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube647
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.111593, -15.28484, 0.0>
}
#declare Brick0648 = intersection {
  superellipsoid { // SuperQ648
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube648
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.354055, -15.711691, 0.0>
}
#declare Brick0649 = intersection {
  superellipsoid { // SuperQ649
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube649
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.576568, -16.101027, 0.0>
}
#declare Brick0650 = intersection {
  superellipsoid { // SuperQ650
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube650
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.780992, -16.451919, 0.0>
}
#declare Brick0651 = intersection {
  superellipsoid { // SuperQ651
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube651
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.969224, -16.763527, 0.0>
}
#declare Brick0652 = intersection {
  superellipsoid { // SuperQ652
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube652
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.143203, -17.035109, 0.0>
}
#declare Brick0653 = intersection {
  superellipsoid { // SuperQ653
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube653
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.304901, -17.266016, 0.0>
}
#declare Brick0654 = intersection {
  superellipsoid { // SuperQ654
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube654
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.456321, -17.455696, 0.0>
}
#declare Brick0655 = intersection {
  superellipsoid { // SuperQ655
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube655
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.599488, -17.603697, 0.0>
}
#declare Brick0656 = intersection {
  superellipsoid { // SuperQ656
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube656
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.736448, -17.709665, 0.0>
}
#declare Brick0657 = intersection {
  superellipsoid { // SuperQ657
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube657
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.869262, -17.773347, 0.0>
}
#declare Brick0658 = intersection {
  superellipsoid { // SuperQ658
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube658
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  -17.794591*y
}
union { // ring0004
  object { Brick0531 }
  object { Brick0532 }
  object { Brick0533 }
  object { Brick0534 }
  object { Brick0535 }
  object { Brick0536 }
  object { Brick0537 }
  object { Brick0538 }
  object { Brick0539 }
  object { Brick0540 }
  object { Brick0541 }
  object { Brick0542 }
  object { Brick0543 }
  object { Brick0544 }
  object { Brick0545 }
  object { Brick0546 }
  object { Brick0547 }
  object { Brick0548 }
  object { Brick0549 }
  object { Brick0550 }
  object { Brick0551 }
  object { Brick0552 }
  object { Brick0553 }
  object { Brick0554 }
  object { Brick0555 }
  object { Brick0556 }
  object { Brick0557 }
  object { Brick0558 }
  object { Brick0559 }
  object { Brick0560 }
  object { Brick0561 }
  object { Brick0562 }
  object { Brick0563 }
  object { Brick0564 }
  object { Brick0565 }
  object { Brick0566 }
  object { Brick0567 }
  object { Brick0568 }
  object { Brick0569 }
  object { Brick0570 }
  object { Brick0571 }
  object { Brick0572 }
  object { Brick0573 }
  object { Brick0574 }
  object { Brick0575 }
  object { Brick0576 }
  object { Brick0577 }
  object { Brick0578 }
  object { Brick0579 }
  object { Brick0580 }
  object { Brick0581 }
  object { Brick0582 }
  object { Brick0583 }
  object { Brick0584 }
  object { Brick0585 }
  object { Brick0586 }
  object { Brick0587 }
  object { Brick0588 }
  object { Brick0589 }
  object { Brick0590 }
  object { Brick0591 }
  object { Brick0592 }
  object { Brick0593 }
  object { Brick0594 }
  object { Brick0595 }
  object { Brick0596 }
  object { Brick0597 }
  object { Brick0598 }
  object { Brick0599 }
  object { Brick0600 }
  object { Brick0601 }
  object { Brick0602 }
  object { Brick0603 }
  object { Brick0604 }
  object { Brick0605 }
  object { Brick0606 }
  object { Brick0607 }
  object { Brick0608 }
  object { Brick0609 }
  object { Brick0610 }
  object { Brick0611 }
  object { Brick0612 }
  object { Brick0613 }
  object { Brick0614 }
  object { Brick0615 }
  object { Brick0616 }
  object { Brick0617 }
  object { Brick0618 }
  object { Brick0619 }
  object { Brick0620 }
  object { Brick0621 }
  object { Brick0622 }
  object { Brick0623 }
  object { Brick0624 }
  object { Brick0625 }
  object { Brick0626 }
  object { Brick0627 }
  object { Brick0628 }
  object { Brick0629 }
  object { Brick0630 }
  object { Brick0631 }
  object { Brick0632 }
  object { Brick0633 }
  object { Brick0634 }
  object { Brick0635 }
  object { Brick0636 }
  object { Brick0637 }
  object { Brick0638 }
  object { Brick0639 }
  object { Brick0640 }
  object { Brick0641 }
  object { Brick0642 }
  object { Brick0643 }
  object { Brick0644 }
  object { Brick0645 }
  object { Brick0646 }
  object { Brick0647 }
  object { Brick0648 }
  object { Brick0649 }
  object { Brick0650 }
  object { Brick0651 }
  object { Brick0652 }
  object { Brick0653 }
  object { Brick0654 }
  object { Brick0655 }
  object { Brick0656 }
  object { Brick0657 }
  object { Brick0658 }
  translate  <-34.922286, 0.552226, 5.789411>
}


#declare Brick0403 = intersection {
  superellipsoid { // SuperQ403
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube403
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.365184, -17.742146, 0.0>
}
#declare Brick0404 = intersection {
  superellipsoid { // SuperQ404
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube404
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.230254, -17.654275, 0.0>
}
#declare Brick0405 = intersection {
  superellipsoid { // SuperQ405
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube405
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.089998, -17.524251, 0.0>
}
#declare Brick0406 = intersection {
  superellipsoid { // SuperQ406
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube406
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.942365, -17.352384, 0.0>
}
#declare Brick0407 = intersection {
  superellipsoid { // SuperQ407
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube407
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.785318, -17.139084, 0.0>
}
#declare Brick0408 = intersection {
  superellipsoid { // SuperQ408
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube408
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.616846, -16.884861, 0.0>
}
#declare Brick0409 = intersection {
  superellipsoid { // SuperQ409
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube409
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.434961, -16.590321, 0.0>
}
#declare Brick0410 = intersection {
  superellipsoid { // SuperQ410
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube410
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.237712, -16.256168, 0.0>
}
#declare Brick0411 = intersection {
  superellipsoid { // SuperQ411
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube411
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.023181, -15.8832, 0.0>
}
#declare Brick0412 = intersection {
  superellipsoid { // SuperQ412
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube412
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.789494, -15.472307, 0.0>
}
#declare Brick0413 = intersection {
  superellipsoid { // SuperQ413
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube413
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.534819, -15.02447, 0.0>
}
#declare Brick0414 = intersection {
  superellipsoid { // SuperQ414
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube414
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.257377, -14.540759, 0.0>
}
#declare Brick0415 = intersection {
  superellipsoid { // SuperQ415
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube415
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.955444, -14.022329, 0.0>
}
#declare Brick0416 = intersection {
  superellipsoid { // SuperQ416
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube416
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.627352, -13.470418, 0.0>
}
#declare Brick0417 = intersection {
  superellipsoid { // SuperQ417
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube417
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.271498, -12.886342, 0.0>
}
#declare Brick0418 = intersection {
  superellipsoid { // SuperQ418
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube418
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.886342, -12.271498, 0.0>
}
#declare Brick0419 = intersection {
  superellipsoid { // SuperQ419
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube419
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.470418, -11.627352, 0.0>
}
#declare Brick0420 = intersection {
  superellipsoid { // SuperQ420
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube420
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.022329, -10.955444, 0.0>
}
#declare Brick0421 = intersection {
  superellipsoid { // SuperQ421
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube421
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.540759, -10.257377, 0.0>
}
#declare Brick0422 = intersection {
  superellipsoid { // SuperQ422
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube422
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.02447, -9.534819, 0.0>
}
#declare Brick0423 = intersection {
  superellipsoid { // SuperQ423
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube423
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.472307, -8.789494, 0.0>
}
#declare Brick0424 = intersection {
  superellipsoid { // SuperQ424
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube424
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.8832, -8.023181, 0.0>
}
#declare Brick0425 = intersection {
  superellipsoid { // SuperQ425
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube425
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.256168, -7.237712, 0.0>
}
#declare Brick0426 = intersection {
  superellipsoid { // SuperQ426
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube426
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.590321, -6.434961, 0.0>
}
#declare Brick0427 = intersection {
  superellipsoid { // SuperQ427
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube427
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.884861, -5.616846, 0.0>
}
#declare Brick0428 = intersection {
  superellipsoid { // SuperQ428
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube428
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.139084, -4.785318, 0.0>
}
#declare Brick0429 = intersection {
  superellipsoid { // SuperQ429
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube429
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.352384, -3.942365, 0.0>
}
#declare Brick0430 = intersection {
  superellipsoid { // SuperQ430
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube430
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.524251, -3.089998, 0.0>
}
#declare Brick0431 = intersection {
  superellipsoid { // SuperQ431
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube431
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.654275, -2.230254, 0.0>
}
#declare Brick0432 = intersection {
  superellipsoid { // SuperQ432
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube432
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.742146, -1.365184, 0.0>
}
#declare Brick0433 = intersection {
  superellipsoid { // SuperQ433
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube433
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.787653, -0.496854, 0.0>
}
#declare Brick0434 = intersection {
  superellipsoid { // SuperQ434
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube434
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.790688, 0.372662, 0.0>
}
#declare Brick0435 = intersection {
  superellipsoid { // SuperQ435
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube435
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.751244, 1.241288, 0.0>
}
#declare Brick0436 = intersection {
  superellipsoid { // SuperQ436
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube436
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.669415, 2.10695, 0.0>
}
#declare Brick0437 = intersection {
  superellipsoid { // SuperQ437
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube437
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.545396, 2.967582, 0.0>
}
#declare Brick0438 = intersection {
  superellipsoid { // SuperQ438
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube438
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.379484, 3.821127, 0.0>
}
#declare Brick0439 = intersection {
  superellipsoid { // SuperQ439
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube439
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.172074, 4.665549, 0.0>
}
#declare Brick0440 = intersection {
  superellipsoid { // SuperQ440
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube440
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.923662, 5.498831, 0.0>
}
#declare Brick0441 = intersection {
  superellipsoid { // SuperQ441
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube441
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.634841, 6.318983, 0.0>
}
#declare Brick0442 = intersection {
  superellipsoid { // SuperQ442
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube442
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.3063, 7.124047, 0.0>
}
#declare Brick0443 = intersection {
  superellipsoid { // SuperQ443
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube443
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.938825, 7.912101, 0.0>
}
#declare Brick0444 = intersection {
  superellipsoid { // SuperQ444
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube444
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.533291, 8.681263, 0.0>
}
#declare Brick0445 = intersection {
  superellipsoid { // SuperQ445
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube445
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.090669, 9.429697, 0.0>
}
#declare Brick0446 = intersection {
  superellipsoid { // SuperQ446
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube446
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.612014, 10.155615, 0.0>
}
#declare Brick0447 = intersection {
  superellipsoid { // SuperQ447
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube447
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.09847, 10.857284, 0.0>
}
#declare Brick0448 = intersection {
  superellipsoid { // SuperQ448
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube448
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.551263, 11.533029, 0.0>
}
#declare Brick0449 = intersection {
  superellipsoid { // SuperQ449
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube449
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.971699, 12.181236, 0.0>
}
#declare Brick0450 = intersection {
  superellipsoid { // SuperQ450
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube450
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.361162, 12.800358, 0.0>
}
#declare Brick0451 = intersection {
  superellipsoid { // SuperQ451
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube451
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.72111, 13.388916, 0.0>
}
#declare Brick0452 = intersection {
  superellipsoid { // SuperQ452
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube452
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.053071, 13.945505, 0.0>
}
#declare Brick0453 = intersection {
  superellipsoid { // SuperQ453
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube453
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.35864, 14.468796, 0.0>
}
#declare Brick0454 = intersection {
  superellipsoid { // SuperQ454
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube454
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.639476, 14.957539, 0.0>
}
#declare Brick0455 = intersection {
  superellipsoid { // SuperQ455
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube455
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.897296, 15.410568, 0.0>
}
#declare Brick0456 = intersection {
  superellipsoid { // SuperQ456
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube456
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.133871, 15.826801, 0.0>
}
#declare Brick0457 = intersection {
  superellipsoid { // SuperQ457
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube457
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.351024, 16.205243, 0.0>
}
#declare Brick0458 = intersection {
  superellipsoid { // SuperQ458
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube458
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.550626, 16.544992, 0.0>
}
#declare Brick0459 = intersection {
  superellipsoid { // SuperQ459
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube459
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.734586, 16.845237, 0.0>
}
#declare Brick0460 = intersection {
  superellipsoid { // SuperQ460
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube460
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.904854, 17.105259, 0.0>
}
#declare Brick0461 = intersection {
  superellipsoid { // SuperQ461
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube461
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.06341, 17.324439, 0.0>
}
#declare Brick0462 = intersection {
  superellipsoid { // SuperQ462
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube462
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.212264, 17.502252, 0.0>
}
#declare Brick0463 = intersection {
  superellipsoid { // SuperQ463
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube463
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.353448, 17.638275, 0.0>
}
#declare Brick0464 = intersection {
  superellipsoid { // SuperQ464
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube464
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.489013, 17.732183, 0.0>
}
#declare Brick0465 = intersection {
  superellipsoid { // SuperQ465
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube465
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <0.621022, 17.783751, 0.0>
}
#declare Brick0466 = intersection {
  superellipsoid { // SuperQ466
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube466
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.248451, 17.792857, 0.0>
}
#declare Brick0467 = intersection {
  superellipsoid { // SuperQ467
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube467
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.117332, 17.759478, 0.0>
}
#declare Brick0468 = intersection {
  superellipsoid { // SuperQ468
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube468
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.983544, 17.683694, 0.0>
}
#declare Brick0469 = intersection {
  superellipsoid { // SuperQ469
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube469
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.84502, 17.565686, 0.0>
}
#declare Brick0470 = intersection {
  superellipsoid { // SuperQ470
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube470
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.699704, 17.405737, 0.0>
}
#declare Brick0471 = intersection {
  superellipsoid { // SuperQ471
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube471
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.545553, 17.204227, 0.0>
}
#declare Brick0472 = intersection {
  superellipsoid { // SuperQ472
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube472
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.380549, 16.961638, 0.0>
}
#declare Brick0473 = intersection {
  superellipsoid { // SuperQ473
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube473
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.202697, 16.67855, 0.0>
}
#declare Brick0474 = intersection {
  superellipsoid { // SuperQ474
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube474
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.010035, 16.355638, 0.0>
}
#declare Brick0475 = intersection {
  superellipsoid { // SuperQ475
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube475
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.800635, 15.993673, 0.0>
}
#declare Brick0476 = intersection {
  superellipsoid { // SuperQ476
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube476
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.57261, 15.593519, 0.0>
}
#declare Brick0477 = intersection {
  superellipsoid { // SuperQ477
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube477
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.324115, 15.156133, 0.0>
}
#declare Brick0478 = intersection {
  superellipsoid { // SuperQ478
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube478
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.053357, 14.682557, 0.0>
}
#declare Brick0479 = intersection {
  superellipsoid { // SuperQ479
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube479
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.758594, 14.173924, 0.0>
}
#declare Brick0480 = intersection {
  superellipsoid { // SuperQ480
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube480
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.438143, 13.631448, 0.0>
}
#declare Brick0481 = intersection {
  superellipsoid { // SuperQ481
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube481
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.09038, 13.056423, 0.0>
}
#declare Brick0482 = intersection {
  superellipsoid { // SuperQ482
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube482
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.713749, 12.450223, 0.0>
}
#declare Brick0483 = intersection {
  superellipsoid { // SuperQ483
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube483
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.306761, 11.814295, 0.0>
}
#declare Brick0484 = intersection {
  superellipsoid { // SuperQ484
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube484
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.868, 11.150159, 0.0>
}
#declare Brick0485 = intersection {
  superellipsoid { // SuperQ485
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube485
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.396127, 10.459398, 0.0>
}
#declare Brick0486 = intersection {
  superellipsoid { // SuperQ486
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube486
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.889879, 9.743664, 0.0>
}
#declare Brick0487 = intersection {
  superellipsoid { // SuperQ487
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube487
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.348078, 9.004664, 0.0>
}
#declare Brick0488 = intersection {
  superellipsoid { // SuperQ488
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube488
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.76963, 8.244164, 0.0>
}
#declare Brick0489 = intersection {
  superellipsoid { // SuperQ489
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube489
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.153529, 7.463978, 0.0>
}
#declare Brick0490 = intersection {
  superellipsoid { // SuperQ490
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube490
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.498858, 6.665971, 0.0>
}
#declare Brick0491 = intersection {
  superellipsoid { // SuperQ491
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube491
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.804791, 5.852048, 0.0>
}
#declare Brick0492 = intersection {
  superellipsoid { // SuperQ492
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube492
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.0706, 5.024151, 0.0>
}
#declare Brick0493 = intersection {
  superellipsoid { // SuperQ493
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube493
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.295649, 4.184258, 0.0>
}
#declare Brick0494 = intersection {
  superellipsoid { // SuperQ494
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube494
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.4794, 3.334374, 0.0>
}
#declare Brick0495 = intersection {
  superellipsoid { // SuperQ495
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube495
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.621415, 2.476528, 0.0>
}
#declare Brick0496 = intersection {
  superellipsoid { // SuperQ496
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube496
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.721356, 1.61277, 0.0>
}
#declare Brick0497 = intersection {
  superellipsoid { // SuperQ497
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube497
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.778982, 0.74516, 0.0>
}
#declare Brick0498 = intersection {
  superellipsoid { // SuperQ498
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube498
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.794157, -0.124229, 0.0>
}
#declare Brick0499 = intersection {
  superellipsoid { // SuperQ499
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube499
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.766845, -0.993321, 0.0>
}
#declare Brick0500 = intersection {
  superellipsoid { // SuperQ500
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube500
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.69711, -1.860041, 0.0>
}
#declare Brick0501 = intersection {
  superellipsoid { // SuperQ501
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube501
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.58512, -2.72232, 0.0>
}
#declare Brick0502 = intersection {
  superellipsoid { // SuperQ502
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube502
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.431141, -3.578099, 0.0>
}
#declare Brick0503 = intersection {
  superellipsoid { // SuperQ503
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube503
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.235541, -4.425335, 0.0>
}
#declare Brick0504 = intersection {
  superellipsoid { // SuperQ504
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube504
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.998788, -5.262004, 0.0>
}
#declare Brick0505 = intersection {
  superellipsoid { // SuperQ505
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube505
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.721446, -6.086109, 0.0>
}
#declare Brick0506 = intersection {
  superellipsoid { // SuperQ506
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube506
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.404178, -6.895681, 0.0>
}
#declare Brick0507 = intersection {
  superellipsoid { // SuperQ507
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube507
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.047741, -7.688789, 0.0>
}
#declare Brick0508 = intersection {
  superellipsoid { // SuperQ508
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube508
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.652987, -8.463538, 0.0>
}
#declare Brick0509 = intersection {
  superellipsoid { // SuperQ509
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube509
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.220857, -9.218079, 0.0>
}
#declare Brick0510 = intersection {
  superellipsoid { // SuperQ510
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube510
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.752385, -9.950609, 0.0>
}
#declare Brick0511 = intersection {
  superellipsoid { // SuperQ511
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube511
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.248687, -10.65938, 0.0>
}
#declare Brick0512 = intersection {
  superellipsoid { // SuperQ512
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube512
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.710968, -11.342699, 0.0>
}
#declare Brick0513 = intersection {
  superellipsoid { // SuperQ513
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube513
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.140511, -11.998935, 0.0>
}
#declare Brick0514 = intersection {
  superellipsoid { // SuperQ514
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube514
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.538678, -12.626521, 0.0>
}
#declare Brick0515 = intersection {
  superellipsoid { // SuperQ515
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube515
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.906906, -13.223958, 0.0>
}
#declare Brick0516 = intersection {
  superellipsoid { // SuperQ516
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube516
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.246703, -13.78982, 0.0>
}
#declare Brick0517 = intersection {
  superellipsoid { // SuperQ517
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube517
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.559646, -14.322756, 0.0>
}
#declare Brick0518 = intersection {
  superellipsoid { // SuperQ518
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube518
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.847376, -14.821493, 0.0>
}
#declare Brick0519 = intersection {
  superellipsoid { // SuperQ519
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube519
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.111593, -15.28484, 0.0>
}
#declare Brick0520 = intersection {
  superellipsoid { // SuperQ520
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube520
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.354055, -15.711691, 0.0>
}
#declare Brick0521 = intersection {
  superellipsoid { // SuperQ521
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube521
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.576568, -16.101027, 0.0>
}
#declare Brick0522 = intersection {
  superellipsoid { // SuperQ522
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube522
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.780992, -16.451919, 0.0>
}
#declare Brick0523 = intersection {
  superellipsoid { // SuperQ523
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube523
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.969224, -16.763527, 0.0>
}
#declare Brick0524 = intersection {
  superellipsoid { // SuperQ524
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube524
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.143203, -17.035109, 0.0>
}
#declare Brick0525 = intersection {
  superellipsoid { // SuperQ525
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube525
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.304901, -17.266016, 0.0>
}
#declare Brick0526 = intersection {
  superellipsoid { // SuperQ526
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube526
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.456321, -17.455696, 0.0>
}
#declare Brick0527 = intersection {
  superellipsoid { // SuperQ527
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube527
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.599488, -17.603697, 0.0>
}
#declare Brick0528 = intersection {
  superellipsoid { // SuperQ528
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube528
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.736448, -17.709665, 0.0>
}
#declare Brick0529 = intersection {
  superellipsoid { // SuperQ529
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube529
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.869262, -17.773347, 0.0>
}
#declare Brick0530 = intersection {
  superellipsoid { // SuperQ530
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube530
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  -17.794591*y
}
union { // ring0003
  object { Brick0403 }
  object { Brick0404 }
  object { Brick0405 }
  object { Brick0406 }
  object { Brick0407 }
  object { Brick0408 }
  object { Brick0409 }
  object { Brick0410 }
  object { Brick0411 }
  object { Brick0412 }
  object { Brick0413 }
  object { Brick0414 }
  object { Brick0415 }
  object { Brick0416 }
  object { Brick0417 }
  object { Brick0418 }
  object { Brick0419 }
  object { Brick0420 }
  object { Brick0421 }
  object { Brick0422 }
  object { Brick0423 }
  object { Brick0424 }
  object { Brick0425 }
  object { Brick0426 }
  object { Brick0427 }
  object { Brick0428 }
  object { Brick0429 }
  object { Brick0430 }
  object { Brick0431 }
  object { Brick0432 }
  object { Brick0433 }
  object { Brick0434 }
  object { Brick0435 }
  object { Brick0436 }
  object { Brick0437 }
  object { Brick0438 }
  object { Brick0439 }
  object { Brick0440 }
  object { Brick0441 }
  object { Brick0442 }
  object { Brick0443 }
  object { Brick0444 }
  object { Brick0445 }
  object { Brick0446 }
  object { Brick0447 }
  object { Brick0448 }
  object { Brick0449 }
  object { Brick0450 }
  object { Brick0451 }
  object { Brick0452 }
  object { Brick0453 }
  object { Brick0454 }
  object { Brick0455 }
  object { Brick0456 }
  object { Brick0457 }
  object { Brick0458 }
  object { Brick0459 }
  object { Brick0460 }
  object { Brick0461 }
  object { Brick0462 }
  object { Brick0463 }
  object { Brick0464 }
  object { Brick0465 }
  object { Brick0466 }
  object { Brick0467 }
  object { Brick0468 }
  object { Brick0469 }
  object { Brick0470 }
  object { Brick0471 }
  object { Brick0472 }
  object { Brick0473 }
  object { Brick0474 }
  object { Brick0475 }
  object { Brick0476 }
  object { Brick0477 }
  object { Brick0478 }
  object { Brick0479 }
  object { Brick0480 }
  object { Brick0481 }
  object { Brick0482 }
  object { Brick0483 }
  object { Brick0484 }
  object { Brick0485 }
  object { Brick0486 }
  object { Brick0487 }
  object { Brick0488 }
  object { Brick0489 }
  object { Brick0490 }
  object { Brick0491 }
  object { Brick0492 }
  object { Brick0493 }
  object { Brick0494 }
  object { Brick0495 }
  object { Brick0496 }
  object { Brick0497 }
  object { Brick0498 }
  object { Brick0499 }
  object { Brick0500 }
  object { Brick0501 }
  object { Brick0502 }
  object { Brick0503 }
  object { Brick0504 }
  object { Brick0505 }
  object { Brick0506 }
  object { Brick0507 }
  object { Brick0508 }
  object { Brick0509 }
  object { Brick0510 }
  object { Brick0511 }
  object { Brick0512 }
  object { Brick0513 }
  object { Brick0514 }
  object { Brick0515 }
  object { Brick0516 }
  object { Brick0517 }
  object { Brick0518 }
  object { Brick0519 }
  object { Brick0520 }
  object { Brick0521 }
  object { Brick0522 }
  object { Brick0523 }
  object { Brick0524 }
  object { Brick0525 }
  object { Brick0526 }
  object { Brick0527 }
  object { Brick0528 }
  object { Brick0529 }
  object { Brick0530 }
  translate  <-34.922286, 0.552226, 3.789411>
}


#declare Brick0001 = intersection {
  superellipsoid { // SuperQ001
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube001
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0002 = intersection {
  superellipsoid { // SuperQ002
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube002
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0003 = intersection {
  superellipsoid { // SuperQ003
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube003
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0004 = intersection {
  superellipsoid { // SuperQ004
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube004
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0005 = intersection {
  superellipsoid { // SuperQ005
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube005
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0006 = intersection {
  superellipsoid { // SuperQ006
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube006
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group001 = union {
  object { Brick0001 }
  object { Brick0002 }
  object { Brick0003 }
  object { Brick0004 }
  object { Brick0005 }
  object { Brick0006 }
  bounded_by { // Bound00001
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
}
#declare Brick0007 = intersection {
  superellipsoid { // SuperQ007
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube007
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0008 = intersection {
  superellipsoid { // SuperQ008
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube008
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0009 = intersection {
  superellipsoid { // SuperQ009
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube009
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0010 = intersection {
  superellipsoid { // SuperQ010
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube010
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0011 = intersection {
  superellipsoid { // SuperQ011
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube011
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0012 = intersection {
  superellipsoid { // SuperQ012
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube012
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group002 = union {
  object { Brick0007 }
  object { Brick0008 }
  object { Brick0009 }
  object { Brick0010 }
  object { Brick0011 }
  object { Brick0012 }
  bounded_by { // Bound00002
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-5.055069, 0.0, 0.031401>
}
#declare Brick0013 = intersection {
  superellipsoid { // SuperQ013
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube013
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0014 = intersection {
  superellipsoid { // SuperQ014
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube014
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0015 = intersection {
  superellipsoid { // SuperQ015
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube015
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0016 = intersection {
  superellipsoid { // SuperQ016
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube016
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0017 = intersection {
  superellipsoid { // SuperQ017
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube017
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0018 = intersection {
  superellipsoid { // SuperQ018
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube018
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group003 = union {
  object { Brick0013 }
  object { Brick0014 }
  object { Brick0015 }
  object { Brick0016 }
  object { Brick0017 }
  object { Brick0018 }
  bounded_by { // Bound00003
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-1.048059, 0.0, 3.506966>
}
#declare Brick0019 = intersection {
  superellipsoid { // SuperQ019
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube019
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0020 = intersection {
  superellipsoid { // SuperQ020
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube020
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0021 = intersection {
  superellipsoid { // SuperQ021
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube021
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0022 = intersection {
  superellipsoid { // SuperQ022
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube022
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0023 = intersection {
  superellipsoid { // SuperQ023
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube023
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0024 = intersection {
  superellipsoid { // SuperQ024
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube024
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group004 = union {
  object { Brick0019 }
  object { Brick0020 }
  object { Brick0021 }
  object { Brick0022 }
  object { Brick0023 }
  object { Brick0024 }
  bounded_by { // Bound00004
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-6.052355, 0.0, 3.680486>
}
union { // wall0001
  object { Group001 }
  object { Group002 }
  object { Group003 }
  object { Group004 }
}


plane { // Plane001
  z,0
  material {
    Bark1
  }
  translate  <0.0, -17.271599, -0.804423>
}




#declare Brick0025 = intersection {
  superellipsoid { // SuperQ025
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube025
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0026 = intersection {
  superellipsoid { // SuperQ026
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube026
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0027 = intersection {
  superellipsoid { // SuperQ027
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube027
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0028 = intersection {
  superellipsoid { // SuperQ028
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube028
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0029 = intersection {
  superellipsoid { // SuperQ029
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube029
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0030 = intersection {
  superellipsoid { // SuperQ030
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube030
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group005 = union {
  object { Brick0025 }
  object { Brick0026 }
  object { Brick0027 }
  object { Brick0028 }
  object { Brick0029 }
  object { Brick0030 }
  bounded_by { // Bound00005
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
}
#declare Brick0031 = intersection {
  superellipsoid { // SuperQ031
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube031
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0032 = intersection {
  superellipsoid { // SuperQ032
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube032
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0033 = intersection {
  superellipsoid { // SuperQ033
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube033
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0034 = intersection {
  superellipsoid { // SuperQ034
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube034
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0035 = intersection {
  superellipsoid { // SuperQ035
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube035
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0036 = intersection {
  superellipsoid { // SuperQ036
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube036
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group006 = union {
  object { Brick0031 }
  object { Brick0032 }
  object { Brick0033 }
  object { Brick0034 }
  object { Brick0035 }
  object { Brick0036 }
  bounded_by { // Bound00006
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-5.055069, 0.0, 0.031401>
}
#declare Brick0037 = intersection {
  superellipsoid { // SuperQ037
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube037
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0038 = intersection {
  superellipsoid { // SuperQ038
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube038
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0039 = intersection {
  superellipsoid { // SuperQ039
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube039
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0040 = intersection {
  superellipsoid { // SuperQ040
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube040
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0041 = intersection {
  superellipsoid { // SuperQ041
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube041
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0042 = intersection {
  superellipsoid { // SuperQ042
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube042
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group007 = union {
  object { Brick0037 }
  object { Brick0038 }
  object { Brick0039 }
  object { Brick0040 }
  object { Brick0041 }
  object { Brick0042 }
  bounded_by { // Bound00007
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-1.048059, 0.0, 3.506966>
}
#declare Brick0043 = intersection {
  superellipsoid { // SuperQ043
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube043
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0044 = intersection {
  superellipsoid { // SuperQ044
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube044
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0045 = intersection {
  superellipsoid { // SuperQ045
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube045
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0046 = intersection {
  superellipsoid { // SuperQ046
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube046
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0047 = intersection {
  superellipsoid { // SuperQ047
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube047
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0048 = intersection {
  superellipsoid { // SuperQ048
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube048
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group008 = union {
  object { Brick0043 }
  object { Brick0044 }
  object { Brick0045 }
  object { Brick0046 }
  object { Brick0047 }
  object { Brick0048 }
  bounded_by { // Bound00008
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-6.052355, 0.0, 3.680486>
}
union { // wall0002
  object { Group005 }
  object { Group006 }
  object { Group007 }
  object { Group008 }
  translate  <10.223573, 0.0, -0.163577>
}


#declare Brick0049 = intersection {
  superellipsoid { // SuperQ049
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube049
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0050 = intersection {
  superellipsoid { // SuperQ050
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube050
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0051 = intersection {
  superellipsoid { // SuperQ051
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube051
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0052 = intersection {
  superellipsoid { // SuperQ052
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube052
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0053 = intersection {
  superellipsoid { // SuperQ053
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube053
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0054 = intersection {
  superellipsoid { // SuperQ054
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube054
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group009 = union {
  object { Brick0049 }
  object { Brick0050 }
  object { Brick0051 }
  object { Brick0052 }
  object { Brick0053 }
  object { Brick0054 }
  bounded_by { // Bound00009
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
}
#declare Brick0055 = intersection {
  superellipsoid { // SuperQ055
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube055
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0056 = intersection {
  superellipsoid { // SuperQ056
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube056
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0057 = intersection {
  superellipsoid { // SuperQ057
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube057
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0058 = intersection {
  superellipsoid { // SuperQ058
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube058
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0059 = intersection {
  superellipsoid { // SuperQ059
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube059
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0060 = intersection {
  superellipsoid { // SuperQ060
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube060
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group010 = union {
  object { Brick0055 }
  object { Brick0056 }
  object { Brick0057 }
  object { Brick0058 }
  object { Brick0059 }
  object { Brick0060 }
  bounded_by { // Bound00010
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-5.055069, 0.0, 0.031401>
}
#declare Brick0061 = intersection {
  superellipsoid { // SuperQ061
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube061
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0062 = intersection {
  superellipsoid { // SuperQ062
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube062
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0063 = intersection {
  superellipsoid { // SuperQ063
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube063
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0064 = intersection {
  superellipsoid { // SuperQ064
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube064
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0065 = intersection {
  superellipsoid { // SuperQ065
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube065
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0066 = intersection {
  superellipsoid { // SuperQ066
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube066
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group011 = union {
  object { Brick0061 }
  object { Brick0062 }
  object { Brick0063 }
  object { Brick0064 }
  object { Brick0065 }
  object { Brick0066 }
  bounded_by { // Bound00011
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-1.048059, 0.0, 3.506966>
}
#declare Brick0067 = intersection {
  superellipsoid { // SuperQ067
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube067
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0068 = intersection {
  superellipsoid { // SuperQ068
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube068
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0069 = intersection {
  superellipsoid { // SuperQ069
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube069
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0070 = intersection {
  superellipsoid { // SuperQ070
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube070
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0071 = intersection {
  superellipsoid { // SuperQ071
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube071
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0072 = intersection {
  superellipsoid { // SuperQ072
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube072
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group012 = union {
  object { Brick0067 }
  object { Brick0068 }
  object { Brick0069 }
  object { Brick0070 }
  object { Brick0071 }
  object { Brick0072 }
  bounded_by { // Bound00012
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-6.052355, 0.0, 3.680486>
}
union { // wall0003
  object { Group009 }
  object { Group010 }
  object { Group011 }
  object { Group012 }
  translate  <0.245366, 0.0, 7.033818>
}


#declare Brick0073 = intersection {
  superellipsoid { // SuperQ073
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube073
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0074 = intersection {
  superellipsoid { // SuperQ074
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube074
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0075 = intersection {
  superellipsoid { // SuperQ075
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube075
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0076 = intersection {
  superellipsoid { // SuperQ076
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube076
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0077 = intersection {
  superellipsoid { // SuperQ077
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube077
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0078 = intersection {
  superellipsoid { // SuperQ078
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube078
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group013 = union {
  object { Brick0073 }
  object { Brick0074 }
  object { Brick0075 }
  object { Brick0076 }
  object { Brick0077 }
  object { Brick0078 }
  bounded_by { // Bound00013
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
}
#declare Brick0079 = intersection {
  superellipsoid { // SuperQ079
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube079
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0080 = intersection {
  superellipsoid { // SuperQ080
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube080
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0081 = intersection {
  superellipsoid { // SuperQ081
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube081
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0082 = intersection {
  superellipsoid { // SuperQ082
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube082
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0083 = intersection {
  superellipsoid { // SuperQ083
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube083
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0084 = intersection {
  superellipsoid { // SuperQ084
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube084
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group014 = union {
  object { Brick0079 }
  object { Brick0080 }
  object { Brick0081 }
  object { Brick0082 }
  object { Brick0083 }
  object { Brick0084 }
  bounded_by { // Bound00014
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-5.055069, 0.0, 0.031401>
}
#declare Brick0085 = intersection {
  superellipsoid { // SuperQ085
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube085
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0086 = intersection {
  superellipsoid { // SuperQ086
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube086
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0087 = intersection {
  superellipsoid { // SuperQ087
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube087
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0088 = intersection {
  superellipsoid { // SuperQ088
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube088
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0089 = intersection {
  superellipsoid { // SuperQ089
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube089
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0090 = intersection {
  superellipsoid { // SuperQ090
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube090
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group015 = union {
  object { Brick0085 }
  object { Brick0086 }
  object { Brick0087 }
  object { Brick0088 }
  object { Brick0089 }
  object { Brick0090 }
  bounded_by { // Bound00015
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-1.048059, 0.0, 3.506966>
}
#declare Brick0091 = intersection {
  superellipsoid { // SuperQ091
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube091
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0092 = intersection {
  superellipsoid { // SuperQ092
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube092
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0093 = intersection {
  superellipsoid { // SuperQ093
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube093
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0094 = intersection {
  superellipsoid { // SuperQ094
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube094
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0095 = intersection {
  superellipsoid { // SuperQ095
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube095
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0096 = intersection {
  superellipsoid { // SuperQ096
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube096
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group016 = union {
  object { Brick0091 }
  object { Brick0092 }
  object { Brick0093 }
  object { Brick0094 }
  object { Brick0095 }
  object { Brick0096 }
  bounded_by { // Bound00016
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-6.052355, 0.0, 3.680486>
}
union { // wall0004
  object { Group013 }
  object { Group014 }
  object { Group015 }
  object { Group016 }
  translate  <10.059996, 0.0, 6.95203>
}


#declare Brick0097 = intersection {
  superellipsoid { // SuperQ097
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube097
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0098 = intersection {
  superellipsoid { // SuperQ098
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube098
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0099 = intersection {
  superellipsoid { // SuperQ099
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube099
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0100 = intersection {
  superellipsoid { // SuperQ100
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube100
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0101 = intersection {
  superellipsoid { // SuperQ101
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube101
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0102 = intersection {
  superellipsoid { // SuperQ102
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube102
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group017 = union {
  object { Brick0097 }
  object { Brick0098 }
  object { Brick0099 }
  object { Brick0100 }
  object { Brick0101 }
  object { Brick0102 }
  bounded_by { // Bound00017
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
}
#declare Brick0103 = intersection {
  superellipsoid { // SuperQ103
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube103
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0104 = intersection {
  superellipsoid { // SuperQ104
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube104
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0105 = intersection {
  superellipsoid { // SuperQ105
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube105
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0106 = intersection {
  superellipsoid { // SuperQ106
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube106
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0107 = intersection {
  superellipsoid { // SuperQ107
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube107
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0108 = intersection {
  superellipsoid { // SuperQ108
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube108
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group018 = union {
  object { Brick0103 }
  object { Brick0104 }
  object { Brick0105 }
  object { Brick0106 }
  object { Brick0107 }
  object { Brick0108 }
  bounded_by { // Bound00018
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-5.055069, 0.0, 0.031401>
}
#declare Brick0109 = intersection {
  superellipsoid { // SuperQ109
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube109
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0110 = intersection {
  superellipsoid { // SuperQ110
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube110
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0111 = intersection {
  superellipsoid { // SuperQ111
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube111
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0112 = intersection {
  superellipsoid { // SuperQ112
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube112
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0113 = intersection {
  superellipsoid { // SuperQ113
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube113
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0114 = intersection {
  superellipsoid { // SuperQ114
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube114
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group019 = union {
  object { Brick0109 }
  object { Brick0110 }
  object { Brick0111 }
  object { Brick0112 }
  object { Brick0113 }
  object { Brick0114 }
  bounded_by { // Bound00019
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-1.048059, 0.0, 3.506966>
}
#declare Brick0115 = intersection {
  superellipsoid { // SuperQ115
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube115
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0116 = intersection {
  superellipsoid { // SuperQ116
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube116
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0117 = intersection {
  superellipsoid { // SuperQ117
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube117
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0118 = intersection {
  superellipsoid { // SuperQ118
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube118
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0119 = intersection {
  superellipsoid { // SuperQ119
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube119
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0120 = intersection {
  superellipsoid { // SuperQ120
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube120
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group020 = union {
  object { Brick0115 }
  object { Brick0116 }
  object { Brick0117 }
  object { Brick0118 }
  object { Brick0119 }
  object { Brick0120 }
  bounded_by { // Bound00020
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-6.052355, 0.0, 3.680486>
}
union { // wall0005
  object { Group017 }
  object { Group018 }
  object { Group019 }
  object { Group020 }
  translate  <-9.896419, 0.0, 0.081789>
}


#declare Brick0121 = intersection {
  superellipsoid { // SuperQ121
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube121
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0122 = intersection {
  superellipsoid { // SuperQ122
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube122
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0123 = intersection {
  superellipsoid { // SuperQ123
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube123
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0124 = intersection {
  superellipsoid { // SuperQ124
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube124
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0125 = intersection {
  superellipsoid { // SuperQ125
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube125
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0126 = intersection {
  superellipsoid { // SuperQ126
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube126
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group021 = union {
  object { Brick0121 }
  object { Brick0122 }
  object { Brick0123 }
  object { Brick0124 }
  object { Brick0125 }
  object { Brick0126 }
  bounded_by { // Bound00021
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
}
#declare Brick0127 = intersection {
  superellipsoid { // SuperQ127
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube127
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0128 = intersection {
  superellipsoid { // SuperQ128
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube128
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0129 = intersection {
  superellipsoid { // SuperQ129
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube129
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0130 = intersection {
  superellipsoid { // SuperQ130
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube130
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0131 = intersection {
  superellipsoid { // SuperQ131
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube131
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0132 = intersection {
  superellipsoid { // SuperQ132
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube132
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group022 = union {
  object { Brick0127 }
  object { Brick0128 }
  object { Brick0129 }
  object { Brick0130 }
  object { Brick0131 }
  object { Brick0132 }
  bounded_by { // Bound00022
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-5.055069, 0.0, 0.031401>
}
#declare Brick0133 = intersection {
  superellipsoid { // SuperQ133
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube133
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0134 = intersection {
  superellipsoid { // SuperQ134
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube134
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0135 = intersection {
  superellipsoid { // SuperQ135
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube135
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0136 = intersection {
  superellipsoid { // SuperQ136
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube136
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0137 = intersection {
  superellipsoid { // SuperQ137
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube137
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0138 = intersection {
  superellipsoid { // SuperQ138
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube138
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group023 = union {
  object { Brick0133 }
  object { Brick0134 }
  object { Brick0135 }
  object { Brick0136 }
  object { Brick0137 }
  object { Brick0138 }
  bounded_by { // Bound00023
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-1.048059, 0.0, 3.506966>
}
#declare Brick0139 = intersection {
  superellipsoid { // SuperQ139
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube139
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
}
#declare Brick0140 = intersection {
  superellipsoid { // SuperQ140
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube140
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-1.733771, 0.0, 0.0>
}
#declare Brick0141 = intersection {
  superellipsoid { // SuperQ141
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube141
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <1.733771, 0.0, -0.064214>
}
#declare Brick0142 = intersection {
  superellipsoid { // SuperQ142
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube142
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-0.866886, 0.0, 1.733771>
}
#declare Brick0143 = intersection {
  superellipsoid { // SuperQ143
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube143
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <0.802672, 0.0, 1.669557>
}
#declare Brick0144 = intersection {
  superellipsoid { // SuperQ144
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube144
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <2.504336, 0.0, 1.669557>
}
#declare Group024 = union {
  object { Brick0139 }
  object { Brick0140 }
  object { Brick0141 }
  object { Brick0142 }
  object { Brick0143 }
  object { Brick0144 }
  bounded_by { // Bound00024
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <3.385642, 1.017378, 2.02392>
      translate  <0.468929, -0.038982, 1.035927>
    }
  }
  translate  <-6.052355, 0.0, 3.680486>
}
union { // wall0006
  object { Group021 }
  object { Group022 }
  object { Group023 }
  object { Group024 }
  translate  <-9.978207, 0.0, 7.197395>
}


intersection { // Brick0145
  superellipsoid { // SuperQ145
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube145
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone
  }
  translate  <-13.648002, 0.112727, 14.569996>
}


#declare Brick0147 = intersection {
  superellipsoid { // SuperQ147
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube147
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.365184, -17.742146, 0.0>
}
#declare Brick0148 = intersection {
  superellipsoid { // SuperQ148
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube148
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.230254, -17.654275, 0.0>
}
#declare Brick0149 = intersection {
  superellipsoid { // SuperQ149
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube149
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.089998, -17.524251, 0.0>
}
#declare Brick0150 = intersection {
  superellipsoid { // SuperQ150
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube150
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.942365, -17.352384, 0.0>
}
#declare Brick0151 = intersection {
  superellipsoid { // SuperQ151
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube151
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.785318, -17.139084, 0.0>
}
#declare Brick0152 = intersection {
  superellipsoid { // SuperQ152
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube152
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.616846, -16.884861, 0.0>
}
#declare Brick0153 = intersection {
  superellipsoid { // SuperQ153
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube153
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.434961, -16.590321, 0.0>
}
#declare Brick0154 = intersection {
  superellipsoid { // SuperQ154
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube154
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.237712, -16.256168, 0.0>
}
#declare Brick0155 = intersection {
  superellipsoid { // SuperQ155
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube155
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.023181, -15.8832, 0.0>
}
#declare Brick0156 = intersection {
  superellipsoid { // SuperQ156
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube156
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.789494, -15.472307, 0.0>
}
#declare Brick0157 = intersection {
  superellipsoid { // SuperQ157
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube157
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.534819, -15.02447, 0.0>
}
#declare Brick0158 = intersection {
  superellipsoid { // SuperQ158
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube158
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.257377, -14.540759, 0.0>
}
#declare Brick0159 = intersection {
  superellipsoid { // SuperQ159
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube159
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.955444, -14.022329, 0.0>
}
#declare Brick0160 = intersection {
  superellipsoid { // SuperQ160
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube160
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.627352, -13.470418, 0.0>
}
#declare Brick0161 = intersection {
  superellipsoid { // SuperQ161
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube161
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.271498, -12.886342, 0.0>
}
#declare Brick0162 = intersection {
  superellipsoid { // SuperQ162
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube162
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.886342, -12.271498, 0.0>
}
#declare Brick0163 = intersection {
  superellipsoid { // SuperQ163
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube163
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.470418, -11.627352, 0.0>
}
#declare Brick0164 = intersection {
  superellipsoid { // SuperQ164
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube164
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.022329, -10.955444, 0.0>
}
#declare Brick0165 = intersection {
  superellipsoid { // SuperQ165
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube165
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.540759, -10.257377, 0.0>
}
#declare Brick0166 = intersection {
  superellipsoid { // SuperQ166
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube166
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.02447, -9.534819, 0.0>
}
#declare Brick0167 = intersection {
  superellipsoid { // SuperQ167
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube167
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.472307, -8.789494, 0.0>
}
#declare Brick0168 = intersection {
  superellipsoid { // SuperQ168
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube168
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.8832, -8.023181, 0.0>
}
#declare Brick0169 = intersection {
  superellipsoid { // SuperQ169
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube169
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.256168, -7.237712, 0.0>
}
#declare Brick0170 = intersection {
  superellipsoid { // SuperQ170
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube170
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.590321, -6.434961, 0.0>
}
#declare Brick0171 = intersection {
  superellipsoid { // SuperQ171
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube171
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.884861, -5.616846, 0.0>
}
#declare Brick0172 = intersection {
  superellipsoid { // SuperQ172
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube172
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.139084, -4.785318, 0.0>
}
#declare Brick0173 = intersection {
  superellipsoid { // SuperQ173
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube173
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.352384, -3.942365, 0.0>
}
#declare Brick0174 = intersection {
  superellipsoid { // SuperQ174
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube174
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.524251, -3.089998, 0.0>
}
#declare Brick0175 = intersection {
  superellipsoid { // SuperQ175
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube175
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.654275, -2.230254, 0.0>
}
#declare Brick0176 = intersection {
  superellipsoid { // SuperQ176
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube176
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.742146, -1.365184, 0.0>
}
#declare Brick0177 = intersection {
  superellipsoid { // SuperQ177
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube177
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.787653, -0.496854, 0.0>
}
#declare Brick0178 = intersection {
  superellipsoid { // SuperQ178
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube178
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.790688, 0.372662, 0.0>
}
#declare Brick0179 = intersection {
  superellipsoid { // SuperQ179
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube179
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.751244, 1.241288, 0.0>
}
#declare Brick0180 = intersection {
  superellipsoid { // SuperQ180
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube180
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.669415, 2.10695, 0.0>
}
#declare Brick0181 = intersection {
  superellipsoid { // SuperQ181
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube181
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.545396, 2.967582, 0.0>
}
#declare Brick0182 = intersection {
  superellipsoid { // SuperQ182
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube182
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.379484, 3.821127, 0.0>
}
#declare Brick0183 = intersection {
  superellipsoid { // SuperQ183
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube183
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.172074, 4.665549, 0.0>
}
#declare Brick0184 = intersection {
  superellipsoid { // SuperQ184
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube184
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.923662, 5.498831, 0.0>
}
#declare Brick0185 = intersection {
  superellipsoid { // SuperQ185
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube185
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.634841, 6.318983, 0.0>
}
#declare Brick0186 = intersection {
  superellipsoid { // SuperQ186
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube186
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.3063, 7.124047, 0.0>
}
#declare Brick0187 = intersection {
  superellipsoid { // SuperQ187
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube187
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.938825, 7.912101, 0.0>
}
#declare Brick0188 = intersection {
  superellipsoid { // SuperQ188
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube188
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.533291, 8.681263, 0.0>
}
#declare Brick0189 = intersection {
  superellipsoid { // SuperQ189
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube189
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.090669, 9.429697, 0.0>
}
#declare Brick0190 = intersection {
  superellipsoid { // SuperQ190
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube190
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.612014, 10.155615, 0.0>
}
#declare Brick0191 = intersection {
  superellipsoid { // SuperQ191
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube191
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.09847, 10.857284, 0.0>
}
#declare Brick0192 = intersection {
  superellipsoid { // SuperQ192
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube192
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.551263, 11.533029, 0.0>
}
#declare Brick0193 = intersection {
  superellipsoid { // SuperQ193
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube193
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.971699, 12.181236, 0.0>
}
#declare Brick0194 = intersection {
  superellipsoid { // SuperQ194
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube194
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.361162, 12.800358, 0.0>
}
#declare Brick0195 = intersection {
  superellipsoid { // SuperQ195
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube195
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.72111, 13.388916, 0.0>
}
#declare Brick0196 = intersection {
  superellipsoid { // SuperQ196
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube196
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.053071, 13.945505, 0.0>
}
#declare Brick0197 = intersection {
  superellipsoid { // SuperQ197
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube197
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.35864, 14.468796, 0.0>
}
#declare Brick0198 = intersection {
  superellipsoid { // SuperQ198
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube198
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.639476, 14.957539, 0.0>
}
#declare Brick0199 = intersection {
  superellipsoid { // SuperQ199
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube199
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.897296, 15.410568, 0.0>
}
#declare Brick0200 = intersection {
  superellipsoid { // SuperQ200
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube200
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.133871, 15.826801, 0.0>
}
#declare Brick0201 = intersection {
  superellipsoid { // SuperQ201
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube201
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.351024, 16.205243, 0.0>
}
#declare Brick0202 = intersection {
  superellipsoid { // SuperQ202
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube202
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.550626, 16.544992, 0.0>
}
#declare Brick0203 = intersection {
  superellipsoid { // SuperQ203
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube203
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.734586, 16.845237, 0.0>
}
#declare Brick0204 = intersection {
  superellipsoid { // SuperQ204
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube204
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.904854, 17.105259, 0.0>
}
#declare Brick0205 = intersection {
  superellipsoid { // SuperQ205
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube205
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.06341, 17.324439, 0.0>
}
#declare Brick0206 = intersection {
  superellipsoid { // SuperQ206
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube206
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.212264, 17.502252, 0.0>
}
#declare Brick0207 = intersection {
  superellipsoid { // SuperQ207
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube207
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.353448, 17.638275, 0.0>
}
#declare Brick0208 = intersection {
  superellipsoid { // SuperQ208
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube208
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.489013, 17.732183, 0.0>
}
#declare Brick0209 = intersection {
  superellipsoid { // SuperQ209
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube209
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <0.621022, 17.783751, 0.0>
}
#declare Brick0210 = intersection {
  superellipsoid { // SuperQ210
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube210
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.248451, 17.792857, 0.0>
}
#declare Brick0211 = intersection {
  superellipsoid { // SuperQ211
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube211
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.117332, 17.759478, 0.0>
}
#declare Brick0212 = intersection {
  superellipsoid { // SuperQ212
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube212
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.983544, 17.683694, 0.0>
}
#declare Brick0213 = intersection {
  superellipsoid { // SuperQ213
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube213
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.84502, 17.565686, 0.0>
}
#declare Brick0214 = intersection {
  superellipsoid { // SuperQ214
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube214
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.699704, 17.405737, 0.0>
}
#declare Brick0215 = intersection {
  superellipsoid { // SuperQ215
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube215
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.545553, 17.204227, 0.0>
}
#declare Brick0216 = intersection {
  superellipsoid { // SuperQ216
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube216
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.380549, 16.961638, 0.0>
}
#declare Brick0217 = intersection {
  superellipsoid { // SuperQ217
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube217
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.202697, 16.67855, 0.0>
}
#declare Brick0218 = intersection {
  superellipsoid { // SuperQ218
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube218
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.010035, 16.355638, 0.0>
}
#declare Brick0219 = intersection {
  superellipsoid { // SuperQ219
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube219
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.800635, 15.993673, 0.0>
}
#declare Brick0220 = intersection {
  superellipsoid { // SuperQ220
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube220
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.57261, 15.593519, 0.0>
}
#declare Brick0221 = intersection {
  superellipsoid { // SuperQ221
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube221
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.324115, 15.156133, 0.0>
}
#declare Brick0222 = intersection {
  superellipsoid { // SuperQ222
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube222
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.053357, 14.682557, 0.0>
}
#declare Brick0223 = intersection {
  superellipsoid { // SuperQ223
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube223
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.758594, 14.173924, 0.0>
}
#declare Brick0224 = intersection {
  superellipsoid { // SuperQ224
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube224
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.438143, 13.631448, 0.0>
}
#declare Brick0225 = intersection {
  superellipsoid { // SuperQ225
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube225
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.09038, 13.056423, 0.0>
}
#declare Brick0226 = intersection {
  superellipsoid { // SuperQ226
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube226
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.713749, 12.450223, 0.0>
}
#declare Brick0227 = intersection {
  superellipsoid { // SuperQ227
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube227
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.306761, 11.814295, 0.0>
}
#declare Brick0228 = intersection {
  superellipsoid { // SuperQ228
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube228
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.868, 11.150159, 0.0>
}
#declare Brick0229 = intersection {
  superellipsoid { // SuperQ229
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube229
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.396127, 10.459398, 0.0>
}
#declare Brick0230 = intersection {
  superellipsoid { // SuperQ230
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube230
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.889879, 9.743664, 0.0>
}
#declare Brick0231 = intersection {
  superellipsoid { // SuperQ231
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube231
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.348078, 9.004664, 0.0>
}
#declare Brick0232 = intersection {
  superellipsoid { // SuperQ232
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube232
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.76963, 8.244164, 0.0>
}
#declare Brick0233 = intersection {
  superellipsoid { // SuperQ233
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube233
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.153529, 7.463978, 0.0>
}
#declare Brick0234 = intersection {
  superellipsoid { // SuperQ234
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube234
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.498858, 6.665971, 0.0>
}
#declare Brick0235 = intersection {
  superellipsoid { // SuperQ235
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube235
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.804791, 5.852048, 0.0>
}
#declare Brick0236 = intersection {
  superellipsoid { // SuperQ236
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube236
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.0706, 5.024151, 0.0>
}
#declare Brick0237 = intersection {
  superellipsoid { // SuperQ237
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube237
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.295649, 4.184258, 0.0>
}
#declare Brick0238 = intersection {
  superellipsoid { // SuperQ238
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube238
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.4794, 3.334374, 0.0>
}
#declare Brick0239 = intersection {
  superellipsoid { // SuperQ239
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube239
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.621415, 2.476528, 0.0>
}
#declare Brick0240 = intersection {
  superellipsoid { // SuperQ240
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube240
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.721356, 1.61277, 0.0>
}
#declare Brick0241 = intersection {
  superellipsoid { // SuperQ241
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube241
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.778982, 0.74516, 0.0>
}
#declare Brick0242 = intersection {
  superellipsoid { // SuperQ242
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube242
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.794157, -0.124229, 0.0>
}
#declare Brick0243 = intersection {
  superellipsoid { // SuperQ243
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube243
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.766845, -0.993321, 0.0>
}
#declare Brick0244 = intersection {
  superellipsoid { // SuperQ244
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube244
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.69711, -1.860041, 0.0>
}
#declare Brick0245 = intersection {
  superellipsoid { // SuperQ245
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube245
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.58512, -2.72232, 0.0>
}
#declare Brick0246 = intersection {
  superellipsoid { // SuperQ246
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube246
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.431141, -3.578099, 0.0>
}
#declare Brick0247 = intersection {
  superellipsoid { // SuperQ247
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube247
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.235541, -4.425335, 0.0>
}
#declare Brick0248 = intersection {
  superellipsoid { // SuperQ248
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube248
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.998788, -5.262004, 0.0>
}
#declare Brick0249 = intersection {
  superellipsoid { // SuperQ249
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube249
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.721446, -6.086109, 0.0>
}
#declare Brick0250 = intersection {
  superellipsoid { // SuperQ250
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube250
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.404178, -6.895681, 0.0>
}
#declare Brick0251 = intersection {
  superellipsoid { // SuperQ251
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube251
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.047741, -7.688789, 0.0>
}
#declare Brick0252 = intersection {
  superellipsoid { // SuperQ252
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube252
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.652987, -8.463538, 0.0>
}
#declare Brick0253 = intersection {
  superellipsoid { // SuperQ253
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube253
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.220857, -9.218079, 0.0>
}
#declare Brick0254 = intersection {
  superellipsoid { // SuperQ254
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube254
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.752385, -9.950609, 0.0>
}
#declare Brick0255 = intersection {
  superellipsoid { // SuperQ255
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube255
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.248687, -10.65938, 0.0>
}
#declare Brick0256 = intersection {
  superellipsoid { // SuperQ256
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube256
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.710968, -11.342699, 0.0>
}
#declare Brick0257 = intersection {
  superellipsoid { // SuperQ257
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube257
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.140511, -11.998935, 0.0>
}
#declare Brick0258 = intersection {
  superellipsoid { // SuperQ258
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube258
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.538678, -12.626521, 0.0>
}
#declare Brick0259 = intersection {
  superellipsoid { // SuperQ259
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube259
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.906906, -13.223958, 0.0>
}
#declare Brick0260 = intersection {
  superellipsoid { // SuperQ260
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube260
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.246703, -13.78982, 0.0>
}
#declare Brick0261 = intersection {
  superellipsoid { // SuperQ261
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube261
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.559646, -14.322756, 0.0>
}
#declare Brick0262 = intersection {
  superellipsoid { // SuperQ262
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube262
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.847376, -14.821493, 0.0>
}
#declare Brick0263 = intersection {
  superellipsoid { // SuperQ263
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube263
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.111593, -15.28484, 0.0>
}
#declare Brick0264 = intersection {
  superellipsoid { // SuperQ264
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube264
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.354055, -15.711691, 0.0>
}
#declare Brick0265 = intersection {
  superellipsoid { // SuperQ265
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube265
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.576568, -16.101027, 0.0>
}
#declare Brick0266 = intersection {
  superellipsoid { // SuperQ266
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube266
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.780992, -16.451919, 0.0>
}
#declare Brick0267 = intersection {
  superellipsoid { // SuperQ267
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube267
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.969224, -16.763527, 0.0>
}
#declare Brick0268 = intersection {
  superellipsoid { // SuperQ268
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube268
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.143203, -17.035109, 0.0>
}
#declare Brick0269 = intersection {
  superellipsoid { // SuperQ269
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube269
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.304901, -17.266016, 0.0>
}
#declare Brick0270 = intersection {
  superellipsoid { // SuperQ270
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube270
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.456321, -17.455696, 0.0>
}
#declare Brick0271 = intersection {
  superellipsoid { // SuperQ271
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube271
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.599488, -17.603697, 0.0>
}
#declare Brick0272 = intersection {
  superellipsoid { // SuperQ272
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube272
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.736448, -17.709665, 0.0>
}
#declare Brick0273 = intersection {
  superellipsoid { // SuperQ273
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube273
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.869262, -17.773347, 0.0>
}
#declare Brick0274 = intersection {
  superellipsoid { // SuperQ274
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube274
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  -17.794591*y
}
union { // ring0001
  object { Brick0147 }
  object { Brick0148 }
  object { Brick0149 }
  object { Brick0150 }
  object { Brick0151 }
  object { Brick0152 }
  object { Brick0153 }
  object { Brick0154 }
  object { Brick0155 }
  object { Brick0156 }
  object { Brick0157 }
  object { Brick0158 }
  object { Brick0159 }
  object { Brick0160 }
  object { Brick0161 }
  object { Brick0162 }
  object { Brick0163 }
  object { Brick0164 }
  object { Brick0165 }
  object { Brick0166 }
  object { Brick0167 }
  object { Brick0168 }
  object { Brick0169 }
  object { Brick0170 }
  object { Brick0171 }
  object { Brick0172 }
  object { Brick0173 }
  object { Brick0174 }
  object { Brick0175 }
  object { Brick0176 }
  object { Brick0177 }
  object { Brick0178 }
  object { Brick0179 }
  object { Brick0180 }
  object { Brick0181 }
  object { Brick0182 }
  object { Brick0183 }
  object { Brick0184 }
  object { Brick0185 }
  object { Brick0186 }
  object { Brick0187 }
  object { Brick0188 }
  object { Brick0189 }
  object { Brick0190 }
  object { Brick0191 }
  object { Brick0192 }
  object { Brick0193 }
  object { Brick0194 }
  object { Brick0195 }
  object { Brick0196 }
  object { Brick0197 }
  object { Brick0198 }
  object { Brick0199 }
  object { Brick0200 }
  object { Brick0201 }
  object { Brick0202 }
  object { Brick0203 }
  object { Brick0204 }
  object { Brick0205 }
  object { Brick0206 }
  object { Brick0207 }
  object { Brick0208 }
  object { Brick0209 }
  object { Brick0210 }
  object { Brick0211 }
  object { Brick0212 }
  object { Brick0213 }
  object { Brick0214 }
  object { Brick0215 }
  object { Brick0216 }
  object { Brick0217 }
  object { Brick0218 }
  object { Brick0219 }
  object { Brick0220 }
  object { Brick0221 }
  object { Brick0222 }
  object { Brick0223 }
  object { Brick0224 }
  object { Brick0225 }
  object { Brick0226 }
  object { Brick0227 }
  object { Brick0228 }
  object { Brick0229 }
  object { Brick0230 }
  object { Brick0231 }
  object { Brick0232 }
  object { Brick0233 }
  object { Brick0234 }
  object { Brick0235 }
  object { Brick0236 }
  object { Brick0237 }
  object { Brick0238 }
  object { Brick0239 }
  object { Brick0240 }
  object { Brick0241 }
  object { Brick0242 }
  object { Brick0243 }
  object { Brick0244 }
  object { Brick0245 }
  object { Brick0246 }
  object { Brick0247 }
  object { Brick0248 }
  object { Brick0249 }
  object { Brick0250 }
  object { Brick0251 }
  object { Brick0252 }
  object { Brick0253 }
  object { Brick0254 }
  object { Brick0255 }
  object { Brick0256 }
  object { Brick0257 }
  object { Brick0258 }
  object { Brick0259 }
  object { Brick0260 }
  object { Brick0261 }
  object { Brick0262 }
  object { Brick0263 }
  object { Brick0264 }
  object { Brick0265 }
  object { Brick0266 }
  object { Brick0267 }
  object { Brick0268 }
  object { Brick0269 }
  object { Brick0270 }
  object { Brick0271 }
  object { Brick0272 }
  object { Brick0273 }
  object { Brick0274 }
  translate  <-35.07604, 0.833905, 0.105693>
}


#declare Brick0275 = intersection {
  superellipsoid { // SuperQ275
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube275
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.365184, -17.742146, 0.0>
}
#declare Brick0276 = intersection {
  superellipsoid { // SuperQ276
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube276
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.230254, -17.654275, 0.0>
}
#declare Brick0277 = intersection {
  superellipsoid { // SuperQ277
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube277
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.089998, -17.524251, 0.0>
}
#declare Brick0278 = intersection {
  superellipsoid { // SuperQ278
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube278
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.942365, -17.352384, 0.0>
}
#declare Brick0279 = intersection {
  superellipsoid { // SuperQ279
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube279
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.785318, -17.139084, 0.0>
}
#declare Brick0280 = intersection {
  superellipsoid { // SuperQ280
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube280
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.616846, -16.884861, 0.0>
}
#declare Brick0281 = intersection {
  superellipsoid { // SuperQ281
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube281
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.434961, -16.590321, 0.0>
}
#declare Brick0282 = intersection {
  superellipsoid { // SuperQ282
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube282
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.237712, -16.256168, 0.0>
}
#declare Brick0283 = intersection {
  superellipsoid { // SuperQ283
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube283
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.023181, -15.8832, 0.0>
}
#declare Brick0284 = intersection {
  superellipsoid { // SuperQ284
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube284
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.789494, -15.472307, 0.0>
}
#declare Brick0285 = intersection {
  superellipsoid { // SuperQ285
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube285
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.534819, -15.02447, 0.0>
}
#declare Brick0286 = intersection {
  superellipsoid { // SuperQ286
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube286
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.257377, -14.540759, 0.0>
}
#declare Brick0287 = intersection {
  superellipsoid { // SuperQ287
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube287
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.955444, -14.022329, 0.0>
}
#declare Brick0288 = intersection {
  superellipsoid { // SuperQ288
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube288
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.627352, -13.470418, 0.0>
}
#declare Brick0289 = intersection {
  superellipsoid { // SuperQ289
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube289
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.271498, -12.886342, 0.0>
}
#declare Brick0290 = intersection {
  superellipsoid { // SuperQ290
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube290
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.886342, -12.271498, 0.0>
}
#declare Brick0291 = intersection {
  superellipsoid { // SuperQ291
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube291
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.470418, -11.627352, 0.0>
}
#declare Brick0292 = intersection {
  superellipsoid { // SuperQ292
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube292
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.022329, -10.955444, 0.0>
}
#declare Brick0293 = intersection {
  superellipsoid { // SuperQ293
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube293
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.540759, -10.257377, 0.0>
}
#declare Brick0294 = intersection {
  superellipsoid { // SuperQ294
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube294
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.02447, -9.534819, 0.0>
}
#declare Brick0295 = intersection {
  superellipsoid { // SuperQ295
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube295
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.472307, -8.789494, 0.0>
}
#declare Brick0296 = intersection {
  superellipsoid { // SuperQ296
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube296
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.8832, -8.023181, 0.0>
}
#declare Brick0297 = intersection {
  superellipsoid { // SuperQ297
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube297
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.256168, -7.237712, 0.0>
}
#declare Brick0298 = intersection {
  superellipsoid { // SuperQ298
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube298
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.590321, -6.434961, 0.0>
}
#declare Brick0299 = intersection {
  superellipsoid { // SuperQ299
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube299
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.884861, -5.616846, 0.0>
}
#declare Brick0300 = intersection {
  superellipsoid { // SuperQ300
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube300
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.139084, -4.785318, 0.0>
}
#declare Brick0301 = intersection {
  superellipsoid { // SuperQ301
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube301
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.352384, -3.942365, 0.0>
}
#declare Brick0302 = intersection {
  superellipsoid { // SuperQ302
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube302
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.524251, -3.089998, 0.0>
}
#declare Brick0303 = intersection {
  superellipsoid { // SuperQ303
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube303
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.654275, -2.230254, 0.0>
}
#declare Brick0304 = intersection {
  superellipsoid { // SuperQ304
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube304
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.742146, -1.365184, 0.0>
}
#declare Brick0305 = intersection {
  superellipsoid { // SuperQ305
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube305
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.787653, -0.496854, 0.0>
}
#declare Brick0306 = intersection {
  superellipsoid { // SuperQ306
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube306
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.790688, 0.372662, 0.0>
}
#declare Brick0307 = intersection {
  superellipsoid { // SuperQ307
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube307
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.751244, 1.241288, 0.0>
}
#declare Brick0308 = intersection {
  superellipsoid { // SuperQ308
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube308
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.669415, 2.10695, 0.0>
}
#declare Brick0309 = intersection {
  superellipsoid { // SuperQ309
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube309
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.545396, 2.967582, 0.0>
}
#declare Brick0310 = intersection {
  superellipsoid { // SuperQ310
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube310
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.379484, 3.821127, 0.0>
}
#declare Brick0311 = intersection {
  superellipsoid { // SuperQ311
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube311
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <17.172074, 4.665549, 0.0>
}
#declare Brick0312 = intersection {
  superellipsoid { // SuperQ312
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube312
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.923662, 5.498831, 0.0>
}
#declare Brick0313 = intersection {
  superellipsoid { // SuperQ313
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube313
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.634841, 6.318983, 0.0>
}
#declare Brick0314 = intersection {
  superellipsoid { // SuperQ314
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube314
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <16.3063, 7.124047, 0.0>
}
#declare Brick0315 = intersection {
  superellipsoid { // SuperQ315
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube315
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.938825, 7.912101, 0.0>
}
#declare Brick0316 = intersection {
  superellipsoid { // SuperQ316
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube316
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.533291, 8.681263, 0.0>
}
#declare Brick0317 = intersection {
  superellipsoid { // SuperQ317
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube317
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <15.090669, 9.429697, 0.0>
}
#declare Brick0318 = intersection {
  superellipsoid { // SuperQ318
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube318
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.612014, 10.155615, 0.0>
}
#declare Brick0319 = intersection {
  superellipsoid { // SuperQ319
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube319
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <14.09847, 10.857284, 0.0>
}
#declare Brick0320 = intersection {
  superellipsoid { // SuperQ320
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube320
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <13.551263, 11.533029, 0.0>
}
#declare Brick0321 = intersection {
  superellipsoid { // SuperQ321
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube321
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.971699, 12.181236, 0.0>
}
#declare Brick0322 = intersection {
  superellipsoid { // SuperQ322
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube322
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <12.361162, 12.800358, 0.0>
}
#declare Brick0323 = intersection {
  superellipsoid { // SuperQ323
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube323
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.72111, 13.388916, 0.0>
}
#declare Brick0324 = intersection {
  superellipsoid { // SuperQ324
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube324
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <11.053071, 13.945505, 0.0>
}
#declare Brick0325 = intersection {
  superellipsoid { // SuperQ325
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube325
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <10.35864, 14.468796, 0.0>
}
#declare Brick0326 = intersection {
  superellipsoid { // SuperQ326
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube326
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <9.639476, 14.957539, 0.0>
}
#declare Brick0327 = intersection {
  superellipsoid { // SuperQ327
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube327
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.897296, 15.410568, 0.0>
}
#declare Brick0328 = intersection {
  superellipsoid { // SuperQ328
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube328
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <8.133871, 15.826801, 0.0>
}
#declare Brick0329 = intersection {
  superellipsoid { // SuperQ329
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube329
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <7.351024, 16.205243, 0.0>
}
#declare Brick0330 = intersection {
  superellipsoid { // SuperQ330
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube330
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <6.550626, 16.544992, 0.0>
}
#declare Brick0331 = intersection {
  superellipsoid { // SuperQ331
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube331
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <5.734586, 16.845237, 0.0>
}
#declare Brick0332 = intersection {
  superellipsoid { // SuperQ332
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube332
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.904854, 17.105259, 0.0>
}
#declare Brick0333 = intersection {
  superellipsoid { // SuperQ333
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube333
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <4.06341, 17.324439, 0.0>
}
#declare Brick0334 = intersection {
  superellipsoid { // SuperQ334
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube334
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <3.212264, 17.502252, 0.0>
}
#declare Brick0335 = intersection {
  superellipsoid { // SuperQ335
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube335
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <2.353448, 17.638275, 0.0>
}
#declare Brick0336 = intersection {
  superellipsoid { // SuperQ336
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube336
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <1.489013, 17.732183, 0.0>
}
#declare Brick0337 = intersection {
  superellipsoid { // SuperQ337
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube337
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <0.621022, 17.783751, 0.0>
}
#declare Brick0338 = intersection {
  superellipsoid { // SuperQ338
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube338
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.248451, 17.792857, 0.0>
}
#declare Brick0339 = intersection {
  superellipsoid { // SuperQ339
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube339
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.117332, 17.759478, 0.0>
}
#declare Brick0340 = intersection {
  superellipsoid { // SuperQ340
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube340
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.983544, 17.683694, 0.0>
}
#declare Brick0341 = intersection {
  superellipsoid { // SuperQ341
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube341
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.84502, 17.565686, 0.0>
}
#declare Brick0342 = intersection {
  superellipsoid { // SuperQ342
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube342
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.699704, 17.405737, 0.0>
}
#declare Brick0343 = intersection {
  superellipsoid { // SuperQ343
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube343
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.545553, 17.204227, 0.0>
}
#declare Brick0344 = intersection {
  superellipsoid { // SuperQ344
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube344
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.380549, 16.961638, 0.0>
}
#declare Brick0345 = intersection {
  superellipsoid { // SuperQ345
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube345
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.202697, 16.67855, 0.0>
}
#declare Brick0346 = intersection {
  superellipsoid { // SuperQ346
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube346
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.010035, 16.355638, 0.0>
}
#declare Brick0347 = intersection {
  superellipsoid { // SuperQ347
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube347
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.800635, 15.993673, 0.0>
}
#declare Brick0348 = intersection {
  superellipsoid { // SuperQ348
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube348
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.57261, 15.593519, 0.0>
}
#declare Brick0349 = intersection {
  superellipsoid { // SuperQ349
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube349
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.324115, 15.156133, 0.0>
}
#declare Brick0350 = intersection {
  superellipsoid { // SuperQ350
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube350
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.053357, 14.682557, 0.0>
}
#declare Brick0351 = intersection {
  superellipsoid { // SuperQ351
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube351
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.758594, 14.173924, 0.0>
}
#declare Brick0352 = intersection {
  superellipsoid { // SuperQ352
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube352
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.438143, 13.631448, 0.0>
}
#declare Brick0353 = intersection {
  superellipsoid { // SuperQ353
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube353
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.09038, 13.056423, 0.0>
}
#declare Brick0354 = intersection {
  superellipsoid { // SuperQ354
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube354
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.713749, 12.450223, 0.0>
}
#declare Brick0355 = intersection {
  superellipsoid { // SuperQ355
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube355
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.306761, 11.814295, 0.0>
}
#declare Brick0356 = intersection {
  superellipsoid { // SuperQ356
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube356
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.868, 11.150159, 0.0>
}
#declare Brick0357 = intersection {
  superellipsoid { // SuperQ357
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube357
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.396127, 10.459398, 0.0>
}
#declare Brick0358 = intersection {
  superellipsoid { // SuperQ358
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube358
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.889879, 9.743664, 0.0>
}
#declare Brick0359 = intersection {
  superellipsoid { // SuperQ359
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube359
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.348078, 9.004664, 0.0>
}
#declare Brick0360 = intersection {
  superellipsoid { // SuperQ360
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube360
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.76963, 8.244164, 0.0>
}
#declare Brick0361 = intersection {
  superellipsoid { // SuperQ361
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube361
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.153529, 7.463978, 0.0>
}
#declare Brick0362 = intersection {
  superellipsoid { // SuperQ362
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube362
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.498858, 6.665971, 0.0>
}
#declare Brick0363 = intersection {
  superellipsoid { // SuperQ363
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube363
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.804791, 5.852048, 0.0>
}
#declare Brick0364 = intersection {
  superellipsoid { // SuperQ364
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube364
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.0706, 5.024151, 0.0>
}
#declare Brick0365 = intersection {
  superellipsoid { // SuperQ365
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube365
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.295649, 4.184258, 0.0>
}
#declare Brick0366 = intersection {
  superellipsoid { // SuperQ366
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube366
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.4794, 3.334374, 0.0>
}
#declare Brick0367 = intersection {
  superellipsoid { // SuperQ367
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube367
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.621415, 2.476528, 0.0>
}
#declare Brick0368 = intersection {
  superellipsoid { // SuperQ368
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube368
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.721356, 1.61277, 0.0>
}
#declare Brick0369 = intersection {
  superellipsoid { // SuperQ369
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube369
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.778982, 0.74516, 0.0>
}
#declare Brick0370 = intersection {
  superellipsoid { // SuperQ370
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube370
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.794157, -0.124229, 0.0>
}
#declare Brick0371 = intersection {
  superellipsoid { // SuperQ371
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube371
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.766845, -0.993321, 0.0>
}
#declare Brick0372 = intersection {
  superellipsoid { // SuperQ372
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube372
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.69711, -1.860041, 0.0>
}
#declare Brick0373 = intersection {
  superellipsoid { // SuperQ373
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube373
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.58512, -2.72232, 0.0>
}
#declare Brick0374 = intersection {
  superellipsoid { // SuperQ374
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube374
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.431141, -3.578099, 0.0>
}
#declare Brick0375 = intersection {
  superellipsoid { // SuperQ375
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube375
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-17.235541, -4.425335, 0.0>
}
#declare Brick0376 = intersection {
  superellipsoid { // SuperQ376
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube376
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.998788, -5.262004, 0.0>
}
#declare Brick0377 = intersection {
  superellipsoid { // SuperQ377
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube377
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.721446, -6.086109, 0.0>
}
#declare Brick0378 = intersection {
  superellipsoid { // SuperQ378
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube378
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.404178, -6.895681, 0.0>
}
#declare Brick0379 = intersection {
  superellipsoid { // SuperQ379
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube379
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-16.047741, -7.688789, 0.0>
}
#declare Brick0380 = intersection {
  superellipsoid { // SuperQ380
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube380
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.652987, -8.463538, 0.0>
}
#declare Brick0381 = intersection {
  superellipsoid { // SuperQ381
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube381
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-15.220857, -9.218079, 0.0>
}
#declare Brick0382 = intersection {
  superellipsoid { // SuperQ382
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube382
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.752385, -9.950609, 0.0>
}
#declare Brick0383 = intersection {
  superellipsoid { // SuperQ383
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube383
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-14.248687, -10.65938, 0.0>
}
#declare Brick0384 = intersection {
  superellipsoid { // SuperQ384
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube384
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.710968, -11.342699, 0.0>
}
#declare Brick0385 = intersection {
  superellipsoid { // SuperQ385
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube385
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-13.140511, -11.998935, 0.0>
}
#declare Brick0386 = intersection {
  superellipsoid { // SuperQ386
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube386
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-12.538678, -12.626521, 0.0>
}
#declare Brick0387 = intersection {
  superellipsoid { // SuperQ387
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube387
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.906906, -13.223958, 0.0>
}
#declare Brick0388 = intersection {
  superellipsoid { // SuperQ388
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube388
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-11.246703, -13.78982, 0.0>
}
#declare Brick0389 = intersection {
  superellipsoid { // SuperQ389
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube389
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-10.559646, -14.322756, 0.0>
}
#declare Brick0390 = intersection {
  superellipsoid { // SuperQ390
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube390
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.847376, -14.821493, 0.0>
}
#declare Brick0391 = intersection {
  superellipsoid { // SuperQ391
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube391
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-9.111593, -15.28484, 0.0>
}
#declare Brick0392 = intersection {
  superellipsoid { // SuperQ392
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube392
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-8.354055, -15.711691, 0.0>
}
#declare Brick0393 = intersection {
  superellipsoid { // SuperQ393
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube393
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-7.576568, -16.101027, 0.0>
}
#declare Brick0394 = intersection {
  superellipsoid { // SuperQ394
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube394
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-6.780992, -16.451919, 0.0>
}
#declare Brick0395 = intersection {
  superellipsoid { // SuperQ395
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube395
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.969224, -16.763527, 0.0>
}
#declare Brick0396 = intersection {
  superellipsoid { // SuperQ396
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube396
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-5.143203, -17.035109, 0.0>
}
#declare Brick0397 = intersection {
  superellipsoid { // SuperQ397
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube397
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-4.304901, -17.266016, 0.0>
}
#declare Brick0398 = intersection {
  superellipsoid { // SuperQ398
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube398
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-3.456321, -17.455696, 0.0>
}
#declare Brick0399 = intersection {
  superellipsoid { // SuperQ399
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube399
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-2.599488, -17.603697, 0.0>
}
#declare Brick0400 = intersection {
  superellipsoid { // SuperQ400
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube400
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-1.736448, -17.709665, 0.0>
}
#declare Brick0401 = intersection {
  superellipsoid { // SuperQ401
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube401
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  <-0.869262, -17.773347, 0.0>
}
#declare Brick0402 = intersection {
  superellipsoid { // SuperQ402
    <1.0, 1.0>
    scale <1.184191, 0.930295, 1.128428>
    translate  <0.083646, -0.034295, 0.201148>
  }
  box { // Cube402
    <-1, -1, -1>, <1, 1, 1>
    scale 0.85492
    translate  <0.093746, -0.119044, 0.207257>
  }
  material {
    RoughStone_1
  }
  translate  -17.794591*y
}
union { // ring0002
  object { Brick0275 }
  object { Brick0276 }
  object { Brick0277 }
  object { Brick0278 }
  object { Brick0279 }
  object { Brick0280 }
  object { Brick0281 }
  object { Brick0282 }
  object { Brick0283 }
  object { Brick0284 }
  object { Brick0285 }
  object { Brick0286 }
  object { Brick0287 }
  object { Brick0288 }
  object { Brick0289 }
  object { Brick0290 }
  object { Brick0291 }
  object { Brick0292 }
  object { Brick0293 }
  object { Brick0294 }
  object { Brick0295 }
  object { Brick0296 }
  object { Brick0297 }
  object { Brick0298 }
  object { Brick0299 }
  object { Brick0300 }
  object { Brick0301 }
  object { Brick0302 }
  object { Brick0303 }
  object { Brick0304 }
  object { Brick0305 }
  object { Brick0306 }
  object { Brick0307 }
  object { Brick0308 }
  object { Brick0309 }
  object { Brick0310 }
  object { Brick0311 }
  object { Brick0312 }
  object { Brick0313 }
  object { Brick0314 }
  object { Brick0315 }
  object { Brick0316 }
  object { Brick0317 }
  object { Brick0318 }
  object { Brick0319 }
  object { Brick0320 }
  object { Brick0321 }
  object { Brick0322 }
  object { Brick0323 }
  object { Brick0324 }
  object { Brick0325 }
  object { Brick0326 }
  object { Brick0327 }
  object { Brick0328 }
  object { Brick0329 }
  object { Brick0330 }
  object { Brick0331 }
  object { Brick0332 }
  object { Brick0333 }
  object { Brick0334 }
  object { Brick0335 }
  object { Brick0336 }
  object { Brick0337 }
  object { Brick0338 }
  object { Brick0339 }
  object { Brick0340 }
  object { Brick0341 }
  object { Brick0342 }
  object { Brick0343 }
  object { Brick0344 }
  object { Brick0345 }
  object { Brick0346 }
  object { Brick0347 }
  object { Brick0348 }
  object { Brick0349 }
  object { Brick0350 }
  object { Brick0351 }
  object { Brick0352 }
  object { Brick0353 }
  object { Brick0354 }
  object { Brick0355 }
  object { Brick0356 }
  object { Brick0357 }
  object { Brick0358 }
  object { Brick0359 }
  object { Brick0360 }
  object { Brick0361 }
  object { Brick0362 }
  object { Brick0363 }
  object { Brick0364 }
  object { Brick0365 }
  object { Brick0366 }
  object { Brick0367 }
  object { Brick0368 }
  object { Brick0369 }
  object { Brick0370 }
  object { Brick0371 }
  object { Brick0372 }
  object { Brick0373 }
  object { Brick0374 }
  object { Brick0375 }
  object { Brick0376 }
  object { Brick0377 }
  object { Brick0378 }
  object { Brick0379 }
  object { Brick0380 }
  object { Brick0381 }
  object { Brick0382 }
  object { Brick0383 }
  object { Brick0384 }
  object { Brick0385 }
  object { Brick0386 }
  object { Brick0387 }
  object { Brick0388 }
  object { Brick0389 }
  object { Brick0390 }
  object { Brick0391 }
  object { Brick0392 }
  object { Brick0393 }
  object { Brick0394 }
  object { Brick0395 }
  object { Brick0396 }
  object { Brick0397 }
  object { Brick0398 }
  object { Brick0399 }
  object { Brick0400 }
  object { Brick0401 }
  object { Brick0402 }
  translate  <-34.922286, 0.552226, 1.789411>
}






#declare CSG001 = intersection {
  sphere { // Sphere001
    <0,0,0>,1
    scale 5.134748
  }
  cylinder { // Cylndr001
    <0,0,1>, <0,0,0>, 1 
    scale 4.699512
  }
  material {
    Aluminum
  }
  translate  <0.0, -0.217618, 1.088092>
}
#declare CSG002 = difference {
  cylinder { // Cylndr002
    <0,0,1>, <0,0,0>, 1 
    scale 4.699512
    translate  <0.0, -0.435237, -10.445679>
  }
  cylinder { // Cylndr004
    <0,0,1>, <0,0,0>, 1 
    scale 4.32531
    translate  <0.068028, -0.32956, -9.790776>
  }
  material {
    BLUE_METAL
  }
}
#declare powersupply = union {
  cylinder { // Cylndr014
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 1.0>
    rotate -90.0*x
    translate  <0.813112, -0.244366, -2.883188>
  }
  cylinder { // Cylndr015
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 1.0>
    rotate -90.0*x
    translate  <1.392651, -0.244366, -2.883188>
  }
  cylinder { // Cylndr016
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 1.0>
    rotate -90.0*x
    translate  <1.414116, -0.244366, -2.26072>
  }
  cylinder { // Cylndr017
    <0,0,1>, <0,0,0>, 1 
    scale <0.1, 0.1, 1.0>
    rotate -90.0*x
    translate  <0.838086, -0.244366, -2.265112>
  }
  box { // Cube146
    <-1, -1, -1>, <1, 1, 1>
    material {
      Brushed_Aluminum
    }
    scale <0.5, 0.192596, 0.5>
    translate  <1.126478, 0.93412, -2.570218>
  }
  material {
    Ruby_Glass
  }
}
#declare CSG005 = difference {
  cylinder { // Cylndr012
    <0,0,1>, <0,0,0>, 1 
    scale <0.3, 0.3, 3.0>
    rotate -90.0*x
    translate  <1.137895, -5.931889, -2.636776>
  }
  cylinder { // Cylndr013
    <0,0,1>, <0,0,0>, 1 
    scale <0.28, 0.28, 3.0>
    rotate -90.0*x
    translate  <1.137895, -5.931889, -2.636776>
  }
}
#declare gun = union {
  cylinder { // Cylndr011
    <0,0,1>, <0,0,0>, 1 
    scale <0.4, 0.4, 3.0>
    rotate -90.0*x
    translate  <1.137895, -3.706048, -2.632798>
  }
  cylinder { // Cylndr010
    <0,0,1>, <0,0,0>, 1 
    scale <0.8, 0.5, 1.2>
    rotate -90.0*y
    translate  <1.735645, -1.339428, -3.610712>
  }
  cylinder { // Cylndr009
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 2.0>
    rotate -90.0*y
    translate  <2.068674, -1.344155, -3.96726>
  }
  object { CSG005 }
  box { // Cube1299
    <-1, -1, -1>, <1, 1, 1>
    scale 0.455338
    translate  <1.146666, -0.374764, -2.566153>
  }
  material {
    T_Chrome_1B
  }
}
#declare CSG003 = difference {
  box { // Cube1300
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 1.0, 1.0>
    translate  <0.089546, -2.489395, -4.407179>
  }
  box { // Cube1301
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 1.0, 1.0>
    rotate -45.0*x
    translate  <0.065755, -1.077779, -3.354492>
  }
  cylinder { // Cylndr007
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 0.3>
    rotate -90.0*y
    translate  <0.240703, -2.561257, -3.955253>
  }
  box { // Cube1302
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 1.0, 1.0>
    rotate -45.0*x
    translate  <0.065755, -4.054999, -3.341823>
  }
  material {
    Aluminum
  }
}
#declare CSG004 = difference {
  box { // Cube1304
    <-1, -1, -1>, <1, 1, 1>
    scale <0.1, 1.0, 1.0>
    translate  <0.089546, -2.489395, -4.407179>
  }
  box { // Cube1305
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 1.0, 1.0>
    rotate -45.0*x
    translate  <0.065755, -1.077779, -3.354492>
  }
  cylinder { // Cylndr008
    <0,0,1>, <0,0,0>, 1 
    scale <0.2, 0.2, 0.3>
    rotate -90.0*y
    translate  <0.240703, -2.561257, -3.955253>
  }
  box { // Cube1306
    <-1, -1, -1>, <1, 1, 1>
    scale <0.2, 1.0, 1.0>
    rotate -45.0*x
    translate  <0.065755, -4.054999, -3.341823>
  }
  material {
    Aluminum
  }
  translate  1.926938*x
}
#declare stand = union {
  object { CSG003 }
  box { // Cube1303
    <-1, -1, -1>, <1, 1, 1>
    material {
      Aluminum
    }
    scale <1.0, 1.0, 0.2>
    translate  <1.041187, -2.488262, -4.821008>
  }
  cylinder { // Cylndr006
    <0,0,1>, <0,0,0>, 1 
    scale <0.7, 0.7, 3.0>
    translate  <1.00947, -2.3537, -7.966856>
  }
  object { CSG004 }
  material {
    Aluminum
  }
  translate  <0.12151, 1.215098, 0.0>
}
union { // popedMturret
  object { CSG001 }
  cylinder { // Cylndr003
    <0,0,1>, <0,0,0>, 1 
    material {
      New_Brass
    }
    scale <0.5, 0.5, 5.45>
    translate  <-2.753433, 2.393801, -10.095694>
  }
  object { CSG002 }
  cylinder { // Cylndr005
    <0,0,1>, <0,0,0>, 1 
    material {
      Military_Brass_Metal
    }
    scale <0.44, 0.44, 5.0>
    translate  <-2.753433, 2.393801, -5.368809>
  }
  object { powersupply }
  object { gun }
  object { stand }
  material {
    BLUE_METAL
  }
  bounded_by { // Bound00025
    box {
      <-1.0, -1.0, -1.0>, <1.0, 1.0, 1.0>
      scale <5.129097, 5.452552, 8.579921>
      translate  <0.0, -0.724998, -2.11142>
    }
  }
  scale 0.176775
  rotate -25.0*z
  translate  <-12.306025, -19.068306, 0.87693>
}




